Crystal Reports for Peachtree Help

Crystal Reports for Peachtree

This Help system is designed to introduce the Crystal Reports for Peachtree program. Crystal Reports for Peachtree is a special version of the popular Crystal Reports® from Crystal Decisions designed specifically to work with Peachtree.

For additional assistance on this and other Peachtree Software products and services, visit our Web site at www.peachtree.com.

© 2001-2003 Best Software SB, Inc.
All rights reserved.
Trademark Notices

What do you want to do next?

  • Learn how to purchase Crystal Reports for Peachtree

  • Read the Peachtree legal notices

  • Learn how to use Peachtree Help


Crystal Reports for Peachtree

Crystal Reports for Peachtree is a special version of the popular Crystal Reports®, from Crystal Decisions—formerly known as Seagate Software—designed to work with Peachtree and is simply the best report writing software available for Peachtree customers. It lets you customize reports using virtually any of the information available in your company database.

For information on how to purchase Crystal Reports for Peachtree, click Click for more information .

Crystal Reports for Peachtree comes with twelve standard reports designed with small businesses in mind. You can also design your own reports using Crystal Reports' “experts,” which guide you step by step through the design process. And if you want to design a special report from the ground up, the Report Designer lets you put together text (such as headers or titles), maps or graphs, images (such as company logos), and of course database elements just as you want them to appear on the printed report. Then you can preview the report to make sure it's the way you want it.

Crystal Reports for Peachtree also comes with a special data dictionary made up of a series of files that contain fields you can insert into your reports. For example, if you want to include company information such as address and phone number in your report, you can do that easily by inserting the appropriate fields contained in the Company data dictionary file.

Note: If you plan to use Crystal Reports for Peachtree in a network environment, there are special considerations you should know about beforehand. For information, click [image] .

If you've been working with Peachtree Crystal Reports in Release 8.02 of Peachtree and have upgraded to Release 9.0, you will need to convert your custom Crystal reports to make them compatible with the later release. For information, click [image] .

What Do You Want to Do Next?

  • Learn how to purchase Crystal Reports for Peachtree

  • Read about standard Crystal reports

  • Convert custom Crystal reports to Peachtree Release 9.0

  • Use Crystal Reports in a network

  • Preview Crystal reports

  • Print a standard Crystal report

  • Learn more about data dictionary files


Using Crystal Reports in a Network

If you are working with Crystal Reports for Peachtree in a network environment, the program needs to be installed on all networked machines where it will be used. The program will not work properly if installed on and accessed from a central server.

Note: Consult your license agreement for information about the number of machines on which Crystal Reports can be installed.

Give All Users Access to the Program

So that more than one person can have access to Peachtree data and Crystal reports, you can copy these to a central server. Say you store your Peachtree data on drive E on the server. The data path to your Peachtree data is E:\PEACHW\DATA, and the data path to your company data is E:\PEACHW\<COMPANY>, where <COMPANY> is the name of the folder where your company files are located. Into this folder you should copy all Crystal reports that apply to the company. Now all machines with access to the data path E:\PEACHW on the server will have access to both Peachtree data and Crystal reports.

For more information about sharing Peachtree data in a network environment, click [image] .

Use the "Save As" Option to Save Custom Reports

When Peachtree is installed, the standard Crystal reports are installed as read-only files in all company subdirectories. This means that anyone working in the Crystal Reports for Peachtree program will be able to preview the reports but will not be able to edit and then save them. That way, you will always have the standard reports in their original condition so you can use them as templates for custom Crystal reports.

If you are working in Crystal Reports for Peachtree and try to edit and then save a standard report, you will see an error message stating “This report could not be opened for writing. Any changes must be saved to a new file.” If you want to save your changes, use the Save As option on the File menu to save the file under a new name. Once saved, this new custom report will be fully editable.

Write Access vs. Read-Only Access

When you create new custom Crystal reports based on the standard ones, you will be able to edit and save these new reports as desired. However, if more than one person is working with the same custom report in Crystal Reports for Peachtree, only the first user to access the report will have “write access”—that is, be able to edit and save the report. All other users will have read-only access and will be able only to view and print but not save the report, whether in preview or in design mode.

Limit Data Access to One User

Through Maintain Users, you can set up user passwords and limit access to areas of the Peachtree program. If desired, you can limit access to Crystal Reports for Peachtree, at least for design purposes, to only one user. To give just one user data access to Crystal Reports, enter a maximum eight-character password for that user, and then select the Limit data access from Crystal Reports to this user only check box. Now, all users will be able to preview or print a Crystal report.

However, when any user tries to refresh the data in a Crystal report using the Refresh button in the Standard toolbar, the program will request a password. If the password entered does not match the password set up for one-user access, then the user will not be able to refresh the report data and thus potentially use different parameter values to filter the data that appears in the report.

  • For more information about the Maintain Users window and setting up users, click the Help button in the window. See also the Peachtree User’s Guide, the “Company Administration” chapter.

  • For more information about refreshing report data in Crystal, look up “Refreshing data:report data” in the Crystal Reports for Peachtree Online Help index.

What Do You Want to Do Next?

  • Read the Crystal Reports for Peachtree overview

  • Read about standard Crystal reports

  • Preview Crystal reports

  • Print a standard Crystal report

  • Learn more about data dictionary files


Standard Crystal Reports

Crystal Reports for Peachtree comes with twelve standard reports specially designed with small businesses in mind.

Aged Payables

Aged Receivables

Customer Balance Graph

Customer Detail List

Customer Sales by Item

Customer Sales by Month

Inventory Labels

Items Sold by Month

Purchases by Unit Price

Vendor Balance Graph

Vendor Detail List

Void Check Register

Where to Find the Reports

When you install the Crystal Reports for Peachtree program, the standard reports are automatically copied to all of your company subdirectories. Also, a Zip file (REPORTS.ZIP) containing the reports is automatically copied to your \PEACHW\REPORTS directory.

If you alter or delete the original standard reports, you can always Unzip this file and copy the reports to your company subdirectory, where you’ll be able to access them in Peachtree. In order to Unzip the file, you will need a copy of the WinZip® program installed on your computer. You can download an evaluation version of this program from the Internet at www.winzip.com.

Note: When you create custom reports or when you download new standard reports from the Peachtree Web site, you'll need to copy them to your program subdirectories before you can work with them in Peachtree.

The Standard Reports

Aged Payables

This report shows a total of aged payables by vendor. It also includes the following information for each vendor taken from the Peachtree vendor record:

  • Vendor ID

  • Vendor Name

  • Contact

  • Telephone (No. 1)

  • Invoice/Credit Memo No.

  • Aging Brackets

Aged Receivables

This report shows a total of aged receivables by customer. It also includes the following information for each customer taken from the Peachtree customer record:

  • Customer ID

  • Customer Name

  • Contact

  • Telephone (No. 1)

  • Invoice/Credit Memo No.

  • Aging Brackets

Customer Balance Graph

This bar graph shows balances by customer. It also includes basic information for each customer taken from the Peachtree customer record. The graph itself shows customer balances along the vertical axis and lists customer IDs along the horizontal axis. The following information for each customer is listed below the graph:

  • Customer ID

  • Customer Name

  • Contact

  • Telephone (No. 1)

  • Customer Balance

Customer Detail List

This report lists detail information about customers you have added to Peachtree through Maintain Customers/Prospects, including:

  • Customer ID and name

  • Bill-to and ship-to addresses

  • Contact Person

  • Phone Number 1 and 2

  • Fax Number

  • E-mail Address

  • Web Address

  • Prospect (yes/no)

  • Customer status (active/inactive)

  • Customer Type

  • Customer Since date

  • Tax location

  • Resale Number

  • Open purchase order number

  • Credit Limit

  • Pricing Level

  • GL Sales Account

  • Sales Rep Name

  • Sales terms

  • Sales Tax ID

  • Last Invoice Date

  • Last Invoice Number

  • Last Payment Date

  • Last Payment Amount

  • Last Statement Date

  • A listing of all custom fields

Customer Sales by Item

This report lists stock items sold and the customers sold to within the current accounting period. The report is sorted by item rather than by customer and includes the following information:

  • Inventory ID and Description

  • Customer ID

  • Date of sale

  • Invoice number

  • Quantity sold

Customer Sales by Month

This report lists all customers of your company alphabetically and lists amounts sold to them by month. It is based on data contained in the Peachtree Sales Journal.

The report is displayed in cross-tab or spreadsheet format. Along the vertical axis it lists customers by ID, and along the horizontal axis it lists all accounting periods covered by the report (up to 26 periods).

Inventory Labels

These are labels you place on inventory items so that they can be stocked in the proper location at your storage facility. The labels print 3 across x 10 down (30 per page) in the LL-30W laser label format available through the Peachtree Business Checks & Forms catalog. Each label lists the following information:

  • Item ID

  • Item description

  • Vendor ID

  • Location

Items Sold by Month

This report lists, alphabetically by ID, all stock items sold by your company each month. It is based on data contained in the Peachtree Sales Journal.

The report is displayed in cross-tab or spreadsheet format. Along the vertical axis it lists items by ID, and along the horizontal axis it lists all accounting periods covered by the report (up to 26 periods).

Purchases by Unit Price

This report lists the unit prices of stock and non-stock items purchased and vendors purchased from within the current accounting period. The report is sorted by item rather than by vendor. Use the report to check which vendors are offering the best pricing on an item. The report includes the following information:

  • Item ID and description

  • Date of purchase

  • Vendor ID

  • Invoice number

  • Quantity

  • Unit price

  • Total purchase amount

Vendor Balance Graph

This is a bar graph that shows balances by vendor. It also includes basic information for each vendor taken from the Peachtree vendor record. The graph itself shows vendor balances along the vertical axis and lists vendor IDs along the horizontal axis. The following information for each vendor is listed below the graph:

  • Vendor ID

  • Customer Name

  • Contact

  • Telephone (No. 1)

  • Vendor Balance

Vendor Detail List

This report lists detail information about vendors you have added to Peachtree through Maintain Vendors, including:

  • Vendor ID and name

  • Address

  • Contact Person

  • Fax Number

  • E-mail Address

  • Web Address

  • Phone Number 1 and 2

  • Fax Number

  • Vendor Type

  • Federal ID Number

  • Vendor Since date

  • Company account number

  • Balance

  • Credit Limit

  • Purchase Account

  • Terms

  • A listing of all custom fields

Void Check Register

This report lists all disbursement and payroll checks that have been voided within the current accounting period. The report includes the following information:

  • Check number

  • Void date

  • Payee (employee name, vendor name, or customer name)

  • Cash account

  • Check amount

What Do You Want to Do Next?

  • Read the Crystal Reports for Peachtree overview

  • Use Crystal Reports in a network

  • Preview Crystal reports

  • Print a standard Crystal report

  • Start the Crystal Reports for Peachtree tutorial


Converting Custom Crystal Reports to New Peachtree Release Data Format

If you created reports in Crystal for Peachtree with data in a prior Peachtree release and you upgraded Peachtree to a new release, you must do a quick data conversion of your customized Crystal reports so that they can properly read data fields introduced or modified in the updated Peachtree release. So if you upgrade from Peachtree Release 2003 to Peachtree 2004, you must convert your customized Crystal reports in order for them to be compatible with the new release.

Follow these simple steps to update your report data definitions:

  1. Install the new version of Peachtee Accounting, Complete Accounting, or Premium Accounting. (You do not have to install a new version of Crystal Reports for Peachtree.)

  2. In Crystal Reports, open any of your custom Crystal report files (RPT).

  3. Make sure they are saved to your new or upgraded Peachtree company data directory (for example, \PEACHW\COMPANY).

    • If you installed the new version of Peachtree in the default directory (\PEACHW) or installed Peachtree in the same location as the previous version, your custom reports are most likely saved in the correct company data subfolder.

    • If you installed the new version of Peachtree to a new directory, copy or save your customized Crystal reports to the new company data subfolder.

  4. With your customized report open in Crystal Reports, choose Verify Database from the Database menu.

  5. Crystal Reports may display a series of Directory error messages. Click OK to each of these to continue.

  6. When Crystal Reports displays Please give location of Info view or dictionary used to create this report, click OK. The Choose Database File window appears. Select File.ddf (located in your new Peachtree company data folder). For example, select \PEACHW\COMPANY\FILE.DDF.

  7. Crystal Reports may identify data definition changes associated with your report design and ask if you want to update your report. For example, if your report lists employee names, you may receive the message, The database file "Employee" has changed. Proceed to fix up the report. Click OK to each of these data definition messages.

  8. Repeat steps 5 through 7 until the desired report appears in Crystal Reports.

  9. Save each updated report. Once you have done so, your reports will open normally in either the Peachtree Report Design window or the Crystal Reports Designer.

Note: For complete, illustrated instructions on converting custom Crystal reports, consult the Crystal Reports for Peachtree Getting Started Guide, the "Upgrading Crystal Reports" chapter.

What Do You Want to Do Next?

  • Read the Crystal Reports for Peachtree overview

  • Preview Crystal reports

  • Print a standard Crystal report

  • Learn more about data dictionary files


Previewing Crystal Reports

The twelve standard reports that come with Crystal Reports for Peachtree are designed to open in preview mode. This is so you can preview them when you select them either through the Peachtree Select a Report window or through Crystal Reports’ Report Designer. The Save Data with Report option in the Crystal Reports File menu is turned on for each of the standard reports when shipped; this is what allows them to be previewed.

Set Up Reports to Appear in Preview Mode

If you turn off the Save Data with Report option and then save a standard report, when you open it again either in Peachtree or in Crystal Reports for Peachtree, the report will open in design rather than preview mode. So if you want the standard reports to open in preview mode, be sure to leave the Save Data with Report option turned on.

Note: If you turn off Save Data with Report and then save a standard report, when you open it again either in Peachtree or in Crystal Reports for Peachtree, the report will open in design rather than preview mode. Set the option according to whether you want to see the report each time in preview or design mode.

With the Save Data with Report option turned on, you can preview a Crystal report the same way you do other Peachtree reports.

Do one of the following:

  • click the name of a Crystal report in the Select a Report window, and then click the Preview button.

  • double-click the report name with the left mouse button.

The report will appear on the Preview tab of the Crystal Reports for Peachtree Design window.

Note: For more information on using the Crystal Reports for Peachtree Preview tab, look up “Preview Tab” in Crystal Reports Online Help. See also the Crystal Reports User’s Guide, the “Introduction to Reporting” chapter.

What Do You Want to Do Next?

  • Read the Crystal Reports for Peachtree overview

  • Use Crystal Reports in a network

  • Print a standard Crystal report

  • Read about standard Crystal reports

  • Learn more about data dictionary files


Printing the Standard Crystal Reports

All standard Crystal reports are set up with no default printer chosen. So when you print using either the Print button in the standard toolbar or the Print option in the File menu, Crystal Reports for Peachtree will display a message telling you that no printer has been configured for the current report. Do one of the following:

  • To print the report using the default printer you have set up with the Windows Settings>Printers option, select Yes.

  • To set up a new printer for the report, select No.

The Print Setup window will appear with the No Printer check box checked, indicating there is no printer configured for this report.

To select a default printer for the report

  1. Clear the No Printer check box.

  2. Use the Name drop-down list to select a printer to use for printing the report.

  3. Select the Property button to set any other needed print attributes, such as double-sided printing.

You can always reset the printer to the default one, which case the standard Crystal Reports Print window will appear, letting you choose a variety of print options, including a range of pages to print, the number of copies to print, and whether or not you want those copies collated.

What Do You Want to Do Next?

  • Read the Crystal Reports for Peachtree overview

  • Use Crystal Reports in a network

  • Preview Crystal reports

  • Read about standard Crystal reports

  • Learn more about data dictionary files


Data Dictionary Files (DDFs) in Crystal Reports for Peachtree

Dictionaries

A dictionary is a structured, simplified, and secure view of organizational data that an employee can use to create custom reports for your company. A dictionary gives the employee ready access to the data in an understandable form while ensuring control and security over your data resources, since the employee can in no way alter the original data. Using a dictionary, the employee can

  • design a single, dynamic view of all the data that is necessary to create organizational reports and queries

  • include multiple data sources, tables, and links

  • organize the data and rename tables and fields to make it easier for company employees to understand the content and purpose of the data

  • limit access to specific columns of data (for example, letting only managers see the salary column of the employee data files)

  • place restriction formulas on specific rows of data (for example, allowing managers to view employee information only for those employees with a salary under $40,000)

  • create complex data-manipulation formulas that employees can access without requiring a technical grasp of the formulas.

Data Dictionary Files (DDFs)

Each data dictionary is made up of data dictionary files (DDFs). Crystal Reports for Peachtree comes with a special dictionary made up of three DDFs that contain much of the company information you would want to include in your reports. These three DDFs are called FIELD.DDF, INDEX.DDF, and FILE.DDF.

In turn, each of these DDFs contains a series of subfiles with a .DAT extension. These subfiles contain a variety of company database information in the form of fields. For example, one .DAT file called COMPANY.DAT contains fields that represent general information about your company, such as company name and address. Another data file called PROJECT.DAT contains information about your company’s jobs, including job IDs, descriptions, and start and end dates.

For more information on working with the Field Explorer, look up "Field Explorer" in the Crystal Reports Online Help index. To see a complete listing of the .DAT files that come with Crystal Reports for Peachtree, click Click for more information .

Note: When you use a dictionary to create a report, the only data you can include in the report is that accessed through the dictionary. You cannot use a dictionary and some other data source in the same report, because in some cases that would cause a breach of data security. However, in any report based on a dictionary, you can always include a subreport based on different data.

For more information on working with DDFs, see the Crystal Reports User's Guide, the "Understanding Databases" chapter, and Crystal Reports Online Help.

What Do You Want to Do Next?

  • See a list of Crystal Reports data (.DAT) files

  • Read the Crystal Reports for Peachtree overview

  • Read about standard Crystal reports

  • Read the overview to designing Crystal reports

  • Learn how to add database information to a Crystal report

  • Convert custom Crystal reports to Release 9.0


List of Data (.DAT) Files Available in Peachtree DDFs for Crystal Reports

The following is a list of all data (.DAT) files that are included in Peachtree Data Dictionary Files (DDFs) This information is intended to assist those who design reports in Crystal Reports for Peachtree.

  • Click any of the links below to display field information included in each .DAT file.

    • Note that this field information includes references to "keys" among the listed fields. Key fields are referred to as "indexed fields" in Crystal Reports Online Help. For details about indexed fields and tables and how to use them, look up "indexed tables" in the Crystal Reports Online Help index.

Note: The list below does not constitute a list of each file in your Peachtree company data directory. It contains only the data tables that can be accessed via DDF files, which were specifically designed for Crystal Reports for Peachtree.

AUDITTR.DAT | Audit Trail Fields (Peachtree Complete and Peachtree Premium only)
CHART.DAT | Chart of Accounts Fields
COMPANY.DAT | Company Fields
COST.DAT | Cost Code Fields (Peachtree Complete and Peachtree Premium only)
CUSTOMER.DAT | Customer Fields
EMPLOYEE.DAT | Employee Fields
GENERAL.DAT_AP | Vendor and Accounts Payable Default Information Fields
GENERAL.DAT_AR | Customer and Accounts Receivable Default Information Fields
GENERAL.DAT_GL | General Ledger Default Information Fields
GENERAL.DAT_INV | Inventory Default Information Fields
GENERAL.DAT_JOBS | Job Default Information Fields
JOBEST.DAT | Job Estimates Fields
JRNLHDR.DAT | Journal Header Fields
JRNLROW.DAT | Journal Row Fields
LINEITEM.DAT | Inventory Item Fields
PROJECT.DAT | Job Fields
PHASE.DAT | Phase Fields (Peachtree Complete and Peachtree Premium only)
RAISEHST.DAT | Raise History Fields
TAXAUTH.DAT | Sales Tax Authority Fields
TAXCODE.DAT | Sales Tax Code Fields
TICKET.DAT | Time/Expense Ticket Fields (Peachtree Complete and Peachtree Premium only)
VENDOR.DAT | Vendor Fields

Note: Not all Peachtree database information is available or presented in Peachtree DDF field tables. For example, Employee default information (Payroll setup), sales tax authorities, sales tax codes, time/expense tickets, action items, and Peachtree company user setup (user IDs and passwords) cannot be added to your Crystal reports.

Also, some Peachtree DDF fields (which cannot be described in Peachtree data [.DAT] files) require custom formulas in order to extract data for reports. For information on using these fields in your Crystal reports, click [image] .

What Do You Want to Do Next?

  • Use custom functions in DDF formula fields

  • Learn more about data dictionary files

  • Read the Crystal Reports for Peachtree overview

  • Read about standard Crystal reports

  • Read the overview to designing Crystal reports


Peachtree Functions in Crystal Custom Formulas

Some Peachtree DDF fields—ones that can't be described in Peachtree data [.DAT] files —require custom formulas in order to extract data for reports. The fields listed below fall into this category. If you need the additional information contained in these special fields while designing reports in Crystal Reports for Peachtree, use the functions listed below in your custom report formulas.

Note: Reports containing these custom formulas must reside in the same directory as your Peachtree company files. This is so the reports can extract data directly from the company information contained in the files.

To access custom formulas in Crystal Reports for Peachtree, do the following:

  1. From the Standard Toolbar, select the Field Explorer button [image].

  2. In the Fields Explorer window, select Formula Fields.

  3. To create a new formula field, click the New button ( [image]) or press Ctrl-N.

  4. Enter a name, such as “Amount,” and select Use Editor.

    5. The Crystal Reports Formula Editor appears.

  5. To access the Peachtree functions, click Functions in the middle pane, and then double-click Additional Functions.

  6. Find and double-click peach (u2lpeach.dll).

    The Peachtree functions listed below should appear.

Custom Field Names

GetPeachCustomFieldHeadingv2 ({Company.CompanySpecial1a}, {Company.CompanySpecial1b}, {Company.CompanySpecial1c}, {Company.CompanySpecial1d}, AR=1 AP=2 PR=3 Inventory=6 Jobs=7, (Index 0..4))

The appropriate format for the function is suggested by the displayed text. For example, in order to return the custom field headings for customers, you would create five formulas, each for a different heading. The function should read

GetPeachCustomFieldHeadingv2 ( Filename, 1, 0)

This returns the first customer custom field heading. (Most indexes with Peachtree fields begin with zero_

GetPeachCustomFieldHeadingv2 ( Filename, 1, 1)

This returns the second customer custom field heading. Follow the same format for the three remaining formulas.

Tip: To view an example of this function, examine the Customer Detail List or the Vendor Detail List included with Crystal Reports for Peachtree.

Inventory Costing Row Amount

GetPeachRowAmountv2 ({Company.CompanySpecial1a}, {Company.CompanySpecial1b}, {Company.CompanySpecial1c}, {Company.CompanySpecial1d}, {JrnlRow.RowType}, {JrnlRow.Amount}, {JrnlRow.Journal}, {JrnlRow.PostOrder}, {JrnlRow.RowNumber}, {JrnlRow.RowDate}, {JrnlRow.ItemRecordNumber}, {Company.IsCashBasis})

This returns appropriate row amounts for cost of sales rows. In the raw data, the cost of sales mount is not necessarily accurate, as the real cost of sales is based on a calculation. The JrnlRow table is required to use this function in a report.

Price Level Name

GetPeachPriceLevelNamev2 ({Company.CompanySpecial1a}, {Company.CompanySpecial1b}, {Company.CompanySpecial1c}, {Company.CompanySpecial1d}, (Index 1..20))

This function returns one of the 20 price level names listed in Inventory Item Defaults, the Price Levels tab. When using the function, be sure to replace the string "(Index 1.20)" with the desired number from 1 to 20. In order to use this function, you must include the LineItem table in your report.

Beginning Balance (Quantity)

GetPeachItemBegBalv2 ({Company.CompanySpecial1a}, {Company.CompanySpecial1b}, {Company.CompanySpecial1c}, {Company.CompanySpecial1d}, {LineItem.ItemRecordNumber})

This function returns the quantity on hand at the beginning of the current accounting period for the item specified. The function requires that you use the LineItem table.

Quantity on Hand

GetPeachItemQtyOnHandv2 ({Company.CompanySpecial1a}, {Company.CompanySpecial1b}, {Company.CompanySpecial1c}, {Company.CompanySpecial1d}, {LineItem.ItemRecordNumber})

This function is similar to GetPeachItemBegBal except that it returns the quantity on hand at the end of the current accounting period. It is the same number shown in Maintain Inventory Items in the Qty on Hand field. The function requires that you use the LineItem table.

Quantity on PO's

GetPeachItemQtyOnPOv2 ({Company.CompanySpecial1a}, {Company.CompanySpecial1b}, {Company.CompanySpecial1c}, {Company.CompanySpecial1d}, {LineItem.ItemRecordNumber})

This function returns the quantity of the specified item on open purchase orders. It is the same number shown in Maintain Inventory Items in the Qty on PO's field. The function requires that you use the LineItem table.

Quantity on SO's

GetPeachItemQtyOnSOv2 ({Company.CompanySpecial1a}, {Company.CompanySpecial1b}, {Company.CompanySpecial1c}, {Company.CompanySpecial1d}, {LineItem.ItemRecordNumber})

This function returns the quantity of the specified item on open sales orders. It is the same number shown in Maintain Inventory Items in the Qty on SO's field. The function requires that you use the LineItem table.

Last Cost

GetPeachItemLastCostv2 ({Company.CompanySpecial1a}, {Company.CompanySpecial1b}, {Company.CompanySpecial1c}, {Company.CompanySpecial1d}, {LineItem.ItemRecordNumber})

This function returns the same number shown in Maintain Inventory Items in the Last Unit Cost field. The function requires a LineItem record. The function requires that you use the LineItem table.

Current Period Start Date

GetPeachCurrentPeriodStart

This function returns the start date of the current accounting period.

Current Period End Date

GetPeachCurrentPeriodEnd

This function returns the end date of the current accounting period.

Selected Period Start Date

GetPeachPeriodStart

This function returns the start date of the accounting period selected by index number within the function

GetPeachPeriodStart(Filename, (Index 1..40) )

For example, the function

GetPeachPeriodStart(Filename, 40)

would return the start date of period 26 in the case of fiscal years set up with thirteen periods.

Selected Period End Date

GetPeachPeriodEnd

This function returns the end date of the accounting period selected by index number within the function:

GetPeachPeriodEnd(Filename, (Index 1..40) )

For example, the function

GetPeachPeriodEnd(Filename, 40)

would return the end date of period 26 in the case of fiscal years set up with thirteen periods.

Estimated Job Expenses

GetPeachEstJobExpensev2

This function returns the total estimated job expenses seen on the Maintain Jobs window. The function requires that you use the Jobs table.

Estimated Job Revenue

GetPeachEstJobRevenuev2

This function returns the total estimated job revenue seen on the Maintain Jobs window. The function requires that you use the Jobs table.

Actual Job Expenses

GetPeachActualJobExpensev2

This function returns the total actual job expenses seen on the Maintain Jobs window. The function requires that you use the Jobs table.

Actual Job Revenue

GetPeachActualJobRevenuev2

This function returns the total actual job revenue seen on the Maintain Jobs window. The function requires that you use the Jobs table.

Actual Job Expenses by Period

GetPeachThisPeriodActualJobExpensev2

This function returns the total actual job expenses for the chosen period. The function requires that you use the Jobs table.

Actual Job Revenue by Period

GetPeachThisPeriodActualJobRevenuev2

This function returns the total actual job revenue for the chosen period. The function requires that you use the Jobs table.

Account ID

GetPeachGLAccountIDv2

This function returns the general ledger account ID for the account with the account record number specified in the function.

Account Description

GetPeachGLAccountIDv2

This function returns the general ledger account description for the account with the account record number specified in the function.

Time Stamp Date

GetPeachTimeStampDatev2

This function returns the date of the time stamp for a particular row in the Audittr.DAT table.

Note: Users must be set up in Maintain Users with sole rights to Crystal Reports in order to access information in the Audittr.DAT table.

Time Stamp Time

GetPeachTimeStampTimev2

This function returns the time of the time stamp for a particular row in the Audittr.DAT table.

Note: Users must be set up in Maintain Users with sole rights to Crystal Reports in order to access information in the Audittr.DAT table.

Company Information Functions

These functions, which are self-explanatory, return company information as entered in the Peachtree Maintain Company Information window. The functions include the following:

  • GetPeachCompanyNamev2

  • GetPeachAddress1v2

  • GetPeachAddress2v2

  • GetPeachCityv2

  • GetPeachStatev2

  • GetPeachZIPv2

  • GetPeachCoutryv2

  • GetPeachFEINv2

  • GetPeachIsCashBasisv2

  • GetPeachISRealTimePostv2

  • GetPeachCompanyTypev2

  • GetPeachEmailv2

  • GetPeachWebSitev2

  • GetPeachPhoneNumberv2

  • GetPeachFAXNumberv2

  • GetPeachSEINv2

  • GetPeachSUINv2

Bill of Material (BOM) Functions

All bill of material functions discussed below require that you use the LineItem table.

Assembly Component

GetPeachBOMCompIDv2

This function returns the ID of a component used in an assembly based on the index specified in the function. In this function, the numbered index of assembly components starts with zero. The function is displayed as follows:

GetPeachBOMCompIDv2 (Filename, {LineItem.ItemRecordNumber}, (Index 0..99) )

To return the desired component ID, you must replace "Index 0..99" with the appropriate number from 0-99. For example, to return the first component in the assembly, the function should read

GetPeachBOMCompIDv2 (Filename, {LineItem.ItemRecordNumber}, 0 )

Use the index field in a similar manner for all BOM functions.

Assembly Component Description

GetPeachBOMCompDesv2

This function returns the description of a component used in an assembly based on the index specified in the function.

Required Number of an Assembly Component

GetPeachBOMCompReqv2

This function returns the number of units of an individual component required to build the assembly.

Quantity on Hand of an Assembly Component

GetPeachBOMComponHandv2

This function returns the quantity on hand of an individual component used in the assembly.

Quantity Available of an Assembly Component

GetPeachBOMCompAvailv2

This function returns the quantity available of an individual component used in the assembly. The quantity available is calculated as the amount on hand plus the quantity on all purchase orders minus the quantity on all sales orders.

Location of an Assembly Component

GetPeachBOMCompLocv2

This function returns the storage location in your facility of an individual component used in the assembly.

UPC/SKU of an Assembly Component

GetPeachBOMCompUPCv2

This function returns the UPC/SKU value of an individual component used in the assembly.

Sales Description of an Assembly Component

GetPeachBOMCompSalesDesv2

This function returns the sales description (as noted in the Maintain Inventory Items window) of an individual component used in the assembly.

Purchase Description of an Assembly Component

GetPeachBOMCompSalesDesv2

This function returns the purchase description (as noted in the Maintain Inventory Items window) of an individual component used in the assembly.

Last Cost of an Assembly Component

GetPeachBOMCompLastCostv2

This function returns the last cost (as noted in the Maintain Inventory Items window) of an individual component used in the assembly.

What Do You Want to Do Next?

  • See a list of Crystal Reports data (.DAT) files

  • Read the Crystal Reports for Peachtree overview

  • Read about standard Crystal reports

  • Read the overview to designing Crystal reports


Designing Crystal Reports

When you design a Crystal report, you can either manually select the elements that go into the report or let one of the Crystal Report Experts automate the process for you. Report Experts guide you step by step through the design process, so they are a good choice if you are new to report design. For information on using Report Experts, look up "experts" in the Crystal Reports Online Help index.

Once you get a better handle on the design process, you can manually construct your report using Crystal’s Database Expert, Select Expert, Formula Expert, Section Expert, and Format Editor to choose exactly which data elements and formatting you want to include. For information on using any of these features, look up the name of the specific feature in the Crystal Reports Online Help index.

The Crystal Reports for Peachtree Tutorial

The Crystal Reports User's Guide and Crystal Reports Online Help will give you detailed instructions on report design. However, to introduce you to the process, we would like to offer a brief tutorial that will give you practice customizing two of the standard reports that come with Crystal Reports for Peachtree, as well as designing a new Crystal report from scratch. Among other things, you'll learn how to use the Fields Explorer to insert fields from the Crystal data dictionary files (DDFs) into your reports.

Note: For instructions on adding the information stored in DDFs to a report, click Click for more information .

When you've completed the tutorial, you'll better understand how to make your Crystal reports provide just the data you want them to, in the format you prefer.

The online tutorial contains the following lessons:

  • Lesson 1: Modifying Inventory Labels to Create Price Tags. In this lesson you learn how to save one of the standard Crystal reports in an editable version and then modify the formatting and fields in the report to meet special needs.

  • Lesson 2: Designing a Customer Contact List. This lesson tells you how to build a simple report that will help you stay in touch with customers. In this lesson, we'll build the report from the ground up.

  • Lesson 3: Designing a Quotes Good Through List. The third lesson tells you how to use the Crystal Standard Report Creation Wizard to put together a more complex report, one that lists quotes issued to customers by expiration date.

The tutorial also contains two appendices that have useful additional information.

  • Appendix 1: Adding Database Information to a Crystal Report. This provides basic instructions on using the Crystal Database Expert to select and meaningfully link database tables so that desired information from the Peachtree databases appears in your reports.

  • Appendix 2: Filtering Crystal Report Data. This gives you tips on filtering database information to further limit the data that appears in your Crystal reports.

What Do You Want to Do Next?

  • Read the Crystal Reports for Peachtree overview

  • Read about standard Crystal reports

  • Learn more about data dictionary files

  • See a list of Crystal Reports data (.DAT) files

  • Learn how to add database information to a Crystal report

  • Learn about filtering Crystal report data

  • Convert custom Crystal reports to Release 9.0


Lesson 1: Modifying Inventory Labels to Create Price Tags

The first lesson in the tutorial is a warm-up exercise in which we customize one of the standard Crystal reports. We’ll turn the inventory labels into price tags that can be attached to sale merchandise.

Use “Save As” to Create a Working Version of the Report

Since the standard reports are read-only versions (you can’t edit them in any way), we need to create an editable version of the inventory labels.

  1. If Crystal Reports for Peachtree isn’t currently running on your computer, start it now.

  2. Select More Files, and then navigate to the BCS folder in the \PEACHW directory; this is where Bellwether Garden Supply company data is located. (If Crystal Reports is already running, select Open in the File menu, and then navigate to the Bellwether company folder.)

  3. From the reports listed in the Open window, select Inventory Labels.

  4. A message appears telling you that you cannot write to (edit) the report. Click OK.

  5. To save the report in editable form, from the File menu, select Save As.

    6. The Save As window appears.

  6. In the File name box, enter “Price Tags.” (Crystal Reports will automatically add the needed .rpt extension.) Then select Save.

Modify the Labels to Create Price Tags

We’re now ready to start working on our modified version.

  1. Select the Design tab.

  2. We won’t need the Vendor ID or Location fields, so place the cursor in the gray area that reads “Details d” and right click.

  3. From the pop-up menu, select Delete Section.

    4. Note: For more information on working with report sections, see the Crystal Reports User’s Guide, the “Introduction to Reporting” chapter.

  4. We want to keep the section marked “Details c,” so we'll delete just the Vendor ID field. With the mouse cursor, select the field.

    5. An object frame appears around the field, and the cursor turns into a cross with four arrowheads. The field is now editable.

  5. Right click, and from the pop-up menu, select Delete.

    6. The field is deleted.

  6. Select the Field Explorer button [image] in the Standard toolbar.

  7. In the Field Explorer, double-click the Database Fields folder to open it, and then double-click the LineItem table to open it.

  8. Find the UnitPriceLevel1 field; select it; and drag it into the Detail c section. Release the mouse button.

  9. Close the Field Explorer window.

  10. Now we want to modify the font used for the Description field. Select the field, and then right mouse click.

  11. From the pop-up menu that appears, select Format Field.

    12. The Format Editor window appears with the Font tab selected.

  12. From the Style drop-down list, select Bold.

  13. Now let’s change the font of the PriceLevel1Amount field. Select it, and right mouse click. Select Font.

  14. In the Font Editor, use the Font drop-down list to select Arial or some other available sans serif font.

  15. Use the Style drop-down list to select Bold.

  16. Use the Size drop-down list to select 16 points.

  17. Use the Color drop-down list to select Red.

  18. Next we want to insert an “Our Price” marker. Select the Insert Text Object button [image] in the Standard toolbar, and then drag the object frame to the far left side of the Detail c section. (We’ll discuss object frames in further detail in Lesson 2.)

  19. Click once to place the frame in the section.

  20. A text cursor appears at the right side of the object frame. Type in the following: “Our Price: $.”

  21. Select the object frame, and then right click. From the pop-up menu select Font. Now make the font settings exactly as in steps 10 through 17.

  22. The text will probably appear a bit cut off at the bottom, so select the bottom frame handle (the small black square at the bottom of the frame), and drag it downward until you can see the text plainly.

  23. Select the object frame, and move it up so that it more or less aligns with the PriceLevel1Amount field.

  24. To make more precise adjustments, we need to go to the Preview tab.

  25. Our labels look pretty good already, but first we need to expand the “Our Price” object frame so that the dollar sign shows, making sure that there is a slight space between the “Our Price” object frame and the PriceLevel1Amount object frame. Select the first “Our Price” object frame in the window. When the frame handles appear, click on the one at the right side of the frame, and drag the frame to the right.

  26. The “Our Price” field is rather far away from the dollar sign, so let’s close up the space. Select the PriceLevel1Amount field (in the illustration above, it would be the 129.99 value). When the object frame appears, click the Align Left button [image] in the standard toolbar at the top of the window.

    27. This way, if the PriceLevel1Amount field has a large value in it (1,000.00 or more), the field will expand to the right to accommodate the longer string of numbers. Our price tags are now complete.

  27. Finally, from the File menu, select Save As, and save the report under the name “Price Tags.”

Review of Lesson 1

Let’s review some of the ideas we covered in Lesson 1:

  • Since the standard reports that come with Crystal Reports for Peachtree are read-only, if you want to customize one of the reports, you must first save it under a new filename.

  • When you are working with data fields within a report, select them and right click to see a pop-up menu that lets you format, delete, and copy fields, as well as perform other functions.

  • To insert data fields, use the Field Explorer button in the Standard toolbar. To insert text fields, use the Insert Text Object button in the same toolbar.

  • To move a field, first select it. The cursor will change into a cross with four arrowheads, indicating that you can now manipulate the frame. To move the frame, simply drag and drop it.

  • To expand or contract an object frame, select the frame; click the appropriate frame handle (at either right, left, top, or bottom of the frame); and then drag and release the frame.

What Do You Want to Do Next?

  • Read the overview to designing Crystal reports

  • Read about standard Crystal reports

  • Learn how to add database information to a Crystal report

  • Learn about filtering Crystal report data

  • Continue with the Crystal Reports for Peachtree tutorial (Lesson 2)


Lesson 2: Designing a Customer Contact List

The second lesson in the tutorial covers the design of a contact list you can use to help keep track of your customer base. It will list customer company name, contact name, and phone number.

Select the Report Database

First we need to select the tables whose database information we’ll use to build the report.

  1. If Crystal Reports for Peachtree isn’t currently running on your computer, start it now. (If Crystal Reports is already running, select New in the File menu.)

  2. In the Create a New Crystal Report Document box, select As a Blank Report, and then select OK.

  3. In the Database Expert, double-click Create New Connection and then the Btrieve folder.

  4. In the Open window, use the Look in drop-down list to navigate to the folder containing your the Bellwether Garden Supply company files.

  5. From the list of Peachtree DDFs, select File.DDF, and then select the Open button.

  6. From the list of displayed tables, select Customers; either double-click it or select the Right Arrow button [image].

  7. When finished, select OK.

  8. From the Standard Toolbar, select Field Explorer.

Select and Insert Fields

Now we want to place the appropriate fields in exactly the right spots within the report.

  1. In the Field Explorer, double-click Database Fields and then Customers.

  2. From the list of customer fields, select Customer ID, and then drag it to the far left of the Details section of the Report Designer.

    3. An object frame with the cursor shaped like an arrow appears as you drag the field.

  3. To insert the field, release the mouse button.

    4. Note the following:

    • The object frame indicates that when the report is either printed or previewed, the field value will appear where the field name now appears.

    • The width of the object frame indicates the maximum allowable width of the printed or previewed field. It is set to display the maximum number of characters in the field, but you can change this by resizing the object frame.

    • The field name is repeated above, underlined, in the Page Header section. This represents the column header text for the field and is how the header will appear on the printed or previewed report.

    • The font and style used in displaying both the field value and the column header indicate the font and style selected for the characters that appear in both these elements. Later, we’ll tell you how to change the font and style of text characters.

  4. Now we want to add two additional fields to the report. In the Field Explorer window, select the Contact field; press the Ctrl key; and then select the Phone_Number field. Drag the fields and place them to the right of the CustomerID field.

    5. As you drag the fields, an object frame appears with the cursor shaped like an arrow atop stacked sheets of paper marked with a plus. This indicates that you are inserting multiple fields at once.

  5. Click the mouse button to insert the fields.

    6. The fields appear in the same order in which you selected them in the Field Explorer window, namely, Contact followed by Phone_Number

  6. Next we want to place the company name at the top of the report. In the Field Explorer window, select Formula Fields, and then select the New button.

    7. The Formula Name window appears.

  7. Type in "Company Name," and then select the Use Editor button.

    8. The Formula Editor appears.

  8. In the middle panel, double-click the Functions icon to expand the list of function categories. Find and double-click Additional Functions to further expand the list.

  9. Find and double-click the peach (u2lpeach.dll) icon.

    10. This expands the list to display the list of custom Peachtree functions. The functions marked "v2" are Crystal Report for Peachtree Version 9 custom functions.

  10. Double-click the function GetPeachCompanyNamev2.

    11. This is the function that will display the company name when placed in a formula and then applied to a report.

  11. Select the Close button [image] in the upper left corner of the Formula Editor.

    12. The Company Name formula appears in the list of formulas in the Field Explorer window.

  12. Drag the field to the Report Header section, and click to place it at the top of the section, centering it within the section.

    13. The field name aligns with the left side of the object frame.

  13. To center the field name so that the company name is centered on the printed or previewed report, select the object frame and then select the Align Center button [image] in the Formatting toolbar.

    14. The formula name is now centered in the object frame, indicating that the formula will be centered on the printed or previewed report.

Title and Preview the Report

Finally, we want to add a title to the report. To do so, we’ll need to slightly increase the size of the Report Header section.

  1. Place the cursor on the dividing line between the Report Header and Page Header sections.

    2. The cursor now has double arrows, indicating that you can use it to move the divider between sections.

  2. Hold down the left mouse button, and move the dividing line down perhaps a quarter of an inch, just enough to insert the report title.

  3. To insert the title, click the Insert Text Object button [image] in the Standard toolbar, and drag the cursor to the space just below the CompanyName field. Click the mouse button.

    4. An object frame appears with the text cursor at the left side of the frame.

  4. In the object frame, type “Customer Contact List.”

  5. Next, let’s center the title just as we did the Company Name formula. Select the object frame around the report title, and then click the Align Center button [image].

    6. The text appears centered within the object frame.

  6. Now we want to change the font and style of the report title. Select the object frame around the title, and then right mouse click.

  7. From the pop-up menu that appears, select Edit Text Object.

  8. When the text cursor appears, select the “Customer Contact List” text to highlight it, and right mouse click again.

  9. From the pop-up menu that appears, select Change Font.

    10. The Text Format window appears with the Font tab selected.

  10. From the Style drop-down list, select Bold.

  11. From the Size drop-down list, select 18 points.

  12. From the Color drop-down list, select Maroon.

  13. When finished, select OK.

  14. The title will be a bit off center, so select the object frame; drag it to center it; and then release the mouse button.

  15. Now let’s preview the report to make sure it will look all right when printed. Do one of the following:

    • From the File menu, select Print Preview.

    • From the Standard toolbar, select the Refresh button [image].

    A new tab, the Preview tab, appears. It shows how the report will look in printed form.

    To make any desired changes such as changing the placement of fields for a more esthetically pleasing effect, select the Design tab, and work with the fields there. As you learned in Lesson 1, it’s possible to change report elements on the Preview tab, but it’s generally easier working on the Design tab.

  16. Finally, from the File menu, select Save As, and save the report under the name “Customer Contact List.”

Review of Lesson 2

Let’s review some of the ideas we covered in Lesson 2:

  • Use the Database Expert window to connect with the DDF that contains the database tables you want in your report. Use this window also to find and select the tables you want to include.

  • If you have the Smart Linking feature turned on (which is recommended), Crystal Reports will automatically link the selected tables for you, if links are possible.

  • To add fields to the table, use the Field Explorer to find and select the appropriate fields within the included database tables. You can select multiple fields by highlighting the fields and then selecting the Ctrl button.

  • To resize any of the sections in the report, just select the section divider, and holding down the left mouse button, drag the divider to the position you want.

  • To center text within an object frame, use the Align Center button.

  • To add text to the report, use the Insert Text Object button

  • To change the font properties of a text object, select the object and right mouse click. From the pop-up menu, select Edit Text Object. Highlight the text; right click again; and select Change Font. When the Font tab of the Text Format window appears, make the appropriate changes.

  • To preview a report before printing, select Print Preview from the File menu, or select the Refresh button in the Standard toolbar.

What Do You Want to Do Next?

  • Read the overview to designing Crystal reports

  • Read about standard Crystal reports

  • Learn how to add database information to a Crystal report

  • Learn about filtering Crystal report data

  • Continue with the Crystal Reports for Peachtree tutorial (Lesson 3)

  • Go back to Lesson 1 of the tutorial


Lesson 3: Designing a Quotes Good Through List

In this lesson we design a list of quotes issued to customers arranged by good-through (quote expiration) date. The report will list the initial date of the quote, the customer, the quote amount, and the good-through date.

To show more of the design capabilities of Crystal Reports for Peachtree, this time we’ll let the Report Expert guide us.

Use the Report Expert to Build the Report

  1. From the File menu, select New.

  2. In the Create a New Crystal Report Document box, select Using the Report Wizard.

  3. Note that in the Choose a Wizard box, Standard is preselected. This is what we want, so click OK.

    4. The Standard Report Creation Wizard starts with the Data window.

  4. Double-click the Create New Connection folder to open it, and then double-click Btrieve.

  5. In the Open window, use the Look in drop-down list to navigate to the folder containing your Peachtree company files.

  6. From the list of Peachtree DDFs, select File.DDF, and then select the Open button.

  7. From the list of displayed tables, select JrnlRow. Then select the Right Arrow button [image].

    8. JrnlRow appears in the Selected Tables box on the right.

  8. Repeat step 7 for the JrnlHdr and Customer tables.

    9. Note: For Smart Linking to work properly, selection order is very important, so be sure to select tables in the prescribed order: JrnrlRow, JrnlHdr, Customer.

  9. When finished, select Next.

    10. The Link window appears, asking that you link the tables as needed.

  10. With Smart Linking turned on (which is the default), the Wizard has linked the PostOrder field in the JrnlHdr and JrnlRow tables and the CustomerRecord fields in the JrnlRow and Customers tables. Accept these links by selecting the Next button at the bottom of the window.

    11. The Fields window appears.

  11. In the Available Fields box, double-click the Customer table if it is not already open. Select the CustomerID field, and then click the Right Arrow button [image].

    12. The CustomerID field moves to the Fields to Display box at the right side of the window.

  12. In the Available Fields box, double-click the JrnlHdr table to open it. Press the Ctrl key, and select the GoodThruDate, QuoteIDForSales, TransactionDate, and MainAmount field, and then click the Right Arrow button [image].

  13. Use the Up and Down Arrow buttons [image] above the Fields to Display box to place the fields in the following order (if they aren’t already):

    • GoodThruDate

    • CustomerID

    • QuoteIDForSales

    • TransactionDate

    • MainAmount

  14. When finished, select the Next button.

    15. The Grouping window appears.

  15. We want to group our data by the GoodThruDate field, so select it in the Available Fields box, and then click the Right Arrow button [image].

  16. The preselected sort order is acceptable, so select the Next button.

  17. We want to include summary information to appear on our report, and the Summaries window lets us do this. The Wizard has intelligently preselected the MainAmount field as the field to summarize. This is acceptable, so select the Next button.

  18. The Group Sorting window lets us sort groups based on summarized totals. This could be useful if we wanted to see, for example, which sales rep made the most sales in a month, but for our current report sorting is not important. So select the Next button without making any changes to the settings.

    19. Now, the Chart window appears.

  19. Again, a chart would be valuable for visually representing sales per sales rep or per geographic area, but for our report charting is not important. So select Next without choosing a chart option.

    20. The Record Selection window appears.

  20. We want to make sure that only quotes appear in our report. To do so, in the Available Fields box, double-click the JrnlHdr.Dat (Btrieve) folder to open it; then double-click the JrnlHdr table to open it. In this list of fields, select JrnlKey_Journal. This will tell Crystal that of all the company information contained in the journal header fle, we want only quote information to appear in the report. When finished, click the Right Arrow button [image].

  21. From the drop-down list immediately underneath the Filter Fields box, select is equal to. And in the other drop-down list box that appears, type 12.

  22. Repeat steps 20 and 21 for the DistNumber field. In the Available Fields box, double-click the JrnlRow table to open it. Select DistNumber, move it to the Filter Fields box on the right side of the window, and select the is equal to parameter from the first drop-down list. But in the second drop-down list box, type 1 instead.

  23. When finished, select Next.

    24. The last window, the Template window, lets you overlay your report with a predesigned template that can give your report a little additional flair. To familiarize yourself with the available templates, click each to preview it. For our current report we want a plain format, so we'll stick with the No Template option.

  24. Select Finish to see the completed Quotes Good Through report.

    25. Notice that the finished report is displayed on the Preview tab to show what it will look like when printed. To achieve the look seen above, you may need to make minor adjustments to the column headings. For information on how to do so, see the Crystal Reports User’s Guide, the “Quick Start” chapter.

  25. Finally, select the Save button in the Standard toolbar, and save the report under the name “Quotes Good Through List.”

  26. Now test your memory. Insert the “Bellwether Garden Supply” company name on the report. If you don’t remember how, consult the section of Lesson 2 where we discuss putting the company name on a report.

Filter the Report

Now a bit of fine tuning: we want to add a parameter field, which will make the report more useful by limiting the amount of data displayed. The parameter field we want to add will filter the GoodThruDate field by a cutoff date so that no quotes with an expiration date earlier than the cutoff date will appear on the report.

Note: For more information on using parameter fields, look up "Parameter Fields" in the Crystal Reports Online Help index.

  1. In the Standard toolbar, select the Insert Fields button.

  2. When the Field Explorer window appears, select Parameter Fields and right click. From the pop-up menu, select New.

  3. In the Name field, enter “QuoteExpirationDate.”

  4. In the Prompting text field, type “Enter desired Quote Good Through Date.”

  5. In the Value type field, use the drop-down list to select Date.

  6. Click the Set default values button.

    7. The Select or enter value to add box displays the current date (the system date from your computer). Since we want to limit the expiration date for quotes listed on the report to April 1, 2007, we want to select that date and then make it the default date for the report.

  7. In the M/D/YYYY field, use the drop down list to display a calendar. Navigate through the calendar until you find April 1, 2007, and then select it.

  8. Now, click the Right Arrow button [image] next to the field to populate the Default values box with this date.

  9. When finished, click OK twice.

  10. Next, we want to create a report selection formula that will filter the report to show quotes that fall before the expiration date of April 1, 2007. From the Report menu, choose Selection Formulas and then Records.

    11. The Record Selection Formula Editor appears.

  11. Place the cursor on the left side of the window, which should read {JrnlRow.DistNumber = 1}. Type a space and then the word "and." Press Enter to go to the next line.

  12. In the panel on the left side of the window, double-click the Reports Fields icon to open it, and then double-click the GoodThruDate field. It will appear as part of the selection formula. Type a greater than (>) sign after it.

  13. Select the Report Fields icon at the top of the left panel; then find and select (double-click) the ?QuoteExpirationDate field. It should appear as part of the selection formula, as shown below.

  14. The formula is now complete, so select the Close button [image] to close the Record Selection Formula Editor.

    15. A message appears asking “Do you want to save your changes?”

  15. Click Yes.

  16. When the Enter Parameter Values window appears, accept the default by clicking the OK button.

    17. Since we have previously saved the report, a message appears telling us that Crystal has detected a change.

  17. Select the Refresh Data option.

  18. Now select the Save button [image] again to save the final version of our report.

Review of Lesson 3

Let’s review some of the ideas we covered in Lesson 3:

  • The Standard Report Creation Wizard lets you choose the database, database tables, and links that will operate in the report much as you would do if you had started with the Database Expert.

  • The Fields window of the Wizard lets you add fields to the report and also select the order of those fields and the column headings that will identify them in the report.

  • The Grouping window lets you group all information in the report by one or more of the chosen fields.

  • The Summaries window lets you chose a field or fields that will provide summary information in the report. It also lets you chosen whether or not to include a grand total as part of the summary information.

  • The Group Sorting window lets you sort groups based on summarized totals. This could be useful in the case of reports reflecting information such as sales, where you will want to track sales reps or units doing the best business.

  • The Chart window lets you add a chart to the report, a visual representation of facts and figures in the report.

  • The Report Selection window lets you use one or more of the fields to filter the information that appears on the report. This will limit the amount and nature of data you see.

  • The Template window lets you overlay your report with a predesigned template, to give your report added flair.

  • If you want to further limit the data appearing on the report, adding one or more parameter fields to the report will be the answer. Go to the Field Explorer, select Parameter Fields, right click, and select New.

What Do You Want to Do Next?

  • Read the overview to designing Crystal reports

  • Read about standard Crystal reports

  • Learn how to add database information to a Crystal report

  • Learn about filtering Crystal report data

  • Go back to Lesson 1 of the Crystal Reports for Peachtree tutorial

  • Go back to Lesson 2 of the tutorial


Adding Database Information to a Crystal Report

Crystal Reports for Peachtree data dictionary files contain field information about your company that you will want to include in your Crystal reports. Briefly, here's how you do it: The Crystal Reports Database Expert lets you open a DDF and access the field information contained in its data (.DAT) files. On the Database Expert's Links tab, you see the .DAT files listed as a series of database tables that you can select and add to your report.

Once tables are added to the report, the Database Expert's Links tab lets you make meaningful connections among the fields contained in them. The reason you link related fields across tables is so that the data represented by the fields can match up in useful ways within your report. For example, you would probably want to link the CustomerRecordNumber field in the JrnlRow database table to the CustomerRecordNumber field in the Customer table. This way, transaction information for each customer would be credited to the proper customer record in the report.

Finally, with the tables added and their fields properly linked, you're ready to insert the field information contained in the tables wherever you want it to appear in your report.

Note: This brief overview and the procedure that follows will give you a quick start on adding database information to your reports. But for a more detailed discussion of working with databases, turn to the Crystal Reports User's Guide, the "Understanding Databases" chapter.

To add linked database information to a Crystal report, follow these steps:

  1. Select the Database menu, and then select Database Expert.

    2. The Crystal Database Expert window appears.

  2. In the Available Data Sources box, double-click the Create New Connection folder to open it.

  3. Find and double-click the Btrieve folder.

  4. In the Open window, use the Look in drop-down list to navigate to the folder containing your Peachtree company files.

    5. The window displays the three Crystal Reports for Peachtree DDFs.

  5. Select File.DDF, and then select the Open button.

    6. Note: While the Open window will show all three DDFs that come with the Crystal Reports for Peachtree program, you should always select File.DDF.

    The Database Expert window returns with the contents of the DDF displayed as a series of tables in the Available Data Sources box.

    These tables correspond to the Crystal Reports for Peachtree .DAT files. For example, the Company table contains all the company fields present in the COMPANY.DAT file, and the Employee table contains all the payroll fields present in EMPLOYEE.DAT.

  6. Select as many tables in the list as you want to include in the report. To select a table, either highlight it and then click the Right Arrow button, or highlight and double-click the table.

  7. When finished, select Close.

    8. The Links tab of the Database Expert appears. All the tables you have chosen are displayed at the center of the window. If the Smart Linking feature is turned on, the Expert automatically links all appropriate fields in the table. You can make new links or dissolve old ones as explained in Crystal Reports Online Help; select the Help button in the Database Expert window.

  8. When finished working in the Database Expert, select OK to close the window.

Now, with the fields in the tables properly linked, you can use the Field Explorer to insert database information wherever you want it to appear in your report. For more information, look up "Field Explorer" in Crystal Reports Online Help.

What Do You Want to Do Next?

  • Read the overview to designing Crystal reports

  • Learn more about data dictionary files

  • See a list of Crystal Reports data (.DAT) files

  • Learn about filtering Crystal report data


Filtering Crystal Report Data

The Crystal Reports for Peachtree JrnlRow and JrnlHdr tables are often the primary tables used in constructing Crystal custom reports. Certain fields in these tables can help you filter your custom reports so that only the data you want is returned in the reports.

In addition, you can use certain fields to filter your reports for information you don’t want to see—for example, zero-dollar or void transactions. To do this, you need to edit the selection formulas for these included report fields.

Filter Reports Using Specific Fields

The JrnlRow Table

Three fields in the JrnlRow table are especially useful for filtering reports: RowNumber, RowType, and Journal.

RowNumber: The RowNumber field is used to order transactions consistently in a report and is numbered according to the number of data elements in the individual transaction. So you could select RowNumber as the field to link in the JrnlRow table. You could then create a selection formula that would tell Crystal which specific row in the transaction to draw on. For example, your selection formula might set the value of the RowNumber field to zero. The zero value means that the report will draw on the “top-most row,” or most basic level of information in the transaction. That translates to the dollar amount figure in most transactions, such as customer or vendor invoices.

To set the value of a field like the RowNumber field, you use either the Crystal Record Selection Formula Editor or Select Expert.

  1. Open the appropriate report in the Crystal Design window.

  2. From the Reports menu, choose Selection Formulas.

  3. Do one of the following:

    • To open the Record Selection Formula Editor, from the Report menu, choose Selection Formulas and then Record. Set the value of the RowNumber field as desired.

    • To open the Select Expert, from the Report menu, choose Select Expert. You will see a JrnlRow.RowNumber tab showing the current value of the RowNumber field. Type in a new value, or select it from the drop-down list.

RowType: Similar to RowNumber, the RowType field has a number of valid types, including JrnlRowType_Normal, which draws information from basic transactions such as invoices, credit memos, and sales orders. Beside JrnRowType_Normal, a number of other values are available for this field; for other possible values, click [image] .

Journal: The Journal field is very useful since its function is to draw on information in the Peachtree journals, such as the General Journal. Below is a table of the valid values for this field and the Peachtree journals corresponding to each value.

Value | Peachtree Journal
0 | General Journal
1 | Cash Receipts
2 | Cash Disbursements
3 | Sales
4 | Purchases
5 | Payroll
7 | Inventory Adjustments
8 | Assemblies
10 | Purchase Orders
11 | Sales Orders
12 | Quotes

Just as in the case of the RowNumber field above, you can set the value of the Journal field in either the Crystal Record Selection Formula Editor or Select Expert. For example, if you set the value of the field to three, then your custom report would draw on the Sales Journal for its information.

The JrnlHdr Table

The JrnHdr table, too, has at least one field that will help you filter reports, the TransactionDate field. This field will let you make sure the report contains information only for a journal transaction that occurred on a specific date. As with other fields discussed above, you can change the value of the TransactionDate field in either the Record Selection Formula Editor or Select Expert.

Filter Reports to Eliminate Null Values

Oftentimes, you won’t want your Crystal reports loaded with empty bits of information, including transaction fields for which there is no dollar total, no date, or no reference number of some sort (for example, invoice or purchase order number.) You can do this by creating special selection formulas for the fields you use to build your Crystal report.

Null Dates

For example, suppose you wanted your report to filter out all sales order transactions that were lacking a ship-by date. You would set up the report to include the ShipByDate field from the JrnlHdr table. Then, in either the Record Selection Formula Editor or Select Expert, you would set the value of this field so that the report returned only sales orders with non-null ship-by dates. In the Record Selection Formula Editor, the ShipByDate field selection formula should look like this:

{JrnlHdr.ShipByDate}<>Date(0,0,0)

The result: The report would include a ship-by date from the original Peachtree transaction only if that date were greater or less than 0 month/0 day/0 year—in other words, non-null.

Null Currency Amounts

Similarly, if one of your reports lists your company’s inventory items, you could filter out all null occurrences of last unit cost. You would do this by including the LastCost field from the LineItem table and setting the value of the field so that it would return only non-null values for the field. In the Record Selection Formula Editor, the LastCost field selection formula should look like this:

{JrnlHdr.LastCost}<>0

The result: The report would include a last unit cost from the original Peachtree item record only if the cost were greater or less than zero.

Null Strings

You can filter your reports so that transaction fields lacking information don’t show up on the report. Let’s say you wanted to filter your report so that a reference number would show up only if the original Peachtree transaction had a non-null entry for the number. You could do this by selecting the Reference field in the JrnlHdr table and setting it so that the report returned only non-null values for transaction reference numbers. In the Record Selection Formula Editor, the Reference field selection formula should look this:

{JrnlHdr.Reference}<>””

The result: The report would include the reference number from the original Peachtree transaction only if it was not blank.

In Summary

To filter null Peachtree transaction records out of your Crystal reports, use the following values in your report selection formulas:

  • Use 0 to filter out missing currency amounts.

  • Use Date(0,0,0) to filter out missing dates.

  • Use “” to filter out missing string values, such as transaction reference numbers.

What Do You Want to Do Next?

  • Read the overview to designing Crystal reports

  • Learn more about data dictionary files

  • See a list of Crystal Reports data (.DAT) files

  • Learn h ow to add database information to a Crystal report


Accounts Payable Default Information Fields (DDF)

The following Data Dictionary File (DDF) field information is intended to assist those who design reports in Crystal Reports for Peachtree.

Filename: GENERAL.DAT_AP

The GENERAL.DAT file contains default information about your Peachtree Accounting company. It contains rows, but each row is very different in layout from the other rows. GENERAL.DAT_AP is the accounts payable (vendor) defaults (Module 2) view of Peachtree's GENERAL.DAT file. Most of the field information for GENERAL.DAT_AP view is entered or displayed in Peachtree's Vendor Defaults window.

  • To add Peachtree accounts payble (vendor) default fields to your Crystal reports, select the GENERAL.DAT_AP subset of the FILE.DDF data dictionary file.

Note: GENERAL.DAT tables cannot be linked to other Peachtree data tables, but they can be used individually to extract various default information in your Crystal reports.

Indexes and Their Uses

This file has only one key, AcctgModule.

Fields

The following table shows the fields available in the GENERAL.DAT (AP) file and includes the type and size in number of bytes of each field.

Field Name | Type | Size | Comment
AcctgModule | Integer |  | For vendor defaults, you must specify that Module == 2.
APAcctRecordNumber | Integer | 4 | Current default A/P account that is used in the Purchase Orders, Purchases, and Payments window.
CashAcntRecordNumber | Integer | 4 | Current default cash account that is used in the Payments window.
DiscAcntRecordNumber | Integer | 4 | Current default discount account entered in Vendor Defaults, the Payment Terms tab.
WCCashAcctRecNum | ZString | 15 | Current default cash account that is used in the Write Checks window.
NumDaysInBracket0 | Integer |  | Number of days for first aging bracket (column) in aged payable views and reports. About Aging Brackets: Aging brackets (categories) for accounts payable are entered on the Account Aging tab of the Vendor Defaults window.
LabelForBracket0 | ZString | 15 | Label for first bracket (column) in aged payable views and reports.
NumDaysInBracket1 | Integer |  | Number of days for second aging bracket (column) in aged payable views and reports.
LabelForBracket1 | ZString | 15 | Label for second bracket (column) in aged payable views and reports.
NumDaysInBracket2 | Integer |  | Number of days for third aging bracket (column) in aged payable views and reports.
LabelForBracket2 | ZString | 15 | Label for third bracket (column) in aged payable views and reports.
NumDaysInBracket3 | Integer |  | Number of days for last aging bracket (column) in aged payable views and reports.
LabelForBracket3 | ZString | 15 | Label for last bracket (column) in aged payable views and reports.
AgeByDueDate | Logical |  | Aging Invoices By option set up on the Aging tab of the Vendors Defaults window TRUE => all aging based on invoice due date FALSE => all aging based on invoice date.
Unused1 | ZString |  | Do not select or use this DDF field. It is used by Peachtree for internal reasons.
Unused2 |  |  | Do not select or use this DDF field. It is used by Peachtree for internal reasons.
Internal1 |  |  | Do not select or use this DDF field. It is used by Peachtree for internal reasons.
Internal2 |  |  | Do not select or use this DDF field. It is used by Peachtree for internal reasons.
NextPONumber | ZString | 20 | The currently next available purchase order number in the print sequence.
CustomFieldName1 | ZString | 16 | Text label for first vendor custom field. About Vendor Custom Fields: Labels for vendor custom fields are set up on the Custom Fields tab of the Vendor Defaults window. Note: To get the custom field names, you must use a custom formula. To learn more, click Click for your information .
CustomFieldName2 | ZString | 16 | Text label for second vendor custom field.
CustomFieldName3 | ZString | 16 | Text label for third vendor custom field.
CustomFieldName4 | ZString | 16 | Text label for fourth vendor custom field.
CustomFieldName5 | ZString | 16 | Text label for fifth vendor custom field.
InternalUse0..n | ZString |  | Do not select or use this DDF field. It is used by Peachtree for internal reasons.
What Do You Want to Do Next?

  • See a list of Crystal Reports data (.DAT) files

  • Read the Crystal Reports for Peachtree overview

  • Read about standard Crystal reports

  • Read the overview to designing Crystal reports


Accounts Receivable General Information Fields (DDF)

Accounts Receivable Default Information Fields (DDF)

The following Data Dictionary File (DDF) field information is intended to assist those who design reports in Crystal Reports for Peachtree.

The GENERAL.DAT file contains default information about your Peachtree Accounting company. It contains rows, but each row is very different in layout from the other rows. GENERAL.DAT_AR is the accounts receivable (customer) defaults (Module 1) view of Peachtree's GENERAL.DAT file. Most of the field information for GENERAL.DAT_AR view is entered or displayed in Peachtree's Customer Defaults and Statement/Invoices Defaults window.

  • To add Peachtree accounts receivable (customer) default fields to your Crystal reports, select the GENERAL.DAT_AR subset of the FILE.DDF data dictionary file.

Note: GENERAL.DAT tables cannot be linked to other Peachtree data tables, but they can be used individually to extract various default information in your Crystal reports.

Indexes and Their Uses

This file has only one key, AcctgModule.

Fields

The following table shows the fields available in the GENERAL.DAT (AR) file and includes the type and size in number of bytes of each field.

Field Name

Type

Size

Comment

AcctgModule

Integer

For customer defaults, you must specify that Module == 2.

ARacctRecordNumber

Integer

4

Current default A/R account that is used in the Quotes, Sales Orders, Sales/Invoicing, and Receipts window.

CashAcntRecordNumber

Integer

4

Current default cash account that is used in the Receipts window.

DiscAcntRecordNumber

Integer

4

Discount G/L account set up in Customer Defaults window and used in the Receipts window when applying receipts to invoices and taking discounts.

TaxAcntRecordNumber

Integer

4

Current default sales tax G/L account. These accounts are established in the Maintain Sales Tax Authorities window.

NumDaysInBracket0

Integer

Number of days for first aging bracket (column) in aged receivable views and reports.

About Aging Brackets: Aging brackets (categories) for accounts receivable are entered on the Account Aging tab of the Customer Defaults window.

LabelForBracket0

ZString

15

Label for first bracket (column) in aged receivable views and reports.

NumDaysInBracket1

Integer

Number of days for second aging bracket (column) in aged receivable views and reports.

LabelForBracket1

ZString

15

Label for second bracket (column) in aged receivable views and reports.

NumDaysInBracket2

Integer

Number of days for third aging bracket (column) in aged receivable views and reports.

LabelForBracket2

ZString

15

Label for third bracket (column) in aged receivable views and reports.

NumDaysInBracket3

Integer

Number of days for last aging bracket (column) in aged receivable views and reports.

LabelForBracket3

ZString

15

Label for last bracket (column) in aged receivable views and reports.

AgeByDueDate

Logical

Aging Invoices By option set up on the Aging tab of the Customer Defaults window

TRUE => all aging based on invoice due date

FALSE => all aging based on invoice date.

NextInvoice

ZString

20

The currently next available sales invoice number in the print sequence.

Unused

ZString

Do not select or use this DDF field. It is used by Peachtree for internal reasons.

DunnForBracket0

Integer

Dunning message text for first aging bracket (column) of past due sales balances that prints on customer statements.

About Dunning Messages: Dunning text messages and number of days (brackets) are entered in the Statements/Invoices Defaults window.

DunnAgeBracket0

ZString

79

Number of days for first dunning message bracket of past due sales balances that prints on customer statements.

DunnForBracket1

Integer

Dunning message text for second aging bracket (column) of past due sales balances that prints on customer statements.

DunnAgeBracket1

ZString

79

Number of days for second dunning message bracket of past due sales balances that prints on customer statements.

DunnForBracket2

Integer

Dunning message text for third aging bracket (column) of past due sales balances that prints on customer statements.

DunnAgeBracket2

ZString

79

Number of days for third dunning message bracket of past due sales balances that prints on customer statements.

DunnForBracket3

Integer

Dunning message text for last aging bracket (column) of past due sales balances that prints on customer statements.

DunnAgeBracket3

ZString

79

Number of days for last dunning message bracket of past due sales balances that prints on customer statements.

PrintStmntZero

Logical

Zero statement balance and print options set up in the Statement/Invoices Defaults window.

78 (ASCII “N”) – Never print zero balance customers.

79 (ASCII “O”) - Only print if other options allow.

65 (ASCII “A”) - Always print zero balance customers.

StmntMinus

Logical

Negative statement balance and print options set up in the Statement/Invoices Defaults window.

78 (ASCII “N”) – Never print negative balance customers.

79 (ASCII “O”) – Only print if other options allow.

65 (ASCII “A”) - Always print negative balance customers.

StmntPlus

Logical

Positive statement balance and print option set up in the Statement/Invoices Defaults window.

TRUE => Print statements for customers with a balance of at least StmntMin.

StmntMin

Float

The minimum balance needed for printing if StmntPlus is TRUE.

StmntOld

Logical

TRUE => Print Statements for customers with invoices at least StmntAge days old.

StmntAge

Integer

Statement aging requirement for printing for Stmntold

StmntForAnyAct

Logical

Activity option set up in the Statement/Invoices Defaults window.

TRUE => Print statements for customers with ANY activity.

PrtCompName

Logical

Print option set up in the Statement/Invoices Defaults window.

TRUE => Print company name and address on invoices and statements.

Unused1

Do not select or use this DDF field. It is used by Peachtree for internal reasons.

Unused2

Do not select or use this DDF field. It is used by Peachtree for internal reasons.

DontUse1

Do not select or use this DDF field. It is used by Peachtree for internal reasons.

DontUse2

Do not select or use this DDF field. It is used by Peachtree for internal reasons.

DontUse31

Do not select or use this DDF field. It is used by Peachtree for internal reasons.

FinChargeMessage

ZString

79

Finance charge warning message entered in the Customer Defaults window and printed on sales invoices, if the option is selected..

DontUse32

ZString

Do not select or use this DDF field. It is used by Peachtree for internal reasons.

DontUse33

Do not select or use this DDF field. It is used by Peachtree for internal reasons.

CustomFieldName1

ZString

16

Text label for first customer custom field.

About Customer Custom Fields: Labels for customer custom fields are set up on the Custom Fields tab of the Customer Defaults window.

Note: To get the custom field names, you must use a custom formula. To learn more, click Click for your information .

CustomFieldName2

ZString

16

Text label for second customer custom field.

CustomFieldName3

ZString

16

Text label for third customer custom field.

CustomFieldName4

ZString

16

Text label for fourth customer custom field.

CustomFieldName5

ZString

16

Text label for fifth customer custom field.

DontUse4

Do not select or use this DDF field. It is used by Peachtree for internal reasons.

DefSalesAcctRecNum

Integer

4

Default sales account record number entered in Maintain Employees/Prospects, the Sales Defaults tab.

InternalUse1-9

ZString

Do not select or use these DDF fields. They are used by Peachtree for internal reasons.

What Do You Want to Do Next?

  • See a list of Crystal Reports data (.DAT) files

  • Read the Crystal Reports for Peachtree overview

  • Read about standard Crystal reports

  • Read the overview to designing Crystal reports


Audit Trail Fields (DDF)

The following Data Dictionary File (DDF) field information is intended to assist those who design reports in Crystal Reports for Peachtree.

Filename: AUDITTR.DAT

The AUDITTR.DAT file contains information about the use of the Peachtree audit trail feature (available only in Peachtree Complete and Peachtree Premium Accounting) by your company.

  • To add Peachtree audit trail fields to your Crystal reports, select AUDITTR.DAT subset of the FILE.DDF data dictionary file.

Fields

The following table shows the fields available in the AUDITTR.DAT file and includes the type and size in number of bytes of each field.

Field Name | Type | Size | Comment
TimeStamp | Date | 4 | Time stamp on data entered by user tracked by audit trail.
UserID | ZString | 16 | ID of user who entered data tracked by audit trail.
Reference | ZString | 20 | Journal reference number or ID of the maintenance item.
TransID | ZString | 20 | Main ID for journals.
Action | Integer | 2 | Action taken. Valid values include Add, Change, Delete.
Type | Integer | 2 | Audit trail event type. Possible values include: 0=Maintenance Item 1=Journal 3=Other
PostOrder | Integer | 4 | Post order (not unique in this table).
TicketType | Integer | 2 | Type of time ticket used. Valid values include: 1=Time 2=Expense
MainAmt | Float | 8 | Amount of journal entry.
Description | ZString | 160 | Description of audit trail transaction.


Chart of Accounts Fields (DDF)

The following Data Dictionary File (DDF) field information is intended to assist those who design reports in Crystal Reports for Peachtree.

Filename: CHART.DAT

CHART.DAT is the chart of accounts file. It lists all account records listed in your company's chart of accounts and general ledger. Most of the information below is entered or displayed in Peachtree's Maintain Chart of Accounts window. Account debit and credit totals are used in many business reports and financial statements.

  • To add Peachtree chart of account fields to your Crystal reports, select the CHART.DAT subset of the FILE.DDF data dictionary file.

Indexes and Their Uses

CHART.DAT has five keys, as follows:

0 = By AccountID. This field is unique; it cannot change. Use this key when sorting reports by AccountID. Do not use this key to link accounts to other tables.

1 = By Account Type, and then by Description.

2 = By Description.

3 = By ChartRecordNumber. Use this key to link accounts with other tables.

4 = Not used.

5 = AccountIsInactive and then by AccountID.

Fields

The following table shows the fields available in the CHART.DAT file and includes the type and size in number of bytes of each field. Note that the CHART.DAT table contains budget-related fields that are available only for Peachtree Premium Accounting.

Field Name

Type

Size

Comment

AccountID

ZString

15

Account ID entered in the Maintain Chart of Accounts window. Account IDs are listed in the company's chart of accounts and general Ledger and referenced in many Peachtree records and transactions.

The Account ID data field is unique and currently cannot change.

AccountType

UBinary

Account type selected for each account ID entered in the Maintain Chart of Accounts window. This field is used for two main purposes:

  • If the account is an “income statement” type, then it is closed during posting.

  • If it is the one and only Retained Earnings account, it gets all the closing amounts.

Also, financial statements are usually designed to depend on account types to format properly.

Valid account types include:

0 => Cash

1 => Receivable (Accounts Receivable)

2 => Inventory

3 => Unused1 (Do not select)

4 => OthCurAsset (Other Current Assets)

5 => FixedAsset (Fixed Assets)

6 => AccumDepr (Accumulated Depreciation)

7 => Unused2 (Do not select)

8 => OtherAssets (Other Assets)

9 => Unused4 (Do not select)

10 => Payable (Accounts Payable)

11 => Unused5 (Do not select)

12 => OthCurLiability (Other Current Liabilities)

13 => Unused6 (Do not select)

14 => OthLiability (Long Term Liabilities)

15 => Unused7 (Do not select)

16 => EquityNoClose (Equity - Doesn't Close),

17 => Unused8 (Do not select)

18 => RetEarn (Equity - Retained Earnings

19 => EquityClose (Equity - Gets Closed))

20 => Unused9 (Do not select)

21 => Income

22 => Unused10 (Do not select)

23 => CostSales (Cost of Sales)

24 => Expense

GLAcntNumber

Integer

4

Account number entered in the Maintain Chart of Accounts window.

AccountDescription

ZString

30

Account description entered in the Maintain Chart of Accounts window.

AccountIsActive

Logical

The Inactive check box in the Maintain Chart of Accounts window. Valid choices include:

True = if the account record is inactive.

False = if the account record is active.

GUID

Integer

4

GUID (General Universal ID) used for linking the Chart table.

BegBal_Dr

Float

G/L Beginning balance debit total for the selected G/L account ID.

About Debit/Credit Float Fields in This Table: The following "float"-type fields contain periodic activity for the account. Debit activity is stored separately from Credit activity so that statement of cash flows is accurately reflected.

BegBal_Cr

Float

G/L Beginning balance credit total for the selected G/L account ID.

BegBal_Net

Float

G/L Beginning balance net total for the selected account ID.

LastYRPer1Dr

Float

Last closed fiscal year accounting Period 1 debit total for the selected G/L account ID.

About Last Year (Closed) Period Debit/Credit Totals: Closed periods have amounts in them for income statement accounts and the one and only retained earnings account.

LastYrPer1Cr

Float

Last closed fiscal year accounting Period 1 credit total for the selected G/L account ID.

LastYrPer1Net

Float

Last closed fiscal year accounting Period 1 net total for the selected G/L account ID.

LastYrPer2Dr

Float

Last closed fiscal year accounting Period 2 debit total for the selected G/L account ID.

LastYrPer2Cr

Float

Last closed fiscal year accounting Period 2 credit total for the selected G/L account ID.

LastYrPer2Net

Float

Last closed fiscal year accounting Period 2 net total for the selected G/L account ID.

LastYrPer3Dr

Float

Last closed fiscal year accounting Period 3 debit total for the selected G/L account ID.

LastYrPer3Cr

Float

Last closed fiscal year accounting Period 3 credit total for the selected G/L account ID.

LastYrPer3Net

Float

Last closed fiscal year accounting Period 3 net total for the selected G/L account ID.

LastYrPer4Dr

Float

Last closed fiscal year accounting Period 4 debit total for the selected G/L account ID.

LastYrPer4Cr

Float

Last closed fiscal year accounting Period 4 credit total for the selected G/L account ID.

LastYrPer4Net

Float

Last closed fiscal year accounting Period 4 net total for the selected G/L account ID.

LastYrPer5Dr

Float

Last closed fiscal year accounting Period 5 debit total for the selected G/L account ID.

LastYrPer5Cr

Float

Last closed fiscal year accounting Period 5 credit total for the selected G/L account ID.

LastYrPer5Net

Float

Last closed fiscal year accounting Period 5 net total for the selected G/L account ID.

LastYrPer6Dr

Float

Last closed fiscal year accounting Period 6 debit total for the selected G/L account ID.

LastYrPer6Cr

Float

Last closed fiscal year accounting Period 6 credit total for the selected G/L account ID.

LastYrPer6Net

Float

Last closed fiscal year accounting Period 6 net total for the selected G/L account ID.

LastYrPer7Dr

Float

Last closed fiscal year accounting Period 7 debit total for the selected G/L account ID.

LastYrPer7Cr

Float

Last closed fiscal year accounting Period 7 credit total for the selected G/L account ID.

LastYrPer7Net

Float

Last closed fiscal year accounting Period 7 net total for the selected G/L account ID.

LastYrPer8Dr

Float

Last closed fiscal year accounting Period 8 debit total for the selected G/L account ID.

LastYrPer8Cr

Float

Last closed fiscal year accounting Period 8 credit total for the selected G/L account ID.

LastYrPer8Net

Float

Last closed fiscal year accounting Period 8 net total for the selected G/L account ID.

LastYrPer9Dr

Float

Last closed fiscal year accounting Period 9 debit total for the selected G/L account ID.

LastYrPer9Cr

Float

Last closed fiscal year accounting Period 9 credit total for the selected G/L account ID.

LastYrPer9Net

Float

Last closed fiscal year accounting Period 9 net total for the selected G/L account ID.

LastYrPer10Dr

Float

Last closed fiscal year accounting Period 10 debit total for the selected G/L account ID.

LastYrPer10Cr

Float

Last closed fiscal year accounting Period 10 credit total for the selected G/L account ID.

LastYrPer10Net

Float

Last closed fiscal year accounting Period 10 net total for the selected G/L account ID.

LastYrPer11Dr

Float

Last closed fiscal year accounting Period 11 debit total for the selected G/L account ID.

LastYrPer11Cr

Float

Last closed fiscal year accounting Period 11 credit total for the selected G/L account ID.

LastYrPer11Net

Float

Last closed fiscal year accounting Period 11 net total for the selected G/L account ID.

LastYrPer12Dr

Float

Last closed fiscal year accounting Period 12 debit total for the selected G/L account ID.

LastYrPer12Cr

Float

Last closed fiscal year accounting Period 12 credit total for the selected G/L account ID.

LastYrPer12Net

Float

Last closed fiscal year accounting Period 12 net total for the selected G/L account ID.

LastYrPer13Dr

Float

Last closed fiscal year accounting Period 13 debit total for the selected G/L account ID.

Note: Period 13 is not used by some companies.

LastYrPer13Cr

Float

Last closed fiscal year accounting Period 13 credit total for the selected G/L account ID.

LastYrPer13Net

Float

Last closed fiscal year accounting Period 13 debit total for the selected G/L account ID.

LstYrCloseDr

Float

Last closed fiscal year debit total for the selected G/L account ID.

About Last Year Closed Debit/Credit Totals: The closed year totals have amounts in them for income statement accounts and the one and only retained earnings account.

LstYrCloseCr

Float

Last closed fiscal year credit total for the selected G/L account ID.

LstYrCloseNet

Float

Last closed fiscal year net total for the selected G/L account ID.

ThisYrPer1Dr

Float

Total debit amount in Period 1 (of the first open fiscal year) for the selected G/L account ID.

ThisYrPer1Cr

Float

Total debit amount in Period 1 (of the first open fiscal year) for the selected G/L account ID.

ThisYrPer1Net

Float

Total net amount in Period 1 (of the first open fiscal year) for the selected G/L account ID.

ThisYrPer2Dr

Float

Total debit amount in Period 3 (of the first open fiscal year) for the selected G/L account ID.

ThisYrPer2Cr

Float

Total credit amount in Period 3 (of the first open fiscal year) for the selected G/L account ID.

ThisYrPer2Net

Float

Total net amount in Period 3 (of the first open fiscal year) for the selected G/L account ID.

ThisYrPer3Dr

Float

Total debit amount in Period 3 (of the first open fiscal year) for the selected G/L account ID.

ThisYrPer3Cr

Float

Total credit amount in Period 3 (of the first open fiscal year) for the selected G/L account ID.

ThisYrPer3Net

Float

Total net amount in Period 3 (of the first open fiscal year) for the selected G/L account ID.

ThisYrPer4Dr

Float

Total debit amount in Period 4 (of the first open fiscal year) for the selected G/L account ID.

ThisYrPer4Cr

Float

Total credit amount in Period 4 (of the first open fiscal year) for the selected G/L account ID.

ThisYrPer4Net

Float

Total net amount in Period 4 (of the first open fiscal year) for the selected G/L account ID.

ThisYrPer5Dr

Float

Total debit amount in Period 5 (of the first open fiscal year) for the selected G/L account ID.

ThisYrPer5Cr

Float

Total credit amount in Period 5 (of the first open fiscal year) for the selected G/L account ID.

ThisYrPer5Net

Float

Total net amount in Period 5 (of the first open fiscal year) for the selected G/L account ID.

ThisYrPer6Dr

Float

Total debit amount in Period 6 (of the first open fiscal year) for the selected G/L account ID.

ThisYrPer6Cr

Float

Total credit amount in Period 6 (of the first open fiscal year) for the selected G/L account ID.

ThisYrPer6Net

Float

Total net amount in Period 6 (of the first open fiscal year) for the selected G/L account ID.

ThisYrPer7Dr

Float

Total debit amount in Period 7 (of the first open fiscal year) for the selected G/L account ID.

ThisYrPer7Cr

Float

Total credit amount in Period 7 (of the first open fiscal year) for the selected G/L account ID.

ThisYrPer7Net

Float

Total net amount in Period 7 (of the first open fiscal year) for the selected G/L account ID.

ThisYrPer8Dr

Float

Total debit amount in Period 8 (of the first open fiscal year) for the selected G/L account ID.

ThisYrPer8Cr

Float

Total credit amount in Period 8 (of the first open fiscal year) for the selected G/L account ID.

ThisYrPer8Net

Float

Total net amount in Period 8 (of the first open fiscal year) for the selected G/L account ID.

ThisYrPer9Dr

Float

Total debit amount in Period 9 (of the first open fiscal year) for the selected G/L account ID.

ThisYrPer9Cr

Float

Total credit amount in Period 9 (of the first open fiscal year) for the selected G/L account ID.

ThisYrPer9Net

Float

Total net amount in Period 9 (of the first open fiscal year) for the selected G/L account ID.

ThisYrPer10Dr

Float

Total debit amount in Period 10 (of the first open fiscal year) for the selected G/L account ID.

ThisYrPer10Cr

Float

Total credit amount in Period 10 (of the first open fiscal year) for the selected G/L account ID.

ThisYrPer10Net

Float

Total net amount in Period 10 (of the first open fiscal year) for the selected G/L account ID.

ThisYrPer11Dr

Float

Total debit amount in Period 11 (of the first open fiscal year) for the selected G/L account ID.

ThisYrPer11Cr

Float

Total credit amount in Period 11 (of the first open fiscal year) for the selected G/L account ID.

ThisYrPer11Net

Float

Total net amount in Period 11 (of the first open fiscal year) for the selected G/L account ID.

ThisYrPer12Dr

Float

Total debit amount in Period 12 (of the first open fiscal year) for the selected G/L account ID.

ThisYrPer12Cr

Float

Total credit amount in Period 12 (of the first open fiscal year) for the selected G/L account ID.

ThisYrPer12Net

Float

Total net amount in Period 12 (of the first open fiscal year) for the selected G/L account ID.

ThisYrPer13Dr

Float

Total debit amount in Period 13 (of the first open fiscal year) for the selected G/L account ID.

Note: Period 13 is not used by some companies.

ThisYrPer13Cr

Float

Total credit amount in Period 13 (of the first open fiscal year) for the selected G/L account ID.

ThisYrPer13Net

Float

Total net amount in Period 13 (of the first open fiscal year) for the selected G/L account ID.

ThisYrCloseDr

Float

Total debit amount of first open fiscal year for the selected G/L account ID.

About This Year Closed Debit/Credit Totals: The closed year totals have amounts in them for income statement accounts and the one and only retained earnings account.

ThisYrCloseCr

Float

Total credit amount of first open fiscal year for the selected G/L account ID.

ThisYrCloseNet

Float

Total net amount of first open fiscal year for the selected G/L account ID.

NextYrPer1Dr

Float

Total debit amount in Period 1 (of the second open fiscal year) for the selected G/L account ID.

NextYrPer1Cr

Float

Total credit amount in Period 1 (of the second open fiscal year) for the selected G/L account ID.

NextYrPer1Net

Float

Total net amount in Period 1 (of the second open fiscal year) for the selected G/L account ID.

NextYrPer2Dr

Float

Total debit amount in Period 2 (of the second open fiscal year) for the selected G/L account ID.

NextYrPer2Cr

Float

Total credit amount in Period 2 (of the second open fiscal year) for the selected G/L account ID.

NextYrPer2Net

Float

Total net amount in Period 2 (of the second open fiscal year) for the selected G/L account ID.

NextYrPer3Dr

Float

Total debit amount in Period 3 (of the second open fiscal year) for the selected G/L account ID.

NextYrPer3Cr

Float

Total credit amount in Period 3 (of the second open fiscal year) for the selected G/L account ID.

NextYrPer3Net

Float

Total net amount in Period 3 (of the second open fiscal year) for the selected G/L account ID.

NextYrPer4Dr

Float

Total debit amount in Period 4 (of the second open fiscal year) for the selected G/L account ID.

NextYrPer4Cr

Float

Total credit amount in Period 4 (of the second open fiscal year) for the selected G/L account ID.

NextYrPer4Net

Float

Total net amount in Period 4 (of the second open fiscal year) for the selected G/L account ID.

NextYrPer5Dr

Float

Total debit amount in Period 5 (of the second open fiscal year) for the selected G/L account ID.

NextYrPer5Cr

Float

Total credit amount in Period 5 (of the second open fiscal year) for the selected G/L account ID.

NextYrPer5Net

Float

Total net amount in Period 5 (of the second open fiscal year) for the selected G/L account ID.

NextYrPer6Dr

Float

Total debit amount in Period 6 (of the second open fiscal year) for the selected G/L account ID.

NextYrPer6Cr

Float

Total credit amount in Period 6 (of the second open fiscal year) for the selected G/L account ID.

NextYrPer6Net

Float

Total net amount in Period 6 (of the second open fiscal year) for the selected G/L account ID.

NextYrPer7Dr

Float

Total debit amount in Period 7 (of the second open fiscal year) for the selected G/L account ID.

NextYrPer7Cr

Float

Total credit amount in Period 7 (of the second open fiscal year) for the selected G/L account ID.

NextYrPer7Net

Float

Total net amount in Period 7 (of the second open fiscal year) for the selected G/L account ID.

NextYrPer8Dr

Float

Total debit amount in Period 8 (of the second open fiscal year) for the selected G/L account ID.

NextYrPer8Cr

Float

Total credit amount in Period 8 (of the second open fiscal year) for the selected G/L account ID.

NextYrPer8Net

Float

Total net amount in Period 8 (of the second open fiscal year) for the selected G/L account ID.

NextYrPer9Dr

Float

Total debit amount in Period 9 (of the second open fiscal year) for the selected G/L account ID.

NextYrPer9Cr

Float

Total credit amount in Period 9 (of the second open fiscal year) for the selected G/L account ID.

NextYrPer9Net

Float

Total net amount in Period 9 (of the second open fiscal year) for the selected G/L account ID.

NextYrPer10Dr

Float

Total debit amount in Period 10 (of the second open fiscal year) for the selected G/L account ID.

NextYrPer10Cr

Float

Total credit amount in Period 10 (of the second open fiscal year) for the selected G/L account ID.

NextYrPer10Net

Float

Total net amount in Period 10 (of the second open fiscal year) for the selected G/L account ID.

NextYrPer11Dr

Float

Total debit amount in Period 11 (of the second open fiscal year) for the selected G/L account ID.

NextYrPer11Cr

Float

Total credit amount in Period 11 (of the second open fiscal year) for the selected G/L account ID.

NextYrPer11Net

Float

Total net amount in Period 11 (of the second open fiscal year) for the selected G/L account ID.

NextYrPer12Dr

Float

Total debit amount in Period 12 (of the second open fiscal year) for the selected G/L account ID.

NextYrPer12Cr

Float

Total credit amount in Period 12 (of the second open fiscal year) for the selected G/L account ID.

NextYrPer12Net

Float

Total net amount in Period 12 (of the second open fiscal year) for the selected G/L account ID.

NextYrPer13Dr

Float

Total debit amount in Period 13 (of the second open fiscal year) for the selected G/L account ID.

Note: Period 13 is not used by some companies.

NextYrPer13Cr

Float

Total credit amount in Period 13 (of the second open fiscal year) for the selected G/L account ID.

NextYrPer13Net

Float

Total net amount in Period 13 (of the second open fiscal year) for the selected G/L account ID.

BudgetBegBal

Float

Beginning balance budget total for the selected G/L account ID.

About Budget Totals: Period and annual budget totals are entered for each account ID on the Budgets tab of the Maintain Chart of Accounts window. Budget totals are typically used in reports and financial statements. Budgets get closed just like real account activity.

BudgetLastYrPer1

Float

Budget total for Period 1 of the last closed fiscal year for the selected G/L account ID.

BudgetLastYrPer2

Float

Budget total for Period 2 of the last closed fiscal year for the selected G/L account ID.

BudgetLastYrPer3

Float

Budget total for Period 3 of the last closed fiscal year for the selected G/L account ID.

BudgetLastYrPer4

Float

Budget total for Period 4 of the last closed fiscal year for the selected G/L account ID.

BudgetLastYrPer5

Float

Budget total for Period 5 of the last closed fiscal year for the selected G/L account ID.

BudgetLastYrPer6

Float

Budget total for Period 6 of the last closed fiscal year for the selected G/L account ID.

BudgetLastYrPer7

Float

Budget total for Period 7 of the last closed fiscal year for the selected G/L account ID.

BudgetLastYrPer8

Float

Budget total for Period 8 of the last closed fiscal year for the selected G/L account ID.

BudgetLastYrPer9

Float

Budget total for Period 9 of the last closed fiscal year for the selected G/L account ID.

BudgetLastYrPer10

Float

Budget total for Period 10 of the last closed fiscal year for the selected G/L account ID.

BudgetLastYrPer11

Float

Budget total for Period 11 of the last closed fiscal year for the selected G/L account ID.

BudgetLastYrPer12

Float

Budget total for Period 12 of the last closed fiscal year for the selected G/L account ID.

BudgetLastYrPer13

Float

Budget total for Period 13 of the last closed fiscal year for the selected G/L account ID.

Note: Period 13 is not used by some companies.

BudgetLastYrClose

Float

Budget total for the last closed fiscal year for the selected G/L account ID.

BudgetThisYrPer1

Float

Total budget amount in Period 1 (of the first open fiscal year) for the selected G/L account ID.

BudgetThisYrPer2

Float

Total budget amount in Period 2 (of the first open fiscal year) for the selected G/L account ID.

BudgetThisYrPer3

Float

Total budget amount in Period 3 (of the first open fiscal year) for the selected G/L account ID.

BudgetThisYrPer4

Float

Total budget amount in Period 4 (of the first open fiscal year) for the selected G/L account ID.

BudgetThisYrPer5

Float

Total budget amount in Period 5 (of the first open fiscal year) for the selected G/L account ID.

BudgetThisYrPer6

Float

Total budget amount in Period 6 (of the first open fiscal year) for the selected G/L account ID.

BudgetThisYrPer7

Float

Total budget amount in Period 7 (of the first open fiscal year) for the selected G/L account ID.

BudgetThisYrPer8

Float

Total budget amount in Period 8 (of the first open fiscal year) for the selected G/L account ID.

BudgetThisYrPer9

Float

Total budget amount in Period 9 (of the first open fiscal year) for the selected G/L account ID.

BudgetThisYrPer10

Float

Total budget amount in Period 10 (of the first open fiscal year) for the selected G/L account ID.

BudgetThisYrPer11

Float

Total budget amount in Period 11 (of the first open fiscal year) for the selected G/L account ID.

BudgetThisYrPer12

Float

Total budget amount in Period 12 (of the first open fiscal year) for the selected G/L account ID.

BudgetThisYrPer13

Float

Total budget amount in Period 13 (of the first open fiscal year) for the selected G/L account ID.

Note: Period 13 is not used by some companies.

BudgetThisYrClose

Float

Total budget amount of the first open fiscal year for the selected G/L account ID.

BudgetNextYrPer1

Float

Total budget amount in Period 1 (of the second open fiscal year) for the selected G/L account ID.

BudgetNextYrPer2

Float

Total budget amount in Period 2 (of the second open fiscal year) for the selected G/L account ID.

BudgetNextYrPer3

Float

Total budget amount in Period 3 (of the second open fiscal year) for the selected G/L account ID.

BudgetNextYrPer4

Float

Total budget amount in Period 4 (of the second open fiscal year) for the selected G/L account ID.

BudgetNextYrPer5

Float

Total budget amount in Period 5 (of the second open fiscal year) for the selected G/L account ID.

BudgetNextYrPer6

Float

Total budget amount in Period 6 (of the second open fiscal year) for the selected G/L account ID.

BudgetNextYrPer7

Float

Total budget amount in Period 7 (of the second open fiscal year) for the selected G/L account ID.

BudgetNextYrPer8

Float

Total budget amount in Period 8 (of the second open fiscal year) for the selected G/L account ID.

BudgetNextYrPer9

Float

Total budget amount in Period 9 (of the second open fiscal year) for the selected G/L account ID.

BudgetNextYrPer10

Float

Total budget amount in Period 10 (of the second open fiscal year) for the selected G/L account ID.

BudgetNextYrPer11

Float

Total budget amount in Period 11 (of the second open fiscal year) for the selected G/L account ID.

BudgetNextYrPer12

Float

Total budget amount in Period 12 (of the second open fiscal year) for the selected G/L account ID.

BudgetNextYrPer13

Float

Total budget amount in Period 13 (of the second open fiscal year) for the selected G/L account ID.

Note: Period 13 is not used by some companies.

AccountIsInactive

Logical

The Inactive check box in the Maintain Chart of Accounts window. Valid choices include:

True = if the account record is inactive.

False = if the account record is active.

ChartUnused1

Zstring

Do not select or use this DDF field. It is used by Peachtree for internal reasons.

NextCheckNumber

Zstring

20

The next check number to be used in a print cycle for the selected G/L account ID. This field is usually only relevant for cash accounts.

AccountRecordNumber

Integer

This (internal) account field is used for linking purposes to other Peachtree data tables. For more information, see Indexes and Their Uses above.

This field is unique in the table and never changes.

ChartDontUse1

Integer

Do not select or use this DDF field. It is used by Peachtree for internal reasons.

GL1099Index

ZString

15

General Ledger account used for 1099 payments to the vendor.

ReceiptNum

ZString

20

Receipt number for the transaction.

LastDepositTicket

ZString

8

Last deposit ticket ID used for a deposit made in the Select for Deposit window.

Peachtree Premium Accounting Fields

The following table shows additional fields available in the CHART.DAT file for Peachtree Premium Accounting. Most of these fields are concerned with Maintain Budgets.

Field Name | Type | Size | Comment
GLAcntNumber | Integer | 4 | Account number entered in the Maintain Chart of Accounts window.
AccountDescription | Zstring | 30 | Account description entered in the Chart of Accounts window.
BudgetThirdYrPer1 | Float | 8 | Budget total for Period 1 of the third fiscal year for the selected G/L account ID.
BudgetThirdYrPer2 | Float | 8 | Budget total for Period 2 of the third fiscal year for the selected G/L account ID.
BudgetThirdYrPer3 | Float | 8 | Budget total for Period 3 of the third fiscal year for the selected G/L account ID.
BudgetThirdYrPer4 | Float | 8 | Budget total for Period 4 of the third fiscal year for the selected G/L account ID.
BudgetThirdYrPer5 | Float | 8 | Budget total for Period 5 of the third fiscal year for the selected G/L account ID.
BudgetThirdYrPer6 | Float | 8 | Budget total for Period 6 of the third fiscal year for the selected G/L account ID.
BudgetThirdYrPer7 | Float | 8 | Budget total for Period 7 of the third fiscal year for the selected G/L account ID.
BudgetThirdYrPer8 | Float | 8 | Budget total for Period 8 of the third fiscal year for the selected G/L account ID.
BudgetThirdYrPer9 | Float | 8 | Budget total for Period 9 of the third fiscal year for the selected G/L account ID.
BudgetThirdYrPer10 | Float | 8 | Budget total for Period 10 of the third fiscal year for the selected G/L account ID.
BudgetThirdYrPer11 | Float | 8 | Budget total for Period 11 of the third fiscal year for the selected G/L account ID.
BudgetThirdYrPer12 | Float | 8 | Budget total for Period 12 of the third fiscal year for the selected G/L account ID.
BudgetThirdYrPer13 | Float | 8 | Budget total for Period 13 of the third fiscal year for the selected G/L account ID. Note: Period 13 is not used by some companies.
RevisedLastYrPer1 | Float | 8 | Revised budget amount for Period 1 of the last fiscal year for the selected G/L account ID.
RevisedLastYrPer2 | Float | 8 | Revised budget amount for Period 2 of the last fiscal year for the selected G/L account ID.
RevisedLastYrPer3 | Float | 8 | Revised budget amount for Period 3 of the last fiscal year for the selected G/L account ID.
RevisedLastYrPer4 | Float | 8 | Revised budget amount for Period 4 of the last fiscal year for the selected G/L account ID.
RevisedLastYrPer5 | Float | 8 | Revised budget amount for Period 5 of the last fiscal year for the selected G/L account ID.
RevisedLastYrPer6 | Float | 8 | Revised budget amount for Period 6 of the last fiscal year for the selected G/L account ID.
RevisedLastYrPer7 | Float | 8 | Revised budget amount for Period 7 of the last fiscal year for the selected G/L account ID.
RevisedLastYrPer8 | Float | 8 | Revised budget amount for Period 8 of the last fiscal year for the selected G/L account ID.
RevisedLastYrPer9 | Float | 8 | Revised budget amount for Period 9 of the last fiscal year for the selected G/L account ID.
RevisedLastYrPer10 | Float | 8 | Revised budget amount for Period 10 of the last fiscal year for the selected G/L account ID.
RevisedLastYrPer11 | Float | 8 | Revised budget amount for Period 11 of the last fiscal year for the selected G/L account ID.
RevisedLastYrPer12 | Float | 8 | Revised budget amount for Period 12 of the last fiscal year for the selected G/L account ID.
RevisedLastYrPer13 | Float | 8 | Revised budget amount for Period 13 of the last fiscal year for the selected G/L account ID. Note: Period 13 is not used by some companies.
RevisedThisYrPer1 | Float | 8 | Revised budget amount for Period 1 of the current fiscal year for the selected G/L account ID.
RevisedThisYrPer2 | Float | 8 | Revised budget amount for Period 2 of the current fiscal year for the selected G/L account ID.
RevisedThisYrPer3 | Float | 8 | Revised budget amount for Period 3 of the current fiscal year for the selected G/L account ID.
RevisedThisYrPer4 | Float | 8 | Revised budget amount for Period 4 of the current fiscal year for the selected G/L account ID.
RevisedThisYrPer5 | Float | 8 | Revised budget amount for Period 5 of the current fiscal year for the selected G/L account ID.
RevisedThisYrPer6 | Float | 8 | Revised budget amount for Period 6 of the current fiscal year for the selected G/L account ID.
RevisedThisYrPer7 | Float | 8 | Revised budget amount for Period 7 of the current fiscal year for the selected G/L account ID.
RevisedThisYrPer8 | Float | 8 | Revised budget amount for Period 8 of the current fiscal year for the selected G/L account ID.
RevisedThisYrPer9 | Float | 8 | Revised budget amount for Period 9 of the current fiscal year for the selected G/L account ID.
RevisedThisYrPer10 | Float | 8 | Revised budget amount for Period 10 of the current fiscal year for the selected G/L account ID.
RevisedThisYrPer11 | Float | 8 | Revised budget amount for Period 11 of the current fiscal year for the selected G/L account ID.
RevisedThisYrPer12 | Float | 8 | Revised budget amount for Period 12 of the current fiscal year for the selected G/L account ID.
RevisedThisYrPer13 | Float | 8 | Revised budget amount for Period 13 of the current fiscal year for the selected G/L account ID. Note: Period 13 is not used by some companies.
What Do You Want to Do Next?

  • See a list of Crystal Reports data (.DAT) files

  • Read the Crystal Reports for Peachtree overview

  • Read about standard Crystal reports

  • Read the overview to designing Crystal reports


Company Fields (DDF)

The following Data Dictionary File (DDF) field information is intended to assist those who design reports in Crystal Reports for Peachtree.

Filename: COMPANY.DAT

COMPANY.DAT is the company file, which holds the company name, address, and other information specific to the business. Most of this information is entered or available in Peachtree's Maintain Company Information window.

  • To add Peachtree company fields to your Crystal reports, select the COMPANY.DAT subset of the FILE.DDF data dictionary file.

Indexes and Their Uses

The COMPANY.DAT file has only one record (row) and only one key.

Fields

The following table shows the fields available in the COMPANY.DAT file and includes the type and size in number of bytes of each field.

Field Name | Type | Size | Comment
CompanyDontUse1 | ZString | 3 | Do not select or use this DDF field. It is used by Peachtree for internal reasons.
Company Name | ZString | 39 | Company name entered in the Maintain Company Information window.
CompanyUnused1 | ZString | 30 | Do not select or use this DDF field. It is used by Peachtree for internal reasons.
Address1 | ZString | 30 | Business address line 1 entered in the Maintain Company Information window.
Address2 | ZString | 30 | Business address line 2 entered in the Maintain Company Information window.
City | ZString | 21 | City address field entered in the Maintain Company Information window.
State | ZString | 2 | 2-character State address field entered in the Maintain Company Information window.
ZIP | ZString | 12 | ZIP address field entered in the Maintain Company Information window.
Country | ZString | 15 | Country address field entered in the Maintain Company Information window.
FederalEIN | ZString | 12 | Federal Employer ID entered in the Maintain Company Information window.
CompanyUnused2 | ZString | 11 | Do not select or use this DDF field. It is used by Peachtree for internal reasons.
CompanyUnused3 | ZString | 11 | Do not select or use this DDF field. It is used by Peachtree for internal reasons.
IsCashBasis | Logical |  | Accounting method established during New Company Setup and displayed in the Maintain Company Information window. 0 => Accrual 1 => Cash Basis
IsRealTimePost | Logical |  | Posting Method selected in the Maintain Company Information window. 0 => Batch posting 1 => Real time posting.
CompanyType | Integer |  | Form of Business selected in the Maintain Company Information window. Valid values are: 0 = Straight “C” Corporation 1 = S Corporation 2 = Partnership 3 = Sole Proprietor 4 = Individual – (currently not supported in Peachtree) 5 = Fiduciary – (currently not supported in the Peachtree) 6 = Limited Liability Corporation Peachtree currently supports only 0,1,2,3, and 6.
ModulesSetUp | ZString |  | Lists all modules that are currently checked (set up) in Peachtree's Setup Checklist window. Think of this as an array of one byte logical flags where the elements are as follows: 0 = Maintain Chart of Accounts 1 = G/L Defaults 2 = G/L Beginning Balances 3 = Vendor Defaults 4 = Maintain Vendors 5 = Vendor Beginning Balances 6 = Customer Defaults 7 = Statement/Invoice defaults 8 = Maintain Customers 9 = Customer Beginning Balances 10 = Employee Defaults 11 = Maintain Employees 12 = Employee Beginning Balances 13 = Inventory Defaults 14 = Maintain Inventory 15 = Inventory Beginning Balances 16 = Jobs Defaults 17 = Maintain Jobs 18 = Jobs Beginning Balances 19 = Not currently used
CompanyUnused4 | ZString |  | Do not select or use this DDF field. It is used by Peachtree for internal reasons.
Email | ZString | 64 | E-mail address for the company.
PhoneNumber | ZString | 20 | Business phone number entered in the Maintain Company Information window.
FAXNumber | ZString | 20 | Business FAX number entered in the Maintain Company Information window.
CompanyUnused6 | ZString |  | Do not select or use this DDF field. It is used by Peachtree for internal reasons.
CompanyUnused7 | ZString |  | Do not select or use this DDF field. It is used by Peachtree for internal reasons.
UseE_Time | Logical |  | Do not select or use this DDF field. It is used by Peachtree for internal reasons.
ETimeID | ZString | 3 | Do not select or use this DDF field. It is used by Peachtree for internal reasons.
ETImeIndex | ZString | 6 | Do not select or use this DDF field. It is used by Peachtree for internal reasons.
CompanyUnused8 | ZString |  | Do not select or use this DDF field. It is used by Peachtree for internal reasons.
CompanyUnused9 | ZString |  | Do not select or use this DDF field. It is used by Peachtree for internal reasons.
UseAuditTrail | Logical |  | The Use Audit Trail option selected in the Maintain Company Information window. TRUE => Audit trail feature is activated. False => Audit trail feature is turned off. Note: The Use Audit Trail option is available only in Peachtree Complete Accounting.
SEIN | ZString | 20 | State Employer ID entered in the Maintain Company Information window.
SUIN | ZString | 20 | State Unemployement ID entered in the Maintain Company Information window.
CompanyUnused10 | ZString |  | Do not select or use this DDF field. It is used by Peachtree for internal reasons.
WebSite | ZString | 251 | Web site address (URL) for the company. About the Web Address fields: Peachtree allows Web address URLs to be up to 254 characters. If the URL entered in Peachtree is longer than 251 characters (Crystal Reports' maximum field length), the remaining characters will be present in WEB_Address2 (below).
WebSite2 | ZString | 3 | Continuation of Web site address (URL) for the company (if applicable).
DateLastAccessTest | Date |  | The date on which the last data verification access test has been run in Peachtree.
What Do You Want to Do Next?

  • See a list of Crystal Reports data (.DAT) files

  • Read the Crystal Reports for Peachtree overview

  • Read about standard Crystal reports

  • Read the overview to designing Crystal reports


Job Cost Codes Fields (DDF)

The following Data Dictionary File (DDF) field information is intended to assist those who design reports in Crystal Reports for Peachtree.

Filename: COST.DAT

The Cost.DAT file contains job cost codes. Most of this information is entered or displayed in Peachtree's Maintain Cost Codes window.

  • To add Peachtree cost code fields to your Crystal reports, select the COST.DAT subset of the FILE.DDF data dictionary file.

Note: Job cost codes are available only in Peachtree Complete Accounting and Peachtree Premium Accounting.

Indexes and Their Uses

COST.DAT has four indexes, as follows:

4 = By CostCodeID. This field is unique; it cannot change. Use this key when sorting reports by CostCodeID. Do not use this key to link cost codes to other tables.

5 = By CostRecordNumber. Use this key to link cost codes with other tables.

6 = By Description.

7 = By Inactive and then by Cost ID.

Fields

The following table shows the fields available in the COST.DAT file and includes the type and size in number of bytes of each field.

Field Name | Type | Size | Comment
CostCodeID | ZString | 20 | Cost Code ID entered in the Maintain Cost Codes window.
CostRecordNumber | Integer |  | This (internal) cost code field is used for linking purposes to other Peachtree data files. For more information, see Indexes and Their Uses above.
CostDescription | Integer | 4 | Cost code description entered in the Maintain Cost Codes window.
CostType | ZString | 30 | Cost type selected for the cost code in the Maintain Cost Codes window. Valid entries are blank, Labor, Materials, Equipment, Subcontractor, and Other.
CostIsInactive | Logical | 1 | The Inactive check box in the Maintain Cost Codes window. Valid choices include: True = if the cost code record is inactive. False = if the cost code record is active.
What Do You Want to Do Next?

  • See a list of Crystal Reports data (.DAT) files

  • Read the Crystal Reports for Peachtree overview

  • Read about standard Crystal reports

  • Read the overview to designing Crystal reports


Customer Fields (DDF)

Customer Fields

The following Data Dictionary File (DDF) field information is intended assist those who design reports in Crystal Reports for Peachtree.

Filename: CUSTOMER.DAT

Customer.DAT is the customer file. It contains a row (record) for each customer. Most of the information below is entered or displayed in Peachtree's Maintain Customers/Prospects window.

  • To add Peachtree customer fields to your Crystal reports, select the CUSTOMER.DAT subset of the FILE.DDF data dictionary file.

Indexes and Their Uses

CUSTOMER.DAT has five keys, as follows:

0 = By CustomerID. This field is unique, but it can change. Use this key when sorting reports by CustomerID. Do not use this key to link customers with other tables.

1 = By Customer Name.

2 = By CustomerIsInactive and then by CustomerID.

3 = By CustomerIsInactive and then by Customer Name.

4 = By CustomerRecordNumber. Use this key to link customers with other tables.

Fields

The following table shows the fields available in the CUSTOMER.DAT file and includes the type and size in number of bytes of each field.

Field Name

Type

Size

Comment

CustomerRecordNumber

Integer

This (internal) customer field is used for linking purposes to other Peachtree data tables. For more information, see Indexes and Their Uses above.

This field is unique in the table and never changes.

CustomerID

ZString

20

Customer ID entered in Maintain Customers/Prospects window. This record ID is unique, but it can change (if Peachtree's Change ID feature is used).

For customer name, see Bill_Name (below).

Customer_Type

ZString

8

Customer type entered on the General tab of the Maintain Customers/Prospects window.

Contact

ZString

20

Contact name entered on the General tab of the Maintain Customers/Prospects window.

Phone_Number

ZString

20

Telephone 1 entered on the General tab of the Maintain Customers/Prospects window.

FAX_Number

ZString

20

Fax number entered on the General tab of the Maintain Customers/Prospects window.

SalesTaxResaleNum

ZString

20

Resale number entered on the Sales Defaults tab of the Maintain Customers/Prospects window. Use this field when the customer is exempt from sales tax because he or she is a reseller.

Our_Account

ZString

20

The field is reserved for an account number that this customer uses to identify your company.

Note: This field is not currently used or available in the Peachtree application.

CustomerUnused0

Logical

Do not select or use this DDF field. It is used by Peachtree for internal reasons.

Use_Std_Terms

Logical

The Use Standard Terms option on the Sales Defaults tab of the Maintain Customers/Prospects window.

TRUE => use the standard sales payment terms set up in the Customer Defaults window (not currently available in the DDF table for GENERAL.DAT_AR).

FALSE => use payment terms set up for the specific customer record (see below).

GLAcntNumber

Integer

4

Default G/L sales (income) account for all transactions entered in Quotes, Sales/Invoicing, and Receipts windows that do not reference inventory items

Tip: Use this field as a key into the CHART.DAT file.

GUID

Integer

4

GUID (General Universal ID) used for linking the Customer table.

Balance

Float

The current balance due by this customer.

Note: This balance includes all unpaid invoices, including those entered in the future.

CustomerSince

Date

The Customer Since date entered or displayed on the History tab of the Maintain Customer/Prospects window.

CustomerUnused1

Float

Do not select or use this DDF field. It is used by Peachtree for internal reasons.

SalesLastYrPer1

Float

Total sales recorded for this customer in Period 1 of the last closed fiscal year.

SalesLastYrPer2

Float

Total sales recorded for this customer in Period 2 of the last closed fiscal year.

SalesLastYrPer3

Float

Total sales recorded for this customer in Period 3 of the last closed fiscal year.

SalesLastYrPer4

Float

Total sales recorded for this customer in Period 4 of the last closed fiscal year.

SalesLastYrPer5

Float

Total sales recorded for this customer in Period 5 of the last closed fiscal year.

SalesLastYrPer6

Float

Total sales recorded for this customer in Period 6 of the last closed fiscal year.

SalesLastYrPer7

Float

Total sales recorded for this customer in Period 7 of the last closed fiscal year.

SalesLastYrPer8

Float

Total sales recorded for this customer in Period 8 of the last closed fiscal year.

SalesLastYrPer9

Float

Total sales recorded for this customer in Period 9 of the last closed fiscal year.

SalesLastYrPer10

Float

Total sales recorded for this customer in Period 10 of the last closed fiscal year.

SalesLastYrPer11

Float

Total sales recorded for this customer in Period 11 of the last closed fiscal year.

SalesLastYrPer12

Float

Total sales recorded for this customer in Period 12 of the last closed fiscal year.

SalesLastYrPer13

Float

Total sales recorded for this customer in Period 13 of the last closed fiscal year.

Note: Period 13 is not used by some companies.

CustomerUnused2

Float

Do not select or use this DDF field. It is used by Peachtree for internal reasons.

SalesThisYrPer1

Float

Total sales recorded for this customer in Period 1 of the first open fiscal year.

SalesThisYrPer2

Float

Total sales recorded for this customer in Period 2 of the first open fiscal year.

SalesThisYrPer3

Float

Total sales recorded for this customer in Period 3 of the first open fiscal year.

SalesThisYrPer4

Float

Total sales recorded for this customer in Period 4 of the first open fiscal year.

SalesThisYrPer5

Float

Total sales recorded for this customer in Period 5 of the first open fiscal year.

SalesThisYrPer6

Float

Total sales recorded for this customer in Period 6 of the first open fiscal year.

SalesThisYrPer7

Float

Total sales recorded for this customer in Period 7 of the first open fiscal year.

SalesThisYrPer8

Float

Total sales recorded for this customer in Period 8 of the first open fiscal year.

SalesThisYrPer9

Float

Total sales recorded for this customer in Period 9 of the first open fiscal year.

SalesThisYrPer10

Float

Total sales recorded for this customer in Period 10 of the first open fiscal year.

SalesThisYrPer11

Float

Total sales recorded for this customer in Period 11 of the first open fiscal year.

SalesThisYrPer12

Float

Total sales recorded for this customer in Period 12 of the first open fiscal year.

SalesThisYrPer13

Float

Total sales recorded for this customer in Period 13 of the first open fiscal year.

Note: Period 13 is not used by some companies.

CustomerUnused3

Float

Do not select or use this DDF field. It is used by Peachtree for internal reasons.

SalesNextYrPer1

Float

Total sales recorded for this customer in Period 1 of the second open fiscal year.

SalesNextYrPer2

Float

Total sales recorded for this customer in Period 2 of the second open fiscal year.

SalesNextYrPer3

Float

Total sales recorded for this customer in Period 3 of the second open fiscal year.

SalesNextYrPer4

Float

Total sales recorded for this customer in Period 4 of the second open fiscal year.

SalesNextYrPer5

Float

Total sales recorded for this customer in Period 5 of the second open fiscal year.

SalesNextYrPer6

Float

Total sales recorded for this customer in Period 6 of the second open fiscal year.

SalesNextYrPer7

Float

Total sales recorded for this customer in Period 7 of the second open fiscal year.

SalesNextYrPer8

Float

Total sales recorded for this customer in Period 8 of the second open fiscal year.

SalesNextYrPer9

Float

Total sales recorded for this customer in Period 9 of the second open fiscal year.

SalesNextYrPer10

Float

Total sales recorded for this customer in Period 10 of the second open fiscal year.

SalesNextYrPer11

Float

Total sales recorded for this customer in Period 11 of the second open fiscal year.

SalesNextYrPer12

Float

Total sales recorded for this customer in Period 12 of the second open fiscal year.

SalesNextYrPer13

Float

Total sales recorded for this customer in Period 13 of the second open fiscal year.

Note: Period 13 is not used by some companies.

CustomerUnused4

Float

Do not select or use this DDF field. It is used by Peachtree for internal reasons.

PmntsLastYrPer1

Float

Total receipts collected from this customer in Period 1 of the last closed fiscal year.

PmntsLastYrPer2

Float

Total receipts collected from this customer in Period 2 of the last closed fiscal year.

PmntsLastYrPer3

Float

Total receipts collected from this customer in Period 3 of the last closed fiscal year.

PmntsLastYrPer4

Float

Total receipts collected from this customer in Period 4 of the last closed fiscal year.

PmntsLastYrPer5

Float

Total receipts collected from this customer in Period 5 of the last closed fiscal year.

PmntsLastYrPer6

Float

Total receipts collected from this customer in Period 6 of the last closed fiscal year.

PmntsLastYrPer7

Float

Total receipts collected from this customer in Period 7 of the last closed fiscal year.

PmntsLastYrPer8

Float

Total receipts collected from this customer in Period 8 of the last closed fiscal year.

PmntsLastYrPer9

Float

Total receipts collected from this customer in Period 9 of the last closed fiscal year.

PmntsLastYrPer10

Float

Total receipts collected from this customer in Period 10 of the last closed fiscal year.

PmntsLastYrPer11

Float

Total receipts collected from this customer in Period 11 of the last closed fiscal year.

PmntsLastYrPer12

Float

Total receipts collected from this customer in Period 12 of the last closed fiscal year.

PmntsLastYrPer13

Float

Total receipts collected from this customer in Period 13 of the last closed fiscal year.

Note: Period 13 is not used by some companies.

CustomerUnused5

Float

Do not select or use this DDF field. It is used by Peachtree for internal reasons.

PmntsThisYrPer1

Float

Total receipts collected from this customer in Period 1 of the first open fiscal year.

PmntsThisYrPer2

Float

Total receipts collected from this customer in Period 2 of the first open fiscal year.

PmntsThisYrPer3

Float

Total receipts collected from this customer in Period 3 of the first open fiscal year.

PmntsThisYrPer4

Float

Total receipts collected from this customer in Period 4 of the first open fiscal year.

PmntsThisYrPer5

Float

Total receipts collected from this customer in Period 5 of the first open fiscal year.

PmntsThisYrPer6

Float

Total receipts collected from this customer in Period 6 of the first open fiscal year.

PmntsThisYrPer7

Float

Total receipts collected from this customer in Period 7 of the first open fiscal year.

PmntsThisYrPer8

Float

Total receipts collected from this customer in Period 8 of the first open fiscal year.

PmntsThisYrPer9

Float

Total receipts collected from this customer in Period 9 of the first open fiscal year.

PmntsThisYrPer10

Float

Total receipts collected from this customer in Period 10 of the first open fiscal year.

PmntsThisYrPer11

Float

Total receipts collected from this customer in Period 11 of the first open fiscal year.

PmntsThisYrPer12

Float

Total receipts collected from this customer in Period 12 of the first open fiscal year.

PmntsThisYrPer13

Float

Total receipts collected from this customer in Period 13 of the first open fiscal year.

Note: Period 13 is not used by some companies.

CustomerUnused6

Float

Do not select or use this DDF field. It is used by Peachtree for internal reasons.

PmntsNextYrPer1

Float

Total receipts collected from this customer in Period 1 of the second open fiscal year.

PmntsNextYrPer2

Float

Total receipts collected from this customer in Period 2 of the second open fiscal year.

PmntsNextYrPer3

Float

Total receipts collected from this customer in Period 3 of the second open fiscal year.

PmntsNextYrPer4

Float

Total receipts collected from this customer in Period 4 of the second open fiscal year.

PmntsNextYrPer5

Float

Total receipts collected from this customer in Period 5 of the second open fiscal year.

PmntsNextYrPer6

Float

Total receipts collected from this customer in Period 6 of the second open fiscal year.

PmntsNextYrPer7

Float

Total receipts collected from this customer in Period 7 of the second open fiscal year.

PmntsNextYrPer8

Float

Total receipts collected from this customer in Period 8 of the second open fiscal year.

PmntsNextYrPer9

Float

Total receipts collected from this customer in Period 9 of the second open fiscal year.

PmntsNextYrPer10

Float

Total receipts collected from this customer in Period 10 of the second open fiscal year.

PmntsNextYrPer11

Float

Total receipts collected from this customer in Period 11 of the second open fiscal year.

PmntsNextYrPer12

Float

Total receipts collected from this customer in Period 12 of the second open fiscal year.

PmntsNextYrPer13

Float

Total receipts collected from this customer in Period 13 of the second open fiscal year.

Note: Period 13 is not used by some companies.

LastInvoicedate

Date

Last sales invoice date recorded for this customer.

Last_Invoice_Amt

Float

Last sales invoice amount recorded for this customer.

Last_Pmnt_Date

Date

Last receipt date for this customer.

Last_Pmnt_Amnt

Float

Last receipt amount collected from this customer.

LastStatementDate

Date

Last statement date (printed) for this customer.

Terms_DueDays

Integer

Number of days before invoice balance is due.

About Customer Payment Terms: These are set up on the Sales Defaults tab of the Maintain Customers/Prospects window. Terms fields listed below are used if the Use Standard Terms option is not selected (Use_Std_Terms => False).

Terms_DiscDays

Integer

Number of days early payment discount is available.

Terms_Discount_Pcnt

Float

Discount percentage offered if paid early (within Terms_DiscDays)

Terms_CreditLimit

Float

Customer credit limit.

Terms_ChgInterest

Logical

Charge finance charges option. Finance charges are set up in the Custom Defaults window.

1 => Allow finance charges to accumulate for past due balances in this customer's account.

0 => Don’t charge finance charges to this customer's account.

Terms_COD

Logical

True => Cash on delivery payment term option is selected.

Terms_Prepay

Logical

True => Prepayment required term option is selected.

TermsDaysAreActual

Logical

1 => Due on Day of Month payment term option is selected (Terms_DueDays is actual day of (next) month that invoice is due)

0 => Due in # Days payment term option is selected (Terms_DueDays is number of days before invoice is due).

TermsDueAtMonthEnd

Logical

True => Due at end of month payment term option is selected.

Terms_Unused

ZString

Do not select or use this DDF field. It is used by Peachtree for internal reasons.

CustomerIsInactive

Logical

The Inactive check box in the Maintain Customers/Prospects window. Valid choices include:

True = if the customer record is inactive.

False = if the customer record is active.

Phone_Number2

ZString

20

Telephone 2 entered on the General tab of the Maintain Customers/Prospects window.

Bill_Name

ZString

30

Customer name entered in the Maintain Customers/Prospects window. This name is often grouped with the customer's Bill-to address (see below).

Bill_Address1

ZString

30

Address line 1 (street address) for customer bill-to address.

About the Bill-to Fields: These are the main (default) address for the customer entered on the General tab of the Maintain Customers/Prospects window.

Bill_Address2

ZString

30

Address line 2 (street address) for customer bill-to address.

Bill_City

ZString

20

City for customer Bill-to address.

Bill_State

ZString

2

2-character state abbreviation for customer bill-to address.

Bill_ZIP

ZString

12

ZIP code for customer bill-to address.

Bill_Country

ZString

15

Country for customer bill-to address.

Bill_TaxCode

ZString

8

Sales tax code associated with customer bill-to address. You can use this as a key into the TAXCODE.DAT file.

Ship1_Name

ZString

39

Customer name for Ship-to 1 address.

About the Ship-to Fields: You can set up nine different Ship-to addresses for the customer record on the General tab of the Maintain Customers/Prospects window.

Ship1_Addr1

ZString

30

Address line 1 (street address) for customer Ship-to 1 address.

Ship1_Addr2

ZString

30

Address line 2 (street address) for customer Ship-to 1 address.

Ship1_City

ZString

20

City for customer Ship-to 1 address.

Ship1_State

ZString

20

2-character state abbreviation for customer Ship-to 1 address.

Ship1_ZIP

ZString

10

ZIP code for customer Ship-to 1 address.

Ship1_Country

ZString

15

Country for customer Ship-to 1 address.

Ship1_TaxCode

ZString

8

Sales tax code for associated with customer Ship-to 1 address. You can use this as a key into the TAXCODE.DAT file.

Ship2_Name

ZString

39

Customer name for Ship-to 2 address.

Ship2_Addr1

ZString

30

Address line 1 (street address) for customer Ship-to 2 address.

Ship2_Addr2

ZString

30

Address line 2 (street address) for customer Ship-to 2 address.

Ship2_City

ZString

20

City for customer Ship-to 2 address.

Ship2_State

ZString

2

2-character state abbreviation for customer Ship-to 2 address.

Ship2_ZIP

ZString

12

ZIP code for customer Ship-to 2 address.

Ship2_Country

ZString

15

Country for customer Ship-to 2 address.

Ship2_TaxCode

ZString

8

Sales tax code for associated with customer Ship-to 2 address. You can use this as a key into the TAXCODE.DAT file.

Ship3_Name

ZString

39

Customer name for Ship-to 3 address.

Ship3_Addr1

ZString

30

Address line 1 (street address) for customer Ship-to 3 address.

Ship3_Addr2

ZString

30

Address line 2 (street address) for customer Ship-to 3 address.

Ship3_City

ZString

20

City for customer Ship-to 3 address.

Ship3_State

ZString

2

2-character state abbreviation for customer Ship-to 3 address.

Ship3_ZIP

ZString

12

ZIP code for customer Ship-to 3 address.

Ship3_Country

ZString

15

Country for customer Ship-to 3 address.

Ship3_TaxCode

ZString

8

Sales tax code for associated with customer Ship-to 3 address. You can use this as a key into the TAXCODE.DAT file.

Ship4_Name

ZString

39

Customer name for Ship-to 4 address.

Ship4_Addr1

ZString

30

Address line 1 (street address) for customer Ship-to 4 address.

Ship4_Addr2

ZString

30

Address line 2 (street address) for customer Ship-to 4 address.

Ship4_City

ZString

30

City for customer Ship-to 4 address.

Ship4_State

ZString

2

2-character state abbreviation for customer Ship-to 4 address.

Ship4_ZIP

ZString

12

ZIP code for customer Ship-to 4 address.

Ship4_Country

ZString

15

Country for customer Ship-to 4 address.

Ship4_TaxCode

ZString

8

Sales tax code for associated with customer Ship-to 4 address. You can use this as a key into the TAXCODE.DAT file.

Ship5_Name

ZString

39

Customer name for Ship-to 5 address.

Ship5_Addr1

ZString

30

Address line 1 (street address) for customer Ship-to 5 address.

Ship5_Addr2

ZString

30

Address line 2 (street address) for customer Ship-to 5 address.

Ship5_City

ZString

20

City for customer Ship-to 5 address.

Ship5_State

ZString

2

2-character state abbreviation for customer Ship-to 5 address.

Ship5_ZIP

ZString

12

ZIP code for customer Ship-to 5 address.

Ship5_Country

ZString

15

Country for customer Ship-to 5 address.

Ship5_TaxCode

ZString

8

Sales tax code for associated with customer Ship-to 5 address. You can use this as a key into the TAXCODE.DAT file.

Ship6_Name

ZString

39

Customer name for Ship-to 6 address.

Ship6_Addr1

ZString

30

Address line 1 (street address) for customer Ship-to 6 address.

Ship6_Addr2

ZString

30

Address line 2 (street address) for customer Ship-to 6 address.

Ship6_City

ZString

20

City for customer Ship-to 6 address.

Ship6_State

ZString

2

2-character state abbreviation for customer Ship-to 6 address.

Ship6_ZIP

ZString

12

ZIP code for customer Ship-to 6 address.

Ship6_Country

ZString

15

Country for customer Ship-to 6 address.

Ship6_TaxCode

ZString

8

Sales tax code for associated with customer Ship-to 6 address. You can use this as a key into the TAXCODE.DAT file.

Ship7_Name

Zstring

39

Customer name for Ship-to 7 address.

Ship7_Addr1

Zstring

30

Address line 1 (street address) for customer Ship-to 7 address.

Ship7_Addr2

ZString

30

Address line 2 (street address) for customer Ship-to 7 address.

Ship7_City

ZString

20

City for customer Ship-to 7 address.

Ship7_State

ZString

2

2-character state abbreviation for customer Ship-to 7 address.

Ship7_ZIP

ZString

12

ZIP code for customer Ship-to 7 address.

Ship7_Country

ZString

15

Country for customer Ship-to 7 address.

Ship7_TaxCode

Zstring

8

Sales tax code for associated with customer Ship-to 7 address. You can use this as a key into the TAXCODE.DAT file.

Ship8_Name

ZString

39

Customer name for Ship-to 8 address.

Ship8_Addr1

ZString

30

Address line 1 (street address) for customer Ship-to 8 address.

Ship8_Addr2

ZString

30

Address line 2 (street address) for customer Ship-to 8 address.

Ship8_City

ZString

20

City for customer Ship-to 8 address.

Ship8_State

ZString

2

2-character state abbreviation for customer Ship-to 8 address.

Ship8_ZIP

ZString

12

ZIP code for customer Ship-to 8 address.

Ship8_Country

ZString

15

Country for customer Ship-to 8 address.

Ship8_TaxCode

ZString

8

Sales tax code for associated with customer Ship-to 8 address. You can use this as a key into the TAXCODE.DAT file.

Ship9_Name

ZString

39

Customer name for Ship-to 9 address.

Ship9_Addr1

ZString

30

Address line 1 (street address) for customer Ship-to 9 address.

Ship9_Addr2

ZString

30

Address line 2 (street address) for customer Ship-to 9 address.

Ship9_City

ZString

20

City for customer Ship-to 9 address.

Ship9_State

ZString

2

2-character state abbreviation for customer Ship-to 9 address.

Ship9_ZIP

ZString

12

ZIP code for customer Ship-to 9 address.

Ship9_Country

ZString

15

Country for customer Ship-to 9 address.

Ship9_TaxCode

ZString

8

Sales tax code for associated with customer Ship-to 9 address. You can use this as a key into the TAXCODE.DAT file.

CustomField1

ZString

41

Data entered in first customer custom field.

About Customer Custom Fields: Custom field data is entered on the Custom Fields tab of the Maintain Customers/Prospects window. Labels for customer custom fields are set up on the Custom Fields tab of the Customer Defaults window.

Note: To get the custom field names, you must use a custom formula. To learn more, click Click for your information .

CustomField2

ZString

40

Data entered in second customer custom field.

CustomField3

ZString

40

Data entered in third customer custom field.

CustomField4

ZString

40

Data entered in fourth customer custom field.

CustomField5

ZString

40

Data entered in fifth customer custom field.

EmpRecordNumber

Integer

4

Default sales rep ID associated with the customer and selected on the Sales Defaults tab of the Maintain Customers/Prospects window.

OpenPO

ZString

20

The standing purchase order number used for this customer and entered on the Sales Defaults tab of the Maintain Customers/Prospects window. This defaults on the Quotes, Sales Orders, and Sales/Invoicing windows.

WhichShipVia

Integer

Identifies the number of default Ship Via option selected for this customer on the Sales Defaults tab of the Maintain Customers/Prospects window. Valid options are 1 to 10.

Ship (via) methods are set up in the Inventory Defaults window.

IsProspect

Logical

Prospect option in Maintain Customers/Prospects window.

TRUE => This is not really a customer, just a prospect (customer ID not included on any customer reports).

FALSE => This is a full customer, which can be invoiced (customer ID will be listed in all customer reports).

PriceLevel

Integer

Identifies the number of default sales price level option selected for this customer on the Sales Defaults tab of the Maintain Customers/Prospects window. Valid options are 1 to 5.

Price level amounts are set up for each inventory item in the Maintain Inventory Items window.

eMail_Address

ZString

64

E-mail address for this customer.

WEB_Address

ZString

251

Web site address (URL) for this customer.

About the Web Address fields: Peachtree allows Web address URLs to be up to 254 characters. If the URL entered in Peachtree is longer than 251 characters (Crystal Reports' maximum field length), the remaining characters will be present in WEB_Address2 (below).

WEB_Address2

ZString

3

Continuation of Web site address (URL) for this customer (if applicable).

CustomerBillName

ZString

39

Name that appears on customer bills.

BillPresentmentEnabled

Logical

Bill presentment setting for the customer in the Peachtree Web Bill Presentment Center.

TRUE => This customer is activated for bill presentment.

FALSE => This customer is not activated for bill presentment.

Cardholder_Name

ZString

30

Customer's cardholder's name as it appears on the credit card in the Cardholder's Name field.

Cardholder_Address1

ZString

30

Customer's cardholder's address, line 1. This defaults from the Bill to Address fields on the General tab of the Maintain Customers/Prospects window.

Cardholder_Address2

ZString

30

Customer's cardholder's address, line 2. This defaults from the Bill to Address fields on the General tab of the Maintain Customers/Prospects window.

Cardholder_City

ZString

20

The city of the customer's cardholder's address.

Cardholder_State

ZString

2

The state of the customer's cardholder's address.

Cardholder_ZIP

ZString

12

The ZIP code of the customer's cardholder's address.

Cardholder_Country

ZString

15

The country of the customer's cardholder's address.

What Do You Want to Do Next?

  • See a list of Crystal Reports data (.DAT) files

  • Read the Crystal Reports for Peachtree overview

  • Read about standard Crystal reports

  • Read the overview to designing Crystal reports


Data Dictionary File (DDF)

A dictionary is a structured, simplified, and secure view of organizational data that an employee can use to create custom Crystal reports for your company. The dictionary is made up of a series of one or more data dictionary files (DDFs). Crystal Reports for Peachtree comes with a special dictionary made up of three DDFs that contain much of the company information you would want to include in your reports. These three DDFs are called FIELD.DDF, INDEX.DDF, and FILE.DDF.

In turn, each of these DDFs contains a series of subfiles with a .DAT extension. These subfiles include a variety of company database information in the form of fields. For example, one .DAT file called COMPANY.DAT contains fields that represent general information about your company, such as company name and address. Another data file called PROJECT.DAT contains information about your company’s jobs, including job IDs, descriptions, and start and end dates.

Note: Whenever you want to add Peachtree database information to a Crystal report, you should always select the DDF called FILE.DDF.


Dictionary (DDF)

A dictionary is a structured, simplified, and secure view of organizational data that an employee can use to create custom reports for your company. A dictionary gives the employee ready access to the data in an understandable form while ensuring control and security over your data resources, since the employee can in no way alter the original data. Using a dictionary, the employee can

  • design a single, dynamic view of all the data that is necessary to create organizational reports and queries

  • include multiple data sources, tables, and links

  • organize the data and rename tables and fields to make it easier for company employees to understand the content and purpose of the data

  • limit access to specific columns of data (for example, letting only managers see the salary column of the employee data files)

  • place restriction formulas on specific rows of data (for example, allowing managers to view employee information only for those employees with a salary under $40,000)

  • create complex data-manipulation formulas that employees can access without requiring a technical grasp of the formulas.


Employee Fields (DDF)

The following Data Dictionary File (DDF) field information is intended to assist those who design reports in Crystal Reports for Peachtree.

Filename: EMPLOYEE.DAT

EMPLOYEE.DAT is the employee file. It contains a record (row) for each employee. Most of the information below is entered or displayed in Peachtree's Maintain Employees/Sales Reps window.

  • To add Peachtree employee fields to your Crystal reports, select the EMPLOYEE.DAT subset of the FILE.DDF data dictionary file.

Many of the employee fields listed below are based on earnings by quarter. This is useful for generating federal W-2s and quarterly payroll tax return information. There are two sets of quarters:

  • Quarter 0 is used to contain only beginning balances for "running" fields such as vacation and sick time.

  • Quarters 1-4 are for the current calendar (payroll) year, while quarters 5-8 are for next payroll year.

To determine Peachtree's current calendar (payroll) year, do the following:

  • From the Tasks menu, select System, and then Change Accounting Period.

Note: Calendar (payroll) and the fiscal years are different concepts that don’t necessarily refer to the same real year. Calendar years refer to payroll years that start in January and end in December; fiscal years are established in Peachtree's New Company Setup wizard and can start and end at any time.

Indexes and Their Uses

The EMPLOYEE.DAT file has three keys, as follows:

0 = By EmployeeID. This field is unique and doesn’t change. It should be used to link employees to other tables.

1 = By Employee Name.

2 = By EmployeeIsInactive and then by EmployeeID.

Fields

The following table shows the fields available in the EMPLOYEE.DAT file and includes the type and size in number of bytes of each field.

Field Name

Type

Size

Comment

EmployeeRecordNumber

Integer

4

Used as a table-linking field.

EmployeeID

ZString

20

Employee ID entered in Maintain Employees/Sales Rep window. This field is unique in the table and never changes.

EmployeeGUID

Integer

4

GUID (General Universal ID) used for linking the Employee table.

EmployeeName

ZString

30

Employee name entered on the General tab of the Maintain Employees/Sales Reps window.

Address1

ZString

30

Address line 1 (street address) entered on the General tab of the Maintain Employees/Sales Reps window.

Address2

ZString

30

Address line 2 (street address) entered on the General tab of the Maintain Employees/Sales Reps window.

City

ZString

20

City for employee address.

State

ZString

2

2-character state abbreviation for employee address.

ZIP

ZString

12

ZIP code for employee address.

Country

ZString

15

Country for employee address.

EmployeeSSN

ZString

11

Employee's social security number entered on the General tab of the Maintain Employees/Sales Reps window.

EmployeeIsInactive

Logical

The Inactive check box in the Maintain Employees/Sales Reps window. Valid choices include:

True = if the employee record is inactive.

False = if the employee record is active.

Type

ZString

8

Employee type entered on the General tab of the Maintain Employees/Sales Reps window.

DontUseQtr0A

Do not select or use this DDF field. It is used by Peachtree for internal reasons.

DontUseQtr0B

Do not select or use this DDF field. It is used by Peachtree for internal reasons.

DontUseWeeksWrked

Integer

Do not select or use this DDF field. It is used by Peachtree for internal reasons.

DontUseQtr0Hours

Do not select or use this DDF field. It is used by Peachtree for internal reasons.

DontUseQtr0Pay

Do not select or use this DDF field. It is used by Peachtree for internal reasons.

DontUseQtr1A

Do not select or use this DDF field. It is used by Peachtree for internal reasons.

DontUseQtr1B

Do not select or use this DDF field. It is used by Peachtree for internal reasons.

Qtr1WeeksWorked

Integer

Total number of weeks the employee worked (based on paychecks entered in Peachtree) in first quarter of the first open calendar (payroll) year.

DontUseQtr1Hours

Do not select or use this DDF field. It is used by Peachtree for internal reasons.

DontUseQtr1Pay

Do not select or use this DDF field. It is used by Peachtree for internal reasons.

DontUseQtr2A

Do not select or use this DDF field. It is used by Peachtree for internal reasons.

DontUseQtr2B

Do not select or use this DDF field. It is used by Peachtree for internal reasons.

Qtr2WeeksWorked

Integer

Total number of weeks the employee worked (based on paychecks entered in Peachtree) in second quarter of the first open calendar (payroll) year.

DontUseQtr2Hours

Do not select or use this DDF field. It is used by Peachtree for internal reasons.

DontUseQtr2Pay

Do not select or use this DDF field. It is used by Peachtree for internal reasons.

DontUseQtr3A

Do not select or use this DDF field. It is used by Peachtree for internal reasons.

DontUseQtr3B

Do not select or use this DDF field. It is used by Peachtree for internal reasons.

Qtr3WeeksWorked

Integer

Total number of weeks the employee worked (based on paychecks entered in Peachtree) in third quarter of the first open calendar (payroll) year.

DontUseQtr3Hours

Do not select or use this DDF field. It is used by Peachtree for internal reasons.

DontUseQtr3Pay

Do not select or use this DDF field. It is used by Peachtree for internal reasons.

DontUseQtr4A

Do not select or use this DDF field. It is used by Peachtree for internal reasons.

DontUseQtr4B

Do not select or use this DDF field. It is used by Peachtree for internal reasons.

Qtr4WeeksWorked

Integer

Total number of weeks the employee worked (based on paychecks entered in Peachtree) in fourth quarter of the first open calendar (payroll) year.

DontUseQtr4Hours

Do not select or use this DDF field. It is used by Peachtree for internal reasons.

DontUseQtr4Pay

Do not select or use this DDF field. It is used by Peachtree for internal reasons.

DontUseQtr5A

Do not select or use this DDF field. It is used by Peachtree for internal reasons.

DontUseQtr5B

Do not select or use this DDF field. It is used by Peachtree for internal reasons.

Qtr5WeeksWorked

Integer

Total number of weeks the employee worked (based on paychecks entered in Peachtree) in first quarter of the second open calendar (payroll) year.

DontUseQtr5Hours

Do not select or use this DDF field. It is used by Peachtree for internal reasons.

DontUseQtr5Pay

Do not select or use this DDF field. It is used by Peachtree for internal reasons.

DontUseQtr6A

Do not select or use this DDF field. It is used by Peachtree for internal reasons.

DontUseQtr6B

Do not select or use this DDF field. It is used by Peachtree for internal reasons.

Qtr6WeeksWorked

Integer

Total number of weeks the employee worked (based on paychecks entered in Peachtree) in second quarter of the second open calendar (payroll) year.

DontUseQtr6Hours

Do not select or use this DDF field. It is used by Peachtree for internal reasons.

DontUseQtr6Pay

Do not select or use this DDF field. It is used by Peachtree for internal reasons.

DontUseQtr7A

Do not select or use this DDF field. It is used by Peachtree for internal reasons.

DontUseQtr7B

Do not select or use this DDF field. It is used by Peachtree for internal reasons.

Qtr7WeeksWorked

Integer

Total number of weeks the employee worked (based on paychecks entered in Peachtree) in third quarter of the second open calendar (payroll) year.

DontUseQtr7Hours

Do not select or use this DDF field. It is used by Peachtree for internal reasons.

DontUseQtr7Pay

Do not select or use this DDF field. It is used by Peachtree for internal reasons.

DontUseQtr8A

Do not select or use this DDF field. It is used by Peachtree for internal reasons.

DontUseQtr8B

Do not select or use this DDF field. It is used by Peachtree for internal reasons.

Qtr8WeeksWorked

Integer

Total number of weeks the employee worked (based on paychecks entered in Peachtree) in fourth quarter of the second open calendar (payroll) year.

DontUseQtr8Hours

Do not select or use this DDF field. It is used by Peachtree for internal reasons.

DontUseQtr8Pay

Do not select or use this DDF field. It is used by Peachtree for internal reasons.

Pension

Logical

True => if the Pension check box is selected on the General tab of the Maintain Employees window. This is used on employee W-2 forms.

PayFrequency

Integer

Pay frequency selected on the Pay Info tab of the Maintain Employees/Sales Reps window.

Valid choices include:

0 => Weekly

1 => BiWeekly

2 => SemiMonthly

3 => Monthly

4 => BiMonthly (Currently not supported or used in Peachtree)

5 => Quarterly (Currently not supported or used in Peachtree)

6 => SemiAnnually (Currently not supported or used in Peachtree)

7 => Annually

Deferred

Logical

True => if the Deferred check box is selected on the General tab of the Maintain Employees window. This is used on employee W-2 forms to indicate deferred taxable income (such as 401(k)).

EmployeeDontUse_1

Do not select or use this DDF field. It is used by Peachtree for internal reasons.

EmployeeDontUse_2

Do not select or use this DDF field. It is used by Peachtree for internal reasons.

EmployeeDontUse_3

Do not select or use this DDF field. It is used by Peachtree for internal reasons.

EmployeeDontUse_4

Do not select or use this DDF field. It is used by Peachtree for internal reasons. reasons.

EmployeeDontUse_5

Do not select or use this DDF field. It is used by Peachtree for internal reasons.

EmployeeDontUse_6

Do not select or use this DDF field. It is used by Peachtree for internal reasons.

EmployeeDontUse_7

Do not select or use this DDF field. It is used by Peachtree for internal reasons.

EmployeeDontUse_8

Do not select or use this DDF field. It is used by Peachtree for internal reasons.

EmployeeDontUse_9

Do not select or use this DDF field. It is used by Peachtree for internal reasons.

EmployeeDontUse_10

Do not select or use this DDF field. It is used by Peachtree for internal reasons.

EmployeeDontUse_11

Do not select or use this DDF field. It is used by Peachtree for internal reasons.

EmployeeDontUse_12

Do not select or use this DDF field. It is used by Peachtree for internal reasons.

EmployeeDontUse_13

Do not select or use this DDF field. It is used by Peachtree for internal reasons.

EmployeeDontUse_14

Do not select or use this DDF field. It is used by Peachtree for internal reasons.

EmployeeDontUse_15

Do not select or use this DDF field. It is used by Peachtree for internal reasons.

EmployeeDontUse_16

Do not select or use this DDF field. It is used by Peachtree for internal reasons.

EmployeeDontUse_17

Do not select or use this DDF field. It is used by Peachtree for internal reasons.

EmployeeDontUse_18

Do not select or use this DDF field. It is used by Peachtree for internal reasons.

EmployeeDontUse_19

Do not select or use this DDF field. It is used by Peachtree for internal reasons.

EmployeeDontUse_20

Do not select or use this DDF field. It is used by Peachtree for internal reasons.

EmployeeDontUse_21

Do not select or use this DDF field. It is used by Peachtree for internal reasons.

EmployeeDontUse_22

Do not select or use this DDF field. It is used by Peachtree for internal reasons.

EmployeeDontUse_23

Do not select or use this DDF field. It is used by Peachtree for internal reasons.

EmployeeDontUse_24

Do not select or use this DDF field. It is used by Peachtree for internal reasons.

EmployeeDontUse_25

Do not select or use this DDF field. It is used by Peachtree for internal reasons.

EmployeeDontUse_26

Do not select or use this DDF field. It is used by Peachtree for internal reasons.

EmployeeDontUse_27

Do not select or use this DDF field. It is used by Peachtree for internal reasons.

EmployeeDontUse_28

Do not select or use this DDF field. It is used by Peachtree for internal reasons.

EmployeeDontUse_29

Do not select or use this DDF field. It is used by Peachtree for internal reasons.

EmployeeDontUse_30

Do not select or use this DDF field. It is used by Peachtree for internal reasons.

EmployeeDontUse_31

Do not select or use this DDF field. It is used by Peachtree for internal reasons.

EmployeeDontUse_32

Do not select or use this DDF field. It is used by Peachtree for internal reasons.

EmployeeDontUse_33

Do not select or use this DDF field. It is used by Peachtree for internal reasons.

EmployeeDontUse_34

Do not select or use this DDF field. It is used by Peachtree for internal reasons.

EmployeeDontUse_35

Do not select or use this DDF field. It is used by Peachtree for internal reasons.

EmployeeDontUse_36

Do not select or use this DDF field. It is used by Peachtree for internal reasons.

EmployeeDontUse_37

Do not select or use this DDF field. It is used by Peachtree for internal reasons.

EmployeeDontUse_38

Do not select or use this DDF field. It is used by Peachtree for internal reasons.

EmployeeDontUse_39

Do not select or use this DDF field. It is used by Peachtree for internal reasons.

EmployeeDontUse_40

Do not select or use this DDF field. It is used by Peachtree for internal reasons.

TaxState

ZString

2

2-character state abbreviation selected in the State/Locality column of the Withholding Information Table on the Withholding Info tab of the Maintain Employees/Sales Reps window. This identifies the single state that the employee gets taxed in. Peachtree currently supports getting taxed in only one state.

TaxLocality

ZString

8

8-character locality entered in the State/Locality column of the Withholding Information Table on the Withholding Info tab of the Maintain Employees/Sales Reps window (if applicable).

Emp_DontUse

Logical

Do not select or use this DDF field. It is used by Peachtree for internal reasons.

StateFilingStatus

Integer

State filing status selected for the employee in the Withholding Information Table on the Withholding Info tab of the Maintain Employees/Sales Reps window.

Valid values include:

0 = Single

1 = Married

2 = HeadOfHousehold

3 = Any (Currently not supported or used in Peachtree)

4 = Joint

5 = Separate

6 = Widow

7 = Joint2Income

8 = Special_A

9 = Special_B

10 = Special_C

11 = Special_D

12 = Special_E

13 = Special_F

14 = Special_G

15 = Special_H

LocalFilingStatus

Integer

Local filing status selected for the employee in the Withholding Information Table on the Withholding Info tab of the Maintain Employees/Sales Reps window.

Valid values include:

0 = Single

1 = Married

2 = HeadOfHousehold

3 = Any (Currently not supported or used in Peachtree)

4 = Joint

5 = Separate

6 = Widow

7 = Joint2Income

8 = Special_A

9 = Special_B

10 = Special_C

11 = Special_D

12 = Special_E

13 = Special_F

14 = Special_G

15 = Special_H

FedFilingStatus

Integer

Federal filing status selected for the employee in the Withholding Information Table on the Withholding Info tab of the Maintain Employees/Sales Reps window.

Valid values include:

0 = Single

1 = Married

FedAllowances

Integer

Number of federal allowances entered for the employee in the Withholding Information Table on the Withholding Info tab of the Maintain Employees/Sales Reps window.

StateAllowances

Integer

Number of state allowances entered for the employee in the Withholding Information Table on the Withholding Info tab of the Maintain Employees/Sales Reps window.

LocalAllowances

Integer

Number of local allowances entered for the employee in the Withholding Information Table on the Withholding Info tab of the Maintain Employees/Sales Reps window (if applicable)

ExtraFIT

Float

Amount of additional federal withholding entered for the employee in the Withholding Information Table on the Withholding Info tab of the Maintain Employees/Sales Reps window.

ExtraSIT

Float

Amount of additional state withholding entered for the employee in the Withholding Information Table on the Withholding Info tab of the Maintain Employees/Sales Reps window.

ExtraLIT

Float

Amount of additional local withholding entered for the employee in the Withholding Information Table on the Withholding Info tab of the Maintain Employees/Sales Reps window (if applicable).

PayStatus

Integer

Identifies which type of pay rate table (salaried or hourly) should display on the Pay Info tab of Maintain Employees/.Sales Reps window This option depends on the value entered in the HourlyEmpType field (see below).

Valid values for PayStatus include:

0 = Salaried

1 = Hourly

HireDate

Date

Hired date entered on the General tab of the Maintain Employees/Sales Reps window.

TerminationDate

Date

Terminated date entered on the General tab of the Maintain Employees/Sales Reps window.

PhoneNumber

ZString

20

Telephone 1 entered on the General tab of the Maintain Employees/Sales Reps window.

PayRate1

Float

Hourly or salary pay rate 1 for the employee.

About Employee Pay Rates: Pay rates are entered on the Pay Info tab of the Maintain Employees/Sales Reps window. Peachtree allows up to 20 pay rates for hourly or salary pay methods. The rate level that will display in Crystal reports depends on the PayStatus value (0 - Salaried or 1 - Hourly).

PayRate2

Float

Hourly or salary pay rate 2 for the employee.

PayRate3

Float

Hourly or salary pay rate 3 for the employee.

PayRate4

Float

Hourly or salary pay rate 4 for the employee.

PayRate5

Float

Hourly or salary pay rate 5 for the employee.

PayRate6

Float

Hourly or salary pay rate 6 for the employee.

PayRate7

Float

Hourly or salary pay rate 7 for the employee.

PayRate8

Float

Hourly or salary pay rate 8 for the employee.

PayRate9

Float

Hourly or salary pay rate 9 for the employee.

PayRate10

Float

Hourly or salary pay rate 10 for the employee.

PayRate11

Float

Hourly or salary pay rate 11 for the employee.

PayRate12

Float

Hourly or salary pay rate 12 for the employee.

PayRate13

Float

Hourly or salary pay rate 13 for the employee.

PayRate14

Float

Hourly or salary pay rate 14 for the employee.

PayRate15

Float

Hourly or salary pay rate 15 for the employee.

PayRate16

Float

Hourly or salary pay rate 16 for the employee.

PayRate17

Float

Hourly or salary pay rate 17 for the employee.

PayRate18

Float

Hourly or salary pay rate 18 for the employee.

PayRate19

Float

Hourly or salary pay rate 19 for the employee.

PayRate20

Float

Hourly or salary pay rate 20 for the employee.

CustomField1

ZString

40

Data entered in first employee custom field.

About Employee Custom Fields: Custom field data is entered on the Custom Fields tab of the Maintain Employees/Sales Reps window. Labels for employee custom fields are set up on the General tab of the Employee Defaults window.

Note: To get the custom field names, you must use a custom formula. To learn more, click Click for your information .

CustomField2

ZString

40

Data entered in second employee custom field.

CustomField3

ZString

40

Data entered in third employee custom field.

CustomField4

ZString

40

Data entered in fourth employee custom field.

CustomField5

ZString

40

Data entered in fifth employee custom field.

IsSalesRep

Logical

True => if Sales Rep or Both payroll option is selected in the Maintain Employees/Sales Reps window for this employee.

At least one of these 2 must be true. However, both of them can also be true.

IsEmployee

Logical

True => if Employee or Both payroll option is selected in the Maintain Employees/Sales Reps window for this employee.

UseStdAcntForRate1

Logical

0 => if the Standard (Std) check box is not selected for pay rate 1.

1 => if the Standard (Std) check box is selected for pay rate 1.

About Standard (Std) Pay rate G/L Accounts: Hourly and salaried pay rate names and G/L accounts are set up in Employee Defaults. G/L accounts determine where the gross pay is to be allocated for each pay rate. On the Pay Info tab of the Maintain Employees/Sales Reps window, you can change these defaults for individual employees to a non-standard G/L account.
* If the Std check box is selected, the G/L account field is disabled and uses the default G/L pay rate account.
* If the Std check box is cleared, the G/L account field for the pay rate is enabled, and you can change it.

NSAcctRate1RecNum

Integer

4

If the preceding Standard (Std)check box is cleared (UseStdAcntForRate1 => 0), then this field identifies which nonstandard G/L account to charge for the employee’s gross pay for pay rate 1.

Note: For each nonstandard G/L account needed in the report, create a separate link to a Chart.DAT alias table.

For more information on working with aliases, look up "alias" in the Crystal Reports Online Help index.

UseStdAcntForRate2

Logical

0 => if the Standard (Std) check box is not selected for pay rate 2.

1 => if the Standard (Std) check box is selected for pay rate 2.

NSAcctRate2RecNum

Integer

4

If the preceding Standard (Std)check box is cleared (UseStdAcntForRate2 => 0), then this field identifies which nonstandard G/L account to charge for the employee’s gross pay for pay rate 2.

UseStdAcntForRate3

Logical

0 => if the Standard (Std) check box is not selected for pay rate 3.

1 => if the Standard (Std) check box is selected for pay rate 3.

NSAcctRate3RecNum

Integer

4

If the preceding Standard (Std)check box is cleared (UseStdAcntForRate3 => 0), then this field identifies which nonstandard G/L account to charge for the employee’s gross pay for pay rate 3.

UseStdAcntForRate4

Logical

0 => if the Standard (Std) check box is not selected for pay rate 4.

1 => if the Standard (Std) check box is selected for pay rate 4.

NSAcctRate4RecNum

Integer

4

If the preceding Standard (Std)check box is cleared (UseStdAcntForRate4 => 0), then this field identifies which nonstandard G/L account to charge for the employee’s gross pay for pay rate 4.

UseStdAcntForRate5

Logical

0 => if the Standard (Std) check box is not selected for pay rate 5.

1 => if the Standard (Std) check box is selected for pay rate 5.

NSAcctRate5RecNum

Integer

4

If the preceding Standard (Std)check box is cleared (UseStdAcntForRate5 => 0), then this field identifies which nonstandard G/L account to charge for the employee’s gross pay for pay rate 5.

UseStdAcntForRate6

Logical

0 => if the Standard (Std) check box is not selected for pay rate 6.

1 => if the Standard (Std) check box is selected for pay rate 6.

NSAcctRate6RecNum

Integer

4

If the preceding Standard (Std)check box is cleared (UseStdAcntForRate6 => 0), then this field identifies which nonstandard G/L account to charge for the employee’s gross pay for pay rate 6.

UseStdAcntForRate7

Logical

0 => if the Standard (Std) check box is not selected for pay rate 7.

1 => if the Standard (Std) check box is selected for pay rate 7.

NSAcctRate7RecNum

Integer

4

If the preceding Standard (Std)check box is cleared (UseStdAcntForRate7 => 0), then this field identifies which nonstandard G/L account to charge for the employee’s gross pay for pay rate 7.

UseStdAcntForRate8

Logical

0 => if the Standard (Std) check box is not selected for pay rate 8.

1 => if the Standard (Std) check box is selected for pay rate 8.

NSAcctRate8RecNum

Integer

4

If the preceding Standard (Std)check box is cleared (UseStdAcntForRate8 => 0), then this field identifies which nonstandard G/L account to charge for the employee’s gross pay for pay rate 8.

UseStdAcntForRate9

Logical

0 => if the Standard (Std) check box is not selected for pay rate 9.

1 => if the Standard (Std) check box is selected for pay rate 9.

NSAcctRate9RecNum

Integer

4

If the preceding Standard (Std)check box is cleared (UseStdAcntForRate9 => 0), then this field identifies which nonstandard G/L account to charge for the employee’s gross pay for pay rate 9.

UseStdAcntForRate10

Logical

0 => if the Standard (Std) check box is not selected for pay rate 10.

1 => if the Standard (Std) check box is selected for pay rate 10.

NSAcctRate10RecNum

Integer

4

If the preceding Standard (Std)check box is cleared (UseStdAcntForRate10 => 0), then this field identifies which nonstandard G/L account to charge for the employee’s gross pay for pay rate 10.

UseStdAcntForRate11

Logical

0 => if the Standard (Std) check box is not selected for pay rate 11.

1 => if the Standard (Std) check box is selected for pay rate 11.

NSAcctRate11RecNum

Integer

4

If the preceding Standard (Std)check box is cleared (UseStdAcntForRate11 => 0), then this field identifies which nonstandard G/L account to charge for the employee’s gross pay for pay rate 11.

UseStdAcntForRate12

Logical

0 => if the Standard (Std) check box is not selected for pay rate 12.

1 => if the Standard (Std) check box is selected for pay rate 12.

NSAcctRate12RecNum

Integer

4

If the preceding Standard (Std)check box is cleared (UseStdAcntForRate12 => 0), then this field identifies which nonstandard G/L account to charge for the employee’s gross pay for pay rate 12.

UseStdAcntForRate13

Logical

0 => if the Standard (Std) check box is not selected for pay rate 13.

1 => if the Standard (Std) check box is selected for pay rate 13.

NSAcctRate13RecNum

Integer

4

If the preceding Standard (Std)check box is cleared (UseStdAcntForRate13 => 0), then this field identifies which nonstandard G/L account to charge for the employee’s gross pay for pay rate 13.

UseStdAcntForRate14

Logical

0 => if the Standard (Std) check box is not selected for pay rate 14.

1 => if the Standard (Std) check box is selected for pay rate 14.

NSAcctRate14RecNum

Integer

4

If the preceding Standard (Std)check box is cleared (UseStdAcntForRate14 => 0), then this field identifies which nonstandard G/L account to charge for the employee’s gross pay for pay rate 14.

UseStdAcntForRate15

Logical

1

0 => if the Standard (Std) check box is not selected for pay rate 15.

1 => if the Standard (Std) check box is selected for pay rate 15.

NSAcctRate15RecNum

Integer

4

If the preceding Standard (Std)check box is cleared (UseStdAcntForRate15 => 0), then this field identifies which nonstandard G/L account to charge for the employee’s gross pay for pay rate 15.

UseStdAcntForRate16

Logical

0 => if the Standard (Std) check box is not selected for pay rate 16.

1 => if the Standard (Std) check box is selected for pay rate 16.

NSAcctRate16RecNum

Integer

4

If the preceding Standard (Std)check box is cleared (UseStdAcntForRate16 => 0), then this field identifies which nonstandard G/L account to charge for the employee’s gross pay for pay rate 16.

UseStdAcntForRate17

Logical

0 => if the Standard (Std) check box is not selected for pay rate 17.

1 => if the Standard (Std) check box is selected for pay rate 17.

NSAcctRate17RecNum

Integer

4

If the preceding Standard (Std)check box is cleared (UseStdAcntForRate17 => 0), then this field identifies which nonstandard G/L account to charge for the employee’s gross pay for pay rate 17.

UseStdAcntForRate18

Logical

0 => if the Standard (Std) check box is not selected for pay rate 18.

1 => if the Standard (Std) check box is selected for pay rate 18.

NSAcctRate18RecNum

Integer

4

If the preceding Standard (Std)check box is cleared (UseStdAcntForRate18 => 0), then this field identifies which nonstandard G/L account to charge for the employee’s gross pay for pay rate 18.

UseStdAcntForRate19

Logical

0 => if the Standard (Std) check box is not selected for pay rate 19.

1 => if the Standard (Std) check box is selected for pay rate 19.

NSAcctRate19RecNum

Integer

4

If the preceding Standard (Std)check box is cleared (UseStdAcntForRate19 => 0), then this field identifies which nonstandard G/L account to charge for the employee’s gross pay for pay rate 19.

UseStdAcntForRate20

Logical

0 => if the Standard (Std) check box is not selected for pay rate 20.

1 => if the Standard (Std) check box is selected for pay rate 20.

NSAcctRate20RecNum

Integer

4

If the preceding Standard (Std)check box is cleared (UseStdAcntForRate20 => 0), then this field identifies which nonstandard G/L account to charge for the employee’s gross pay for pay rate 20.

HourlyEmpType

Integer

Pay method entered on the pay info tab of the Maintain Employees/Sales Reps window.

Valid values include:

-1 = Salary

1 = Hourly - Hours Per Pay Period

2 = Hourly - Time Ticket Hours (only available in Peachtree Complete and Peachtree Premium)

3 = Hourly -Electronic Time (not currently available or supported in Peachtree)

If the employee is hourly, then use this field to find out how to calculate their hours.

DefaultHour

Float

If HourlyEmpType => 1 (above), then this field displays the number of default hours worked per pay period.

(For example, biweekly might display 80 hours per pay period.)

BillingRate

Float

If HourlyEmpType => 2 (above), this is the employee billing rate at which time tickets get charged to customers.

Note: Billing rates are only available in Peachtree Complete and Peachtree Premium.

eTimeEmpID

ZString

7

Do not select or use this DDF field. It is used by Peachtree for internal reasons.

eTimeBadge

ZString

9

Do not select or use this DDF field. It is used by Peachtree for internal reasons.

ETimeDept

ZString

20

Do not select or use this DDF field. It is used by Peachtree for internal reasons.

eTimePayClass

ZString

15

Do not select or use this DDF field. It is used by Peachtree for internal reasons.

eTimeHomeClock

ZString

15

Do not select or use this DDF field. It is used by Peachtree for internal reasons.

eTimeProfile

ZString

15

Do not select or use this DDF field. It is used by Peachtree for internal reasons.

SpecialAllow1

Integer

Number of Special 1 payroll field allowances entered for the employee.

About the next five special allowances fields: These next five numbers map directly to the last three rows in the Withholding Information table on the Withholding Info tab of Maintain Employees/Sales Reps window.

SpecialAllow2

Integer

Number of Special 2 payroll field allowances entered for the employee.

Extra401k

Float

401(k) percentage employee contributes to company 401(k) plan each pay period (for example, 4.0 = 4%).

ExtraSpecial1

Float

Amount of additional withholding for Special 1 payroll field entered for the employee.

ExtraSpecial2

Float

Amount of additional withholding for Special 2 payroll field entered for the employee.

Email

ZString

64

E-mail address for this employee.

Employee_FirstName

ZString

15

Employee's first name.

Employee_MiddleInit

ZString

1

Employee's middle initial.

Employee_FirstName

ZString

20

Employee's last name.

What Do You Want to Do Next?

  • See a list of Crystal Reports data (.DAT) files

  • Read the Crystal Reports for Peachtree overview

  • Read about standard Crystal reports

  • Read the overview to designing Crystal reports


General Ledger Default Information Fields (DDF)

The following Data Dictionary File (DDF) field information is intended to assist those who design reports in Crystal Reports for Peachtree.

Filename: GENERAL.DAT_GL

The GENERAL.DAT file contains default information about your Peachtree Accounting company. It contains rows, but each row is very different in layout from the other rows. GENERAL.DAT_GL is the general ledger (G/L) defaults (Module 4) view of Peachtree's GENERAL.DAT file. Most of the field information for GENERAL.DAT_GL view is recorded behind the scenes for all G/L transactions, including account period and fiscal year setup, journal totals, and various other G/L defaults established by Peachtree.

  • To add Peachtree general ledger default fields to your Crystal reports, select the GENERAL.DAT_GL subset of the FILE.DDF data dictionary file.

Note: GENERAL.DAT tables cannot be linked to other Peachtree data tables, but they can be used individually to extract various default information in your Crystal reports.

Indexes and Their Uses

This file has only one key, AcctgModule.

Fields

The following table shows the fields available in the GENERAL.DAT (GL) file and includes the type and size in number of bytes of each field.

Field Name | Type | Size | Comment
AcctgModule | Integer |  | For general ledger defaults, you must specify that Module == 4.
Version | Integer |  | Identifies the current version format of your company database. For Release 8.0.02, this should be in the range of “11.10” to “11.12."
CurrentPeriod | Integer |  | Identifies your company's current (internal) accounting period number. Valid values include: 0 to 13 = accounting periods of the last closed fiscal year 14 to 28 = accounting periods of the first open fiscal year 29 to 41 = accounting periods of the second open fiscal year About Internal Accounting Period Numbers: Peachtree internal accounting period numbers differ from what is visible to the user in the application. Also, Peachtree's internal accounting periods include a thirteenth period, which many companies may not use.
GL_DontUse1 |  |  | Do not select or use this DDF field. It is used by Peachtree for internal reasons.
NumMonthInYr | Integer |  | Indentifies the number of accounting periods in a single fiscal year. This is usually 12 or 13.
GL_Unused2 | ZString |  | Do not select or use this DDF field. It is used by Peachtree for internal reasons.
LastActRecAcctRecNum | Integer | 4 | Tells the account number that was used most recently in the Account Reconciliation window.
Unposted_Jrnl0 |  |  | Identifies how many unposted transactions are in Journal 0 (General Journal).
Unposted_Jrnl1 |  |  | Identifies how many unposted transactions are in Journal 1 (Cash Receipts Journal).
Unposted_Jrnl2 |  |  | Identifies how many unposted transactions are in Journal 2 (Cash Disbursements Journal).
Unposted_Jrnl3 |  |  | Identifies how many unposted transactions are in Journal 3 (Sales Journal).
Unposted_Jrnl4 |  |  | Identifies how many unposted transactions are in Journal 4 (Purchase Journal).
Unposted_Jrnl5 |  |  | Identifies how many unposted transactions are in Journal 5 (Payroll Journal).
Unposted_Jrnl6 |  |  | Identifies how many unposted transactions are in Journal 6 (Cost of Goods Sold Journal).
Unposted_Jrnl7 |  |  | Identifies how many unposted transactions are in Journal 7 (Inventory Adjustments Journal).
Unposted_Jrnl8 |  |  | Identifies how many unposted transactions are in Journal 8 (Assemblies Journal).
Unposted_Jrnl9 |  |  | Identifies how many unposted transactions are in Journal 9 (TempBelowInvAdj Journal). This is a system-generated inventory costing journal that is not seen by the Peachtree user.
Unposted_Jrnl10 |  |  | Identifies how many unposted transactions are in Journal 10 (Purchase Orders Journal).
Unposted_Jrnl11 |  |  | Identifies how many unposted transactions are in Journal 11 (Sales Orders Journal).
Unposted_Jrnl12 |  |  | Identifies how many unposted transactions are in Journal 12 (Quotes Journal).
Unposted_Jrnl13 |  |  | Identifies how many unposted transactions are in Journal 13. Do not select or use this DDF field. It is used by Peachtree for internal reasons.
Unposted_Jrnl14 |  |  | Identifies how many unposted transactions are in Journal 14. Do not select or use this DDF field. It is used by Peachtree for internal reasons.
Unposted_Jrnl15 |  |  | Identifies how many unposted transactions are in Journal 15. Do not select or use this DDF field. It is used by Peachtree for internal reasons.
YrlyGLPrintedThsYr | Logical |  | TRUE => Annual general ledger has been printed for the first open fiscal year.
YrlyGLPrintedNxtYr | Logical |  | TRUE => Annual general ledger has been printed for the second open fiscal year.
Unused3 |  |  | Do not select or use this DDF field. It is used by Peachtree for internal reasons.
Unused4 |  |  | Do not select or use this DDF field. It is used by Peachtree for internal reasons.
UnusedPriorPeriod |  |  | Do not select or use this DDF field. It is used by Peachtree for internal reasons.
CalendarYear | Integer |  | Tells the current calendar (payroll) year as in four-digit (YYYY) format.
W2UnprintedThsYr | Logical |  | TRUE if employee W-2 forms have NOT been printed for the current calendar (payroll) year yet.
W2UnprintedNxtYr | Logical |  | TRUE if employee W-2 forms have NOT been printed for second open calendar (payroll) year yet.
Ten99UnprntedThsYr | Logical |  | TRUE if vendor 1099 forms have NOT been printed for the current calendar (payroll) year yet.
Ten99UnprntedNxtYr | Logical |  | TRUE if vendor 1099 forms have NOT been printed for second open calendar (payroll) year yet.
GL_DontUse2 |  |  | Do not select or use this DDF field. It is used by Peachtree for internal reasons.
GL_DontUse3 |  |  | Do not select or use this DDF field. It is used by Peachtree for internal reasons.
Unused6 |  |  | Do not select or use this DDF field. It is used by Peachtree for internal reasons.
Unused7 |  |  | Do not select or use this DDF field. It is used by Peachtree for internal reasons.
LstYrPer1FrmDate | Date |  | Start date of Accounting Period 1 of the last closed fiscal year.
LstYrPer1ToDate | Date |  | End date of Accounting Period 1 of the last closed fiscal year.
LstYrPer2FrmDate | Date |  | Start date of Accounting Period 2 of the last closed fiscal year.
LstYrPer2ToDate | Date |  | End date of Accounting Period 2 of the last closed fiscal year.
LstYrPer3FrmDate | Date |  | Start date of Accounting Period 3 of the last closed fiscal year.
LstYrPer3ToDate | Date |  | End date of Accounting Period 3 of the last closed fiscal year.
LstYrPer4FrmDate | Date |  | Start date of Accounting Period 4 of the last closed fiscal year.
LstYrPer4ToDate | Date |  | End date of Accounting Period 4 of the last closed fiscal year.
LstYrPer5FrmDate | Date |  | Start date of Accounting Period 5 of the last closed fiscal year.
LstYrPer5ToDate | Date |  | End date of Accounting Period 5 of the last closed fiscal year.
LstYrPer6FrmDate | Date |  | Start date of Accounting Period 6 of the last closed fiscal year.
LstYrPer6ToDate | Date |  | End date of Accounting Period 6 of the last closed fiscal year.
LstYrPer7FrmDate | Date |  | Start date of Accounting Period 7 of the last closed fiscal year.
LstYrPer7ToDate | Date |  | End date of Accounting Period 7 of the last closed fiscal year.
LstYrPer8FrmDate | Date |  | Start date of Accounting Period 8 of the last closed fiscal year.
LstYrPer8ToDate | Date |  | End date of Accounting Period 8 of the last closed fiscal year.
LstYrPer9FrmDate | Date |  | Start date of Accounting Period 9 of the last closed fiscal year.
LstYrPer9ToDate | Date |  | End date of Accounting Period 9 of the last closed fiscal year.
LstYrPer10FrmDate | Date |  | Start date of Accounting Period 10 of the last closed fiscal year.
LstYrPer10ToDate | Date |  | End date of Accounting Period 10 of the last closed fiscal year.
LstYrPer11FrmDate | Date |  | Start date of Accounting Period 11 of the last closed fiscal year.
LstYrPer11ToDate | Date |  | End date of Accounting Period 11 of the last closed fiscal year.
LstYrPer12FrmDate | Date |  | Start date of Accounting Period 12 of the last closed fiscal year.
LstYrPer12ToDate | Date |  | End date of Accounting Period 12 of the last closed fiscal year.
LstYrPer13FrmDate | Date |  | Start date of Accounting Period 13 of the last closed fiscal year. Note: Period 13 is not used by some companies.
LstYrPer13ToDate | Date |  | End date of Accounting Period 13 of the last closed fiscal year.
Unused6a | Date |  | Do not select or use this DDF field. It is used by Peachtree for internal reasons.
Unused7a | Date |  | Do not select or use this DDF field. It is used by Peachtree for internal reasons.
ThsYrPer1FrmDate | Date |  | Start date of Accounting Period 1 of the first open fiscal year.
ThsYrPer1ToDate | Date |  | End date of Accounting Period 1 of the first open fiscal year.
ThsYrPer2FrmDate | Date |  | Start date of Accounting Period 2 of the first open fiscal year.
ThsYrPer2ToDate | Date |  | End date of Accounting Period 2 of the first open fiscal year.
ThsYrPer3FrmDate | Date |  | Start date of Accounting Period 3 of the first open fiscal year.
ThsYrPer3ToDate | Date |  | End date of Accounting Period 3 of the first open fiscal year.
ThsYrPer4FrmDate | Date |  | Start date of Accounting Period 4 of the first open fiscal year.
ThsYrPer4ToDate | Date |  | End date of Accounting Period 4 of the first open fiscal year.
ThsYrPer5FrmDate | Date |  | Start date of Accounting Period 5 of the first open fiscal year.
ThsYrPer5ToDate | Date |  | End date of Accounting Period 5 of the first open fiscal year.
ThsYrPer6FrmDate | Date |  | Start date of Accounting Period 6 of the first open fiscal year.
ThsYrPer6ToDate | Date |  | End date of Accounting Period 6 of the first open fiscal year.
ThsYrPer7FrmDate | Date |  | Start date of Accounting Period 7 of the first open fiscal year.
ThsYrPer7ToDate | Date |  | End date of Accounting Period 7 of the first open fiscal year.
ThsYrPer8FrmDate | Date |  | Start date of Accounting Period 8 of the first open fiscal year.
ThsYrPer8ToDate | Date |  | End date of Accounting Period 8 of the first open fiscal year.
ThsYrPer9FrmDate | Date |  | Start date of Accounting Period 9 of the first open fiscal year.
ThsYrPer9ToDate | Date |  | End date of Accounting Period 9 of the first open fiscal year.
ThsYrPer10FrmDate | Date |  | Start date of Accounting Period 10 of the first open fiscal year.
ThsYrPer10ToDate | Date |  | End date of Accounting Period 10 of the first open fiscal year.
ThsYrPer11FrmDate | Date |  | Start date of Accounting Period 11 of the first open fiscal year.
ThsYrPer11ToDate | Date |  | End date of Accounting Period 11 of the first open fiscal year.
ThsYrPer12FrmDate | Date |  | Start date of Accounting Period 12 of the first open fiscal year.
ThsYrPer12ToDate | Date |  | End date of Accounting Period 12 of the first open fiscal year.
ThsYrPer13FrmDate | Date |  | Start date of Accounting Period 13 of the first open fiscal year. Note: Period 13 is not used by some companies.
ThsYrPer13ToDate | Date |  | End date of Accounting Period 13 of the first open fiscal year.
Unused6b | Date |  | Do not select or use this DDF field. It is used by Peachtree for internal reasons.
Unused7b | Date |  | Do not select or use this DDF field. It is used by Peachtree for internal reasons.
NxtYrPer1FrmDate | Date |  | Start date of Accounting Period 1 of the second open fiscal year.
NxtYrPer1ToDate | Date |  | End date of Accounting Period 1 of the second open fiscal year.
NxtYrPer2FrmDate | Date |  | Start date of Accounting Period 2 of the second open fiscal year.
NxtYrPer2ToDate | Date |  | End date of Accounting Period 2 of the second open fiscal year.
NxtYrPer3FrmDate | Date |  | Start date of Accounting Period 3 of the second open fiscal year.
NxtYrPer3ToDate | Date |  | End date of Accounting Period 3 of the second open fiscal year.
NxtYrPer4FrmDate | Date |  | Start date of Accounting Period 4 of the second open fiscal year.
NxtYrPer4ToDate | Date |  | End date of Accounting Period 4 of the second open fiscal year.
NxtYrPer5FrmDate | Date |  | Start date of Accounting Period 5 of the second open fiscal year.
NxtYrPer5ToDate | Date |  | End date of Accounting Period 5 of the second open fiscal year.
NxtYrPer6FrmDate | Date |  | Start date of Accounting Period 6 of the second open fiscal year.
NxtYrPer6ToDate | Date |  | End date of Accounting Period 6 of the second open fiscal year.
NxtYrPer7FrmDate | Date |  | Start date of Accounting Period 7 of the second open fiscal year.
NxtYrPer7ToDate | Date |  | End date of Accounting Period 7 of the second open fiscal year.
NxtYrPer8FrmDate | Date |  | Start date of Accounting Period 8 of the second open fiscal year.
NxtYrPer8ToDate | Date |  | End date of Accounting Period 8 of the second open fiscal year.
NxtYrPer9FrmDate | Date |  | Start date of Accounting Period 9 of the second open fiscal year.
NxtYrPer9ToDate | Date |  | End date of Accounting Period 9 of the second open fiscal year.
NxtYrPer10FrmDate | Date |  | Start date of Accounting Period 10 of the second open fiscal year.
NxtYrPer10ToDate | Date |  | End date of Accounting Period 10 of the second open fiscal year.
NxtYrPer11FrmDate | Date |  | Start date of Accounting Period 11 of the second open fiscal year.
NxtYrPer11ToDate | Date |  | End date of Accounting Period 11 of the second open fiscal year.
NxtYrPer12FrmDate | Date |  | Start date of Accounting Period 12 of the second open fiscal year.
NxtYrPer12ToDate | Date |  | End date of Accounting Period 12 of the second open fiscal year.
NxtYrPer13FrmDate | Date |  | Start date of Accounting Period 13 of the second open fiscal year. Note: Period 13 is not used by some companies.
NxtYrPer13ToDate | Date |  | End date of Accounting Period 13 of the second open fiscal year.
GL_DontUse4 |  |  | Do not select or use this DDF field. It is used by Peachtree for internal reasons.
GL_DontUse5 |  |  | Do not select or use this DDF field. It is used by Peachtree for internal reasons.
RoundAcctRecNumber | Integer | 4 | The G/L rounding account set up the General Ledger Defaults window. This account is used when rounding financial statements to whole dollars to collect rounding errors.
GL_DontUse6 |  |  | Do not select or use this DDF field. It is used by Peachtree for internal reasons.
OldestUnPostedTrx |  |  | Oldest unposted transaction reference. This is called during Peachtree's purge process.
OldestQuote | Date |  | Oldest quote date.
OldestPO | Date |  | Oldest open purchase order date.
LastPostOrderNumber |  |  | Last purchase order number used in the print sequence.
Unused9 |  |  | Do not select or use this DDF field. It is used by Peachtree for internal reasons.
BankRecAcctRecNum | Integer | 4 | Current default account reconciliation account.
Unused10 |  |  | Do not select or use this DDF field. It is used by Peachtree for internal reasons.
DateLastPurge | Date |  | Date of the last purge process.
BBEquityAcctRecNum | Integer | 4 | The account used to plug general ledger beginning balance entries.
InternalUse..n | ZString |  | Do not select or use this DDF field. It is used by Peachtree for internal reasons.
What Do You Want to Do Next?

  • See a list of Crystal Reports data (.DAT) files

  • Read the Crystal Reports for Peachtree overview

  • Read about standard Crystal reports

  • Read the overview to designing Crystal reports


Inventory Item Default Information Fields (DDF)

The following Data Dictionary File (DDF) field information is intended to assist those who design reports in Crystal Reports for Peachtree.

Filename: GENERAL.DAT_INV

The GENERAL.DAT file contains default information about your Peachtree Accounting company. It contains rows, but each row is very different in layout from the other rows. GENERAL.DAT_INV is the inventory item defaults (Module 7) view of Peachtree's GENERAL.DAT file. Most of the field information for GENERAL.DAT_INV view is entered or displayed in Peachtree's Inventory Item Defaults window.

  • To add Peachtree inventory item default fields to your Crystal reports, select the GENERAL.DAT subset of the FILE.DDF data dictionary file, and choose the GENERAL.DAT_INV view.

Note: GENERAL.DAT tables cannot be linked to other Peachtree data tables, but they can be used individually to extract various default information in your Crystal reports.

Indexes and Their Uses

This file has only one key, AcctgModule.

Fields

The following table shows the fields available in the GENERAL.DAT (Inventory) file and includes the type and size in number of bytes of each field.

Field Name | Type | Size | Comment
AcctgModule | Integer |  | For inventory item defaults, you must specify that Module == 7.
CustomFieldName1 | ZString | 16 | Text label for first inventory item custom field. About Inventory Item Custom Fields: Labels for inventory item custom fields are set up on the Custom Fields tab of the Inventory Items Defaults window. Note: To get the custom field names, you must use a custom formula. To learn more, click Click for your information .
CustomFieldName2 | ZString | 16 | Text label for second inventory item custom field.
CustomFieldName3 | ZString | 16 | Text label for third inventory item custom field.
CustomFieldName4 | ZString | 16 | Text label for fourth inventory item custom field.
CustomFieldName5 | ZString | 16 | Text label for fifth inventory item custom field.
InternalUse0..n | ZString |  | Do not select or use this DDF field. It is used by Peachtree for internal reasons.
What Do You Want to Do Next?

  • See a list of Crystal Reports data (.DAT) files

  • Read the Crystal Reports for Peachtree overview

  • Read about standard Crystal reports

  • Read the overview to designing Crystal reports


Job Estimates Fields (DDF)

The following Data Dictionary File (DDF) field information is intended to assist those who design reports in Crystal Reports for Peachtree.

Filename: JOBEST.DAT

The JOBEST.DAT file contains job estimates. There is at most one record for any JobPhaseCostCode combination. Job estimates are entered in Peachtree's Maintain Jobs window.

  • To add Peachtree job estimate fields to your Crystal reports, select the JOBEST.DAT subset of the FILE.DDF data dictionary file.

Indexes and Their Uses

JobEst.DAT has only one index, ByJobPhaseCostCode

Fields

The following table shows the fields available in the JOBEST.DAT file and includes the type and size in number of bytes of each field.

Field Name | Type | Size | Comment
JobRecordNumber | Integer |  | This identifies the job record associated with the estimate and is linked to the PROJECT.DAT file.
PhaseRecordNumber | Integer |  | This identifies the phase record associated with the estimate (if there is one) and is linked to the PHASE.DAT file. Note: Job phases are available only in Peachtree Complete Accounting.
CostRecordNumber | Integer |  | This identifies the cost code record associated with the estimate (if there is one) and is linked to the COST.DAT file. Note: Job cost codes are available only in Peachtree Complete Accounting.
Units | Float |  | The number of phase or cost code units to apply to the job estimate. This field is only relevant if the job record uses phases or cost codes. Note: The Units estimate field is available only in Peachtree Complete Accounting.
EstRevenue | Float |  | Total estimated revenue amount entered for this job record.
EstExpenses | Float |  | Total estimated expense amount entered for this job record.
What Do You Want to Do Next?

  • See a list of Crystal Reports data (.DAT) files

  • Read the Crystal Reports for Peachtree overview

  • Read about standard Crystal reports

  • Read the overview to designing Crystal reports


Job Fields (DDF)

The following Data Dictionary File (DDF) field information is intended to assist those who design reports in Crystal Reports for Peachtree.

Filename: PROJECT.DAT

PROJECT.DAT is the jobs file. It has a record for every job. Most of the information below is entered or displayed in Peachtree's Maintain Jobs window.

  • To add Peachtree job fields to your Crystal reports, select the PROJECT.DAT subset of the FILE.DDF data dictionary file.

Indexes and Their Uses

PROJECT.DAT has five keys, as follows:

0 = By JobID. This field is unique; it cannot change. Use this key when sorting reports by JobID. Do not use this index key to link jobs to other tables.

1 = By JobRecordNumber. Use this key to link jobs with other tables.

2 = By CustomerRecordNumber.

3 = By Description.

4 = By Inactive/Active and then by JobID.

Fields

The following table shows the fields available in the PROJECT.DAT file and includes the type and size in number of bytes of each field.

Field Name | Type | Size | Comment
JobID | ZString | 20 | Job ID entered in Maintain Jobs window. This field is unique in the table and never changes.
JobRecordNumber | Integer |  | This (internal) job field is used for linking purposes to other Peachtree data tables. For more information, see Indexes and Their Uses above. This field is unique in the table and never changes.
JobDescription | ZString | 30 | The description of the job entered in the Maintain Jobs window.
StartDate | Date |  | The start date entered for the job on the General tab of the Maintain Jobs window.
EndDate | Date |  | The end date entered for the job on the General tab of the Maintain Jobs window.
CustomerRecordNumber | Integer |  | This identifies the customer ID selected in the “For Customer” field on the General tab of the Maintain Jobs window. This field is the link to the CUSTOMER.DAT file.
CustomerUnused1 | ZString | 16 | Do not select or use this DDF field. It is used by Peachtree for internal reasons.
Note | ZString | 250 | Internal note entered for this job. Notes are entered by clicking the Note toolbar button in the Maintain Jobs window.
JobIsInactive | Logical |  | The Inactive check box in the Maintain Jobs window. Valid choices include: True = if the job record is inactive. False = if the job record is active.
JobType | String | 8 | Job type entered on the General tab of the Maintain Jobs window.
Supervisor | String | 30 | Job supervisor on the General tab of the Maintain Jobs window.
PercentComplete | Integer |  | Percentage complete entered on the General tab of the Maintain Jobs window.
HasPhases | Logical |  | True => if the job uses phases. This flag is used to control the operation of the jobs Look-up control, in addition to being reported on. Note: Job phases are available only in Peachtree Complete Accounting.
PONumber | ZString | 20 | Purchase order number associated with this job and entered on the General tab of the Maintain Jobs window. This field is not actually linked to purchase orders; it is simply a text field for your records.
CustomField1 | ZString | 40 | Data entered in first job custom field. About Job Custom Fields: Custom field data is entered on the Custom Fields tab of the Maintain Jobs window. Labels for job custom fields are set up on the Custom Fields tab of the Job Defaults window. Note: To get the custom field names, you must use a custom formula. To learn more, click Click for your information .
CustomField2 | ZString | 40 | Data entered in second job custom field.
CustomField3 | ZString | 40 | Data entered in third job custom field.
CustomField4 | ZString | 40 | Data entered in fourth job custom field.
CustomField5 | ZString | 40 | Data entered in fifth job custom field.
JobGUID | Integer | 4 | GUID (General Universal ID) used as a linking field for the Projects (Jobs) table.
What Do You Want to Do Next?

  • See a list of Crystal Reports data (.DAT) files

  • Read the Crystal Reports for Peachtree overview

  • Read about standard Crystal reports

  • Read the overview to designing Crystal reports


Job Phases Fields (DDF)

The following Data Dictionary File (DDF) field information is intended to assist those who design reports in Crystal Reports for Peachtree.

Filename: PHASE.DAT

The PHASE.DAT file contains job phases. Most of this information is entered or displayed in Peachtree's Maintain Phases window.

  • To add Peachtree cost code fields to your Crystal reports, select the PHASE.DAT subset of the FILE.DDF data dictionary file.

Note: Job phases are available only in Peachtree Complete Accounting and Peachtree Premium Accounting.

Indexes and Their Uses

PHASE.DAT has four indexes, as follows:

0 = By PhaseID. This field is unique; it cannot change. Use this key when sorting reports by PhaseID. Do not use this key to link phases to other tables.

1 = By PhaseRecordNumber. Use this key to link phases to other tables.

2 = By Description.

3 = By Inactive and then by PhaseID.

Fields

The following table shows the fields available in the PHASE.DAT file and includes the type and size in number of bytes of each field.

Field Name | Type | Size | Comment
PhaseID | ZString | 20 | Phase ID entered in the Maintain Phases window.
PhaseRecordNumber | Integer |  | This (internal) phase field is used for linking purposes to other Peachtree data files. For more information, see Indexes and Their Uses above.
PhaseDescription | Integer | 4 | Phase description entered in the Maintain Phases window.
CostType | ZString | 20 | Phase cost type selected in the Maintain Phases window. Valid entries are blank, Labor, Materials, Equipment, Subcontractor, and Other. If HasCostCodes = Yes, then this field is disabled (not available).
HasCostCodes | Logical |  | The Use Cost Codes check box in the Maintain Phases window. Valid choices include: True = if the phase uses cost codes. False = if the phase does not use cost codes.
PhaseIsInactive | Logical | 1 | The Inactive check box in the Maintain Phases window. Valid choices include: True = if the phase record is inactive. False = if the phase record is active.
What Do You Want to Do Next?

  • See a list of Crystal Reports data (.DAT) files

  • Read the Crystal Reports for Peachtree overview

  • Read about standard Crystal reports

  • Read the overview to designing Crystal reports


Jobs Default Information Fields (DDF)

The following Data Dictionary File (DDF) field information is intended to assist those who design reports in Crystal Reports for Peachtree.

Filename: GENERAL.DAT_JOBS

The GENERAL.DAT file contains default information about your Peachtree Accounting company. It contains rows, but each row is very different in layout from the other rows. GENERAL.DAT_JOBS is the job defaults (Module 8) view of Peachtree's GENERAL.DAT file. Most of the field information for GENERAL.DAT_JOB view is entered or displayed in Peachtree's Jobs Defaults window.

  • To add Peachtree job default fields to your Crystal reports, select the GENERAL.DAT_JOBS subset of the FILE.DDF data dictionary file.

Note: GENERAL.DAT tables cannot be linked to other Peachtree data tables, but they can be used individually to extract various default information in your Crystal reports.

Indexes and Their Uses

This file has only one key, AcctgModule.

Fields

The following table shows the fields available in the GENERAL.DAT (Jobs) file and includes the type and size in number of bytes of each field.

Field Name | Type | Size | Comment
AcctgModule | Integer |  | For job defaults, you must specify that Module == 8.
CustomFieldName1 | ZString | 16 | Text label for first job custom field. About Job Custom Fields: Labels for job custom fields are set up on the Custom Fields tab of the Job Defaults window. Note: To get the custom field names, you must use a custom formula. To learn more, click Click for your information .
CustomFieldName2 | ZString | 16 | Text label for second job custom field.
CustomFieldName3 | ZString | 16 | Text label for third job custom field.
CustomFieldName4 | ZString | 16 | Text label for fourth job custom field.
CustomFieldName5 | ZString | 16 | Text label for fifth job custom field.
InternalUse0..n | ZString |  | Do not select or use this DDF field. It is used by Peachtree for internal reasons.
What Do You Want to Do Next?

  • See a list of Crystal Reports data (.DAT) files

  • Read the Crystal Reports for Peachtree overview

  • Read about standard Crystal reports

  • Read the overview to designing Crystal reports


Journal Header Fields (DDF)

The following Data Dictionary File (DDF) field information is intended to assist those who design reports in Crystal Reports for Peachtree.

Filename: JRNLHDR.DAT

JRNLHDR.DAT has one record for each transaction entered in Peachtree. There is a one-to-many relationship between header records and row records. Each header record can have any number of related rows.

Indexes and Their Uses

JRNLHDR.DAT has nine keys, as follows:

0 = By JournalKey (Shadow, Journal, Period, TrxNumber, Partner).

1 = By LedgerKey (Module, CustVendID, Date.

2 = By Reference.

3 = By Date.

4 = By TrxIsPosted and then by PostOrder.

5 = By PostOrder.

6 = By JournalKey_Journal and then by date.

7 = By JournalKey_Journal, then by JrnlKey_Per, and then by Reference.

8 = By RecurNumber.

9 = By JournalKey_Journal, then by CustVendId, and finally by Date.

Fields

The following table shows the fields available in the JRNLHDR.DAT file and includes the type and size in number of bytes of each field.

Field Name

Type

Size

Comment

PostOrder

Integer

This number is unique to each whole transaction. The same PostOrder can exist on any number of journal rows, but only one journal header can share this number.

JrnlKey_Partner

Logical

Only used for transactions that are related to other transactions. Journal partner transactions post separately and print in all journals and ledgers, but they do not appear in that journal's edit list box.

JrnlKey_Partner is used in two places:

  • Cash receipts entered in the Sales/Invoicing window or payments entered in the Purchases window are considered "Partner" journal entries. They appear in customer or vendor ledgers You cannot edit these entries in their the respective cash journals. Instead, you can edit the partner entry in the sales or purchase journal where it was entered. The Period, Shadow and TrxNumber will be the same; all the programmer has to do is change the Journal and set the Partner flag to find the related entry.

  • Reversing entered in the General Journal window and present in the General Journal are also considered "Partner" journal entries. In this case, the Journal remains the same, but the Period is incremented by 1. (Reversing entries are not allowed for the last period of the second ("Next") fiscal year. Again, the entry appears in the proper listings at the proper time, but it cannot be edited except by opening the original General Journal entry.

Note: For original transactions (those that cause this partner to be generated), the Have_Partner flag will be true (see below).

JrnlKey_TrxNumber

Integer

Identifies the unique transaction number within each journal and within each accounting period.

JrnlKey_Per

Integer

Identifies the (internal) accounting period number in which the transaction exists. Valid values include:

0 to 13 = accounting periods of the last closed fiscal year

14 to 28 = accounting periods of the first open fiscal year

29 to 41 = accounting periods of the second open fiscal year

About Internal Accounting Period Numbers: Peachtree internal accounting period numbers differ from what is visible to the user in the application. Also, Peachtree's internal accounting periods include a thirteenth period, which many companies may not use.

JrnlKey_Journal

Integer

Identifies the journal number associated with the transaction. Valid values include:

0 = General Journal

1 = Cash Receipts Journal

2 = Cash Disbursements (Payments) Journal

3 = Sales Journal

4 = Purchase Journal

5 = Payroll Journal

6 =Cost of Goods Sold Journal

7 = Inventory Adjustment Journal

8 = Assembly Adjustments (Build/Unbuild) Journal

9 = TempBelowZeroInvAdj (These are system-generated transactions within Peachtree's inventory costing engine. The Peachtree user will never see this journal. Also, these transactions do not contain header records.)

10 = Purchase Orders Journal

11 = Sales Orders Journal

12 = Quotes Journal

JrnlKey_Shadow

Logical

This is used ONLY for transaction entries that are shadows of other entries; they are posted (generated) automatically (behind the scenes) without going through an actual posting process. An example of this would be when a cash receipt prepayment is posted; a shadow sales journal entry is entered (behind the scenes) at the same time during posting. This shadow entry has the same Period # and TrxNumber as the original entry, so it can be found instantly.

Module

Integer

Identifies which accounting module the journal entry belongs to (in a broad sense). Valid values are:

‘ ’ (space) and ‘G’ => does not belong in any subledgers.

‘P’ => Accounts Payable

‘R’ => Accounts Receivable

‘Y’ => Payroll

‘I’ => Inventory (most inventory transactions are associated A/R or A/P and will not display ‘I’)

CustVendId

Integer

If this is a simple transaction, then this field indicates the customer or vendor. Otherwise, it is blank.

DontUse1

ZString

16

Do not select or use this DDF field. It is used by Peachtree for internal reasons.

TransactionDate

Date

The date of the journal transaction.

JournalGUID

Integer

4

GUID (General Universal ID) used for linking the JrnlHdr table.

Description

ZString

30

Description of the journal entry. Some journal descriptions are system-generated, while most are entered on the respective task window.

MainAmount

Float

The net amount of this transaction. This is only useful when all you want is the transaction amount. You cannot tell from here which account it went to.

Reference

ZString

20

Identifies the journal transaction (for example, invoice number or check number).

TrxIsPosted

Logical

True => If this transaction has been posted to general ledger.

False => If this transaction has not been saved but not posted. Unposted (saved) transactions do not appear in “ledger”-type reports because they are not yet valid (real).

TrxIsPrepay

Logical

True => only if the Prepayment check box is selected for transactions entered in the Receipts or Payments window.

RowUnused

Logical

Do not select or use this DDF field. It is used by Peachtree for internal reasons.

IsBegBal

Logical

TRUE => if this transaction is a beginning balance entry (G/L, customer, vendor, or inventory).

SalesTaxCode

ZString

8

If this is a sale, receipt, or customer credit memo, then this indicates the sales tax code for this transaction.

RecurNumber

Integer

Used to manage recurring journal entries.

Recurr2

Integer

Used to manage recurring journal entries.

EmpRecordNumber

Integer

4

If this is a sale, receipt, or customer credit memo, then this indicates the sales rep ID associated with this transaction, if any.

Note: Do not confuse with the EmpRecordNumber field in the JrnlRow table, which is used for the employee record number used on the employee paycheck.

HasPartner

Logical

True => if this is the other side of a partner transaction. See JrnlKey_Partner.

TrxIsREadOnly

Integer

True => only if this journal entry is a payroll transaction converted from Peachtree First Accounting Release 1. These transactions cannot be edited.

IsReversed

Logical

True => if the transaction is a general journal entry AND it is a reversing entry.

Memo

ZString

20

The Memo field text entered in either the Payments or Write Checks window. For all other transaction types, this field is not relevant.

DepositTicketID

ZString

8

Deposit ticket ID entered in the Receipts window. For all other transaction types, this field is not relevant.

TrxName

ZString

39

(Customer, vendor, or employee) name associated with the transaction.

TrxAddress1

ZString

30

(Customer, vendor, or employee) address line 1 (street address) associated with the transaction.

TrxAddress2

ZString

30

(Customer, vendor, or employee) address line 2 (street address) associated with the transaction.

TrxCity

ZString

20

(Customer, vendor, or employee) city address associated with the transaction.

TrxState

ZString

2

(Customer, vendor, or employee) 2-character state abbreviation associated with the address in transaction.

TrxZIP

ZString

12

(Customer, vendor, or employee) ZIP code address associated with the transaction.

TrxCountry

ZString

15

(Customer, vendor, or employee) country address associated with the transaction.

PaymentMethod

ZString

20

Payment method selected in the Cash Receipts window. For all other transaction types, this field is not relevant.

PayCustOrRecVend

Logical

True => only if this is a payment to a customer or a receipt from a vendor.

CustVendRecordNumber

Integer

If the previous field is true, then this field identifies the customer or vendor record associated with the transaction.

PurchOrder

ZString

20

If the transaction is a sales invoice or credit memo, then this is the customer’s PO number.

DateDue

Date

Date invoice is due. This payment term field only applies to sales or purchase invoices.

DiscountDate

Date

Latest date in which an early payment discount can be applied. This payment term field only applies to sales or purchase invoices.

DiscountAmount

Float

The discount amount that can be applied if the invoice is paid by the discount date (above). This payment term field only applies to sales or purchase invoices.

TermsDescription

ZString

39

The "displayed " payment term options in text format. This payment term field only applies to sales or purchase invoices and customer credit memos.

GoodThruDate

Date

The last date in which the sales quote is valid. This field is only relevant to quote transactions.

PrintCommentAtEnd

Logical

If this invoice transaction includes a note, this field defines where the note should print on invoice forms. 1 = the text note should print after line items on the invoice

0 = the text note should print before line items on the invoice

For more information about transactions notes and the note text, see Comment1 (below).

IsDropShip

Logical

If this is a purchase invoice, 1 => Drop ship check box is selected and the DropShipRecordNumer (customer record) is relevant.

DropShipRecordNumber

Integer

If IsDropShip = 1, then this field identifies the customer record the purchase transaction is shipped to by the vendor on your companies behalf.

ShipToName

ZString

39

Identifies the ship-to address name associated with this sales transaction. For all other transaction types, this field is not relevant.

ShipToAddress1

ZString

30

Identifies the ship-to address line 1 (street address) associated with sales transaction. For all other transaction types, this field is not relevant.

ShipToAddress2

ZString

30

Identifies the ship-to address line 2 (street address) associated with sales transaction. For all other transaction types, this field is not relevant.

ShipToCity

ZString

20

Identifies the ship-to city address associated with sales transaction. For all other transaction types, this field is not relevant.

ShipToState

ZString

3

Identifies the ship-to two-character state abbreviation associated with sales transaction. For all other transaction types, this field is not relevant.

ShipToZIP

ZString

12

Identifies the ship-to ZIP code address associated with sales transaction. For all other transaction types, this field is not relevant.

ShipToCountry

ZString

15

Identifies the ship-to country address associated with sales transaction. For all other transaction types, this field is not relevant.

ShipVia

ZString

20

Identifies the shipping method selected for this sales or purchase transaction. Shipping methods are set up in the Inventory Item Defaults window. For all other transaction types, this field is not relevant.

QuoteIDForSales

ZString

20

Identifies the quote number associated with the sales invoice transaction, if available. This field is only accessible when you convert a quote to a sales invoice and the quote already has a quote number.

ShipDate

Date

Only for sales orders selected on the Sales/Invoicing window, this identifies when a sales invoice was shipped. For all other transaction types, this field is not relevant.

POSOOrderNumber

ZString

20

Identifies purchase order number or sales order number associated with an invoice transaction.

WaitingForBill

Logical

True => if the Waiting for Bill check box is selected in the Purchases window for this transaction. For all other transaction types, this field is not relevant.

OthersidePO

ZString

20

Applies to purchases and purchase orders. If this is a purchase or a purchase order, then this is the manually entered sales invoice number that appears in the Ship-to dialog box. It represents your company's sales invoice for drop shipments directly from a vendor to a customer. This field is not used for sales invoices or sales orders.

CompletedDate

Date

The date in which a sales order and purchase order is shipped.

POSOisClosed

Logical

True => if the purchase order or sales order is fulfilled (closed).

LastUsedDistNumber

Integer

Identifies the last used distribution number for line items in sales orders and purchase orders transactions. For all other transaction types, this field is not relevant.

AmountPaid

Float

For sales invoices and purchase invoices only. This indicates how much money has been applied against THIS invoice (in the Receive Payment and Amount Paid dialogs).

TotalInvoicePaid

Float

For receipts and payments only. This indicates how much of this check was applied to all invoices selected.

EndOfPayPeriod

Date

Date that identifies the end of a pay period selected for all payroll transactions.

WeeksWorked

Integer

Identifies the number of weeks in the payroll period selected for all payroll transactions. This is used to calculate some payroll taxes.

PRHours1

Float

Number of hours worked or salary amount for employee pay level 1.

About Payroll Hours: These are used to calculate the employees gross pay on paychecks. Pay levels are set up in Employee Defaults window and pay rates are set up in the Maintain Employees/Sales Reps window.

PRHours2

Float

Number of hours worked or salary amount for employee pay level 2.

PRHours3

Float

Number of hours worked or salary amount for employee pay level 3.

PRHours4

Float

Number of hours worked or salary amount for employee pay level 4.

PRHours5

Float

Number of hours worked or salary amount for employee pay level 5.

PRHours6

Float

Number of hours worked or salary amount for employee pay level 6.

PRHours7

Float

Number of hours worked or salary amount for employee pay level 7.

PRHours8

Float

Number of hours worked or salary amount for employee pay level 8.

PRHours9

Float

Number of hours worked or salary amount for employee pay level 9.

PRHours10

Float

Number of hours worked or salary amount for employee pay level 10.

PRHours11

Float

Number of hours worked or salary amount for employee pay level 11.

PRHours12

Float

Number of hours worked or salary amount for employee pay level 12.

PRHours13

Float

Number of hours worked or salary amount for employee pay level 13.

PRHours14

Float

Number of hours worked or salary amount for employee pay level 14.

PRHours15

Float

Number of hours worked or salary amount for employee pay level 15.

PRHours16

Float

Number of hours worked or salary amount for employee pay level 16.

PRHours17

Float

Number of hours worked or salary amount for employee pay level 17.

PRHours18

Float

Number of hours worked or salary amount for employee pay level 18.

PRHours19

Float

Number of hours worked or salary amount for employee pay level 19.

PRHours20

Float

Number of hours worked or salary amount for employee pay level 20.

Comment1

ZString

249

The first 249 characters of a transaction (invoice) note, if it exists.

About Transaction Notes: Invoice notes can be entered in the Sales/Invoicing, Purchases, Sales Orders, Purchase Orders, and Quotes windows by selecting the Notes toolbar button. In Peachtree, invoice notes can be up to 2000 characters. The maximum field length Crystal Reports is 250 characters. Therefore, the note (comment) text is split up into several fields, which can all be concatenated in Crystal Reports.

Comment2

ZString

249

The next 249 characters of a transaction (invoice) note, if it exists.

Comment3

ZString

249

The next 249 characters of a transaction (invoice) note, if it exists.

Comment4

ZString

249

The next 249 characters of a transaction (invoice) note, if it exists.

Comment5

ZString

249

The next 249 characters of a transaction (invoice) note, if it exists.

Comment6

ZString

249

The next 249 characters of a transaction (invoice) note, if it exists.

Comment7

ZString

249

The next 249 characters of a transaction (invoice) note, if it exists.

Comment8

ZString

249

The next 249 characters of a transaction (invoice) note, if it exists.

Comment9

ZString

50

The last 50 characters of a transaction (invoice) note, if it exists.

TrxVoidedBy

Integer

If the transaction is an invoice and if it has been voided using Void Invoices, then this is the PostOrder of the voiding transaction. If this is the voiding invoice, then this field refers to the original invoice.

JrnlTypeEx

Integer

If the Journal filed is 2 for Cash Disbursements, then a 1 in this field means that the check came from Write Checks while a 0 in this field means that this check came from Tasks Payments.

DepositDate

Date

Deposit ticket date.

MainGLActNumber

Integer

4

Primary cash account used for deposits and receipts.

ReceiptNum

ZString

20

The receipt number for the transaction.

ShipByDate

Date

Ship By date - the date by which the sales order should ship.

ReturnAuthorization

ZString

20

Return authorization code for credit or return of sales items.

What Do You Want to Do Next?

  • See a list of Crystal Reports data (.DAT) files

  • Read the Crystal Reports for Peachtree overview

  • Read about standard Crystal reports

  • Read the overview to designing Crystal reports


Journal Row Fields (DDF)

The following Data Dictionary File (DDF) field information is intended to assist those who design reports in Crystal Reports for Peachtree.

Filename: JRNLROW.DAT

JRNLROW.DAT is the file that holds the meat of the Peachtree accounting system! It includes at least one row for every account transaction event in Peachtree. Journals rows are synonymous to journal distributions within a single transaction. Some rows serve to hold more than one type of information. There will be one row for every amount that is entered in a Peachtree task window, PLUS possibly one or two rows for each system-generated (behind the scenes) activity such as cost of goods sold, or below-zero transactions.

Indexes and Their Uses

JrnlRow.DAT has eight keys, as follows:

0 = By PostOrder. Use this index to link to the JrnlJHdr file.

1 = By PostORder and then by Index.

2 = By Account, then by Date and then by PostOrder.

3 = By ItemRecordNumber, then by date, then by PostOrder, and finally by index. Skips all records where ItemRecordNumber == 0.

4 = By ProjectNumber, then by Phase, then by Cost Code, Account, Date, PostOrder and finally by Index.

5 = By LinkToAnotherTrx, and then by date.

6 = By ProjectNumber, then by Phase, then by Cost Code, Date (Similar to key 4.).

7 = By ProjectNumber, then by Account, Phase, Cost, and finally by date.

Fields

The following table shows the fields available in the JRNLROW.DAT file and includes the type and size in number of bytes of each field.

Field Name

Type

Size

Comment

GLAcntNumber

Integer

4

G/L account that this row applies to. For certain beginning balance entries, this field will be blank.

PostOrder

Integer

This number is unique to each whole transaction. The same PostOrder can exist on any number of journal rows, but only one journal header can share this number.

Rownumber

Integer

Used to order the rows in a particular transaction consistently.

ItemRecordNumber

Integer

Identifies the inventory item associated with this row, if applicable. This field links to the LINEITEM.DAT table. If this row does not include inventory item record, then value of the field is 0.

JobRecordNumber

Integer

Identifies the job record associated with this row, if applicable. This field links to the PROJECT.DAT table. If this row does not include job record, then value of the field is 0.

PhaseID

ZString

20

If this row pertains to a job and a phase, then this field identifies the phase. This field links to the PHASE.DAT table.

Note: Job phases are available only in Peachtree Complete Accounting.

CostCodeID

ZString

20

If this row pertains to a job, phase, and cost code, then this field identifies the cost code. This field links to the COST.DAT table.

Note: Job cost codes are available only in Peachtree Complete Accounting.

LinkToAnotherTrx

Integer

If this row pertains to another transaction, then this is the PostOrder of that other transaction. Possible links include:

  • Payments linked to the purchase that is paid off.

  • Receipts linked to the sales invoice that is paid off.

  • Purchases and sales invoices linked to the orders that they are based on.

LinkToOtherTrxIndex

Integer

If LinkToAnotherTrx (above) links to a sales or purchase order, then this is the row number in that order that this row relates to.

DateCleared

Date

4

Date when this transaction cleared the bank (the Cleared check box is selected in Peachtree's Account Reconciliation window). Currently, all rows of a transaction clear on the same date.

Journal

Integer

Identifies the journal source of this transaction row? Valid values include:

0 = General Journal

1 = Cash Receipts Journal

2 = Cash Disbursements (Payments) Journal

3 = Sales Journal

4 = Purchase Journal

5 = Payroll Journal

6 =Cost of Goods Sold Journal

7 = Inventory Adjustment Journal

8 = Assembly Adjustments (Build/Unbuild) Journal

9 = TempBelowZeroInvAdj (These are system-generated transactions within Peachtree's inventory costing engine. The Peachtree user will never see this journal. Also, these transactions do not contain header records.)

10 = Purchase Orders Journal

11 = Sales Orders Journal

12 = Quotes Journal

RowDate

Date

Identifies the date of the transaction row. In most cases, each row uses the same date.

IncludeInGL

Integer

True => only IF this row is to be included in general ledger and thus all financial calculations based on general ledger amounts. For example, this field is false for all customer, vendor, job, employee, and line-item (inventory) beginning balance entries.

IncludeInInvLedger

Integer

Include this row in inventory-ledger type calculations and reports only if this flag is true. For example, this field would be true for inventory change rows and false for cost of sales rows, even though both rows refer to items. This is because cost of sales rows do not change the inventory balance.

RowType

Integer

Identifies what kind of row this is. Valid values include:

0 => JrnlRowType_Normal (A general-type journal transaction row.)

1 => JrnlRowType_CGS (The cost of sales row. This row is generally not seen in the program.)

2 => JrnlRowType_InvChg (The opposite side of the cost of sales row above.)

3 => JrnlRowType_JobOnly

4 => JrnlRowType_Discount (This row may be present in a receipt or a payment. The row amount represents the discount amount applied from this check to the related invoice.)

5 => JrnlRowType_SalesTax (The row associated with sales tax in sales or receipt transactions.)

6 => JrnlRowType_Freight (The freight amount calculated for sales transaction.

7 => JrnlRowType_BelowZero
_COGS => (A system-generated cost of sales row used in inventory costing. This is not directly related to any particular header.)

8 => JrnlRowType_BelowZero
_InvChg (A system-generated row inventory adjustment row used in inventory costing. This is not directly related to any particular header.)

9 => SortJob_AssemblyUnbuild
_COGS (A system-generated cost of sales row used in inventory costing when building and unbuilding assemblies. This is not directly related to any particular header.)

10 => SortJob_AssemblyUnbuild_
InvChg (A system-generated inventory adjustment row used in inventory costing when building and unbuilding assemblies. This is not directly related to any particular header.)

Amount

Float

Identifies the distribution amount for the row. This field does not contain valid values for cost of sales rows. However, it does contain valid values for non-cost of sales-related rows.

Note: To extract journal transaction amounts that involve inventory costing (cost of sales), you must use a custom formula. To learn more, click Click for your information .

Quantity

Float

Identifies the quantity entered in the line item rows for invoices or credit memos. Please note that rows not associated with inventory items can still have quantities.

Unitcost

Float

Identifies the unit cost entered in line item rows for invoices and credit memos. Please note that even rows without inventory items can have unit cost amounts.

AmountOrdered

Float

Identifies the dollar amount of items ordered in sales or purchase orders.

AmountReceived

Float

Identifies the dollar amount of items shipped or received in sales or purchase orders.

QtyReceived

Float

Identifies the quantity of items shipped or received in sales or purchase orders.

QtyOrdered

Float

Identifies the quantity of items ordered in sales or purchase orders.

DistNumber

Integer

This applies only to sales and purchase orders. The DistNumber is how invoice rows link to order rows.

RowDescription

ZString

160

This is a text description entered in the task window for the journal distribution row.

CustomerRecordNumber

Integer

Identifies the customer record associated with this row, if applicable. This field links to the CUSTOMER.DAT table. If this row does not apply to customer record, then value of the field is 0.

VendorRecordNumber

Integer

Identifies the vendor record associated with this row, if applicable. This field links to the VENDOR.DAT table. If this row does not apply to vendor record, then value of the field is 0.

EmpRecordNumber

Integer

4

Identifies the employee record associated with this row, if applicable. This field links to the EMPLOYEE.DAT table. If this row does not include an employee record, then value of the field is 0.

Note: Do not confuse with the EmpRecordNumber field in the JrnlHdr table, which is used for the record number of the default sales rep who applies to a given sales transaction.

GUID

Integer

4

GUID (General Universal ID) used for linking the JrnlRow table.

UsedForReimbExp

Logical

True => only if this row has already been applied to a reimbursable expense.

TaxAuthorityCode

ZString

8

If this row is a JrnlRowType_SalesTax, type, then this field is the sales tax authority code.

SalesTaxType

Integer

If this row is a JrnlRowType_Normal type and is a sale or receipt, then this identifies how to tax the item.

PayrollFieldNumber

Integer

If this is a payroll transaction row, then this identifies which payroll field this row applies to.

InvoiceNumber

ZString

20

The invoice number that the check, receipt, payment, or credit memo applies to. You can also find the invoice record by linking to the LinkToAnotherTrx field.

What Do You Want to Do Next?

  • See a list of Crystal Reports data (.DAT) files

  • Read the Crystal Reports for Peachtree overview

  • Read about standard Crystal reports

  • Read the overview to designing Crystal reports


Inventory Item Fields (DDF)

The following Data Dictionary File (DDF) field information is intended to assist those who design reports in Crystal Reports for Peachtree.

Filename: LINEITEM.DAT

LINEITEM.DAT is the inventory items file. It describes each inventory item your company stocks. Most of the information below is entered or displayed in Peachtree's Maintain Inventory Items window.

  • To add Peachtree inventory item fields to your Crystal reports, select the LINEITEM.DAT subset of the FILE.DDF data dictionary file.

Indexes and Their Uses

LINEITEM.DAT has five keys, as follows:

0 = By ItemID. This field is unique, but it can change. Use this key when sorting reports by ItemID. Do not use this key to link inventory items with other tables.

1 = By Description.

2 = By ItemRecordNumber. Use this key to link inventory items with other tables.

3 = By ItemIsInactive and then by ItemID.

4 = By ItemIsInactive and then by Description.

Fields

The following table shows the fields available in the LINEITEM.DAT file and includes the type and size in number of bytes of each field.

Field Name

Type

Size

Comment

ItemRecordNumber

Integer

This (internal) item field is used for linking purposes to other Peachtree data tables. For more information, see Indexes and Their Uses above.

This field is unique in the table and never changes.

ItemID

ZString

20

Item ID entered in the Maintain Inventory Items window. This record ID is unique, but it can change (if Peachtree's Change ID feature is used).

GUIDa

GUIDb

GUIDc

GUIDd

Integer

4

GUID (General Universal ID) used for linking the LineItem table. Unlike the GUID field in other tables, this one is divided into four parts.

ItemDescription

ZString

30

The (short) description of the item entered in the Maintain Inventory Items window. This short description (located just under the Item ID field) is commonly used for internal purposes; it appears throughout the Peachtree application.

ItemIsInactive

Logical

The Inactive check box in the Maintain Inventory Items window. Valid choices include:

True = if the item record is inactive.

False = if the item record is active.

SalesDescription

ZString

160

The item description used for sales transactions. This is entered on the General tab of the Maintain Inventory Items window.

PurchaseDescription

ZString

160

The item description used for purchase transactions. This is entered on the General tab of the Maintain Inventory Items window.

ItemType

ZString

8

Item type entered on the General tab of the Maintain Inventory Items window.

UnitOfMeasure

ZString

6

Unit of measure entered on the General tab of the Maintain Inventory Items window.

ItemClass

Integer

The Item Class field entered on the General tab of the Maintain Inventory Items window.

Valid values include:

0 = Non-Stock Item

1 = Stock Item

2 = Description Only

3 = Assembly (Assemblies behave exactly like stock items most of the time. For this reason, assemblies are stored as stock items. When you need to know if an item is an assembly, check the number of components. If NumberComponents > 0, then stock item is really an assembly item.)

4 = Service.

5 = Labor Item.

6 = Activity Item

7 = Charge Item

Note: Activity and charge items are available only in Peachtree Complete Accounting.

SalesAccount

ZString

15

The G/L sales (income) account used when this item is sold. This field can link to the CHART.DAT file.

TaxFlag

Integer

Item Tax Type number selected on the General tab of the Maintain Inventory Items window. Item tax types identifies whether the item is taxable or exempt and are set up in the Inventory Defaults window.

Valid values are 1-25.

ItemDontUse60

Float

Do not select or use this DDF field. It is used by Peachtree for internal reasons.

SalesLastYrPer1

Float

Sales recorded for this inventory item in Period 1 of the last closed fiscal year.

SalesLastYrPer2

Float

Sales recorded for this inventory item in Period 2 of the last closed fiscal year.

SalesLastYrPer3

Float

Sales recorded for this inventory item in Period 3 of the last closed fiscal year.

SalesLastYrPer4

Float

Sales recorded for this inventory item in Period 4 of the last closed fiscal year.

SalesLastYrPer5

Float

Sales recorded for this inventory item in Period 5 of the last closed fiscal year.

SalesLastYrPer6

Float

Sales recorded for this inventory item in Period 6 of the last closed fiscal year.

SalesLastYrPer7

Float

Sales recorded for this inventory item in Period 7 of the last closed fiscal year.

SalesLastYrPer8

Float

Sales recorded for this inventory item in Period 8 of the last closed fiscal year.

SalesLastYrPer9

Float

Sales recorded for this inventory item in Period 9 of the last closed fiscal year.

SalesLastYrPer10

Float

Sales recorded for this inventory item in Period 10 of the last closed fiscal year.

SalesLastYrPer11

Float

Sales recorded for this inventory item in Period 11 of the last closed fiscal year.

SalesLastYrPer12

Float

Sales recorded for this inventory item in Period 12 of the last closed fiscal year.

SalesLastYrPer13

Float

Sales recorded for this inventory item in Period 13 of the last closed fiscal year.

Note: Period 13 is not used by some companies.

ItemDontUse61

Float

Do not select or use this DDF field. It is used by Peachtree for internal reasons.

SalesThisYrPer1

Float

Sales recorded for this inventory item in Period 1 of the first open fiscal year.

SalesThisYrPer2

Float

Sales recorded for this inventory item in Period 2 of the first open fiscal year.

SalesThisYrPer3

Float

Sales recorded for this inventory item in Period 3 of the first open fiscal year.

SalesThisYrPer4

Float

Sales recorded for this inventory item in Period 4 of the first open fiscal year.

SalesThisYrPer5

Float

Sales recorded for this inventory item in Period 5 of the first open fiscal year.

SalesThisYrPer6

Float

Sales recorded for this inventory item in Period 6 of the first open fiscal year.

SalesThisYrPer7

Float

Sales recorded for this inventory item in Period 7 of the first open fiscal year.

SalesThisYrPer8

Float

Sales recorded for this inventory item in Period 8 of the first open fiscal year.

SalesThisYrPer9

Float

Sales recorded for this inventory item in Period 9 of the first open fiscal year.

SalesThisYrPer10

Float

Sales recorded for this inventory item in Period 10 of the first open fiscal year.

SalesThisYrPer11

Float

Sales recorded for this inventory item in Period 11 of the first open fiscal year.

SalesThisYrPer12

Float

Sales recorded for this inventory item in Period 12 of the first open fiscal year.

SalesThisYrPer13

Float

Sales recorded for this inventory item in Period 13 of the first open fiscal year.

Note: Period 13 is not used by some companies.

ItemDontUse62

Float

Do not select or use this DDF field. It is used by Peachtree for internal reasons.

SalesNextYrPer1

Float

Sales recorded for this inventory item in Period 1 of the second open fiscal year.

SalesNextYrPer2

Float

Sales recorded for this inventory item in Period 2 of the second open fiscal year.

SalesNextYrPer3

Float

Sales recorded for this inventory item in Period 3 of the second open fiscal year.

SalesNextYrPer4

Float

Sales recorded for this inventory item in Period 4 of the second open fiscal year.

SalesNextYrPer5

Float

Sales recorded for this inventory item in Period 5 of the second open fiscal year.

SalesNextYrPer6

Float

Sales recorded for this inventory item in Period 6 of the second open fiscal year.

SalesNextYrPer7

Float

Sales recorded for this inventory item in Period 7 of the second open fiscal year.

SalesNextYrPer8

Float

Sales recorded for this inventory item in Period 8 of the second open fiscal year.

SalesNextYrPer9

Float

Sales recorded for this inventory item in Period 9 of the second open fiscal year.

SalesNextYrPer10

Float

Sales recorded for this inventory item in Period 10 of the second open fiscal year.

SalesNextYrPer11

Float

Sales recorded for this inventory item in Period 11 of the second open fiscal year.

SalesNextYrPer12

Float

Sales recorded for this inventory item in Period 12 of the second open fiscal year.

SalesNextYrPer13

Float

Sales recorded for this inventory item in Period 13 of the second open fiscal year.

Note: Period 13 is not used by some companies.

ItemDontUse63

Float

Do not select or use this DDF field. It is used by Peachtree for internal reasons.

SalesQtyLastYrPer1

Float

Quantity sold of this stock item in Period 1 of the last closed fiscal year.

About Quantity Values: Quantity amounts are only recorded in Peachtree for stock items (and assembly items). For all other types of inventory items (non-stock, service, labor, and so on), this field will display 0.00 as the quantity amount.

SalesQtyLastYrPer2

Float

Quantity sold of this stock item in Period 2 of the last closed fiscal year.

SalesQtyLastYrPer3

Float

Quantity sold of this stock item in Period 3 of the last closed fiscal year.

SalesQtyLastYrPer4

Float

Quantity sold of this stock item in Period 4 of the last closed fiscal year.

SalesQtyLastYrPer5

Float

Quantity sold of this stock item in Period 5 of the last closed fiscal year.

SalesQtyLastYrPer6

Float

Quantity sold of this stock item in Period 6 of the last closed fiscal year.

SalesQtyLastYrPer7

Float

Quantity sold of this stock item in Period 7 of the last closed fiscal year.

SalesQtyLastYrPer8

Float

Quantity sold of this stock item in Period 8 of the last closed fiscal year.

SalesQtyLastYrPer9

Float

Quantity sold of this stock item in Period 9 of the last closed fiscal year.

SalesQtyLastYrPer10

Float

Quantity sold of this stock item in Period 10 of the last closed fiscal year.

SalesQtyLastYrPer11

Float

Quantity sold of this stock item in Period 11 of the last closed fiscal year.

SalesQtyLastYrPer12

Float

Quantity sold of this stock item in Period 12 of the last closed fiscal year.

SalesQtyLastYrPer13

Float

Quantity sold of this stock item in Period 13 of the last closed fiscal year.

Note: Period 13 is not used by some companies.

ItemDontUse64

Float

Do not select or use this DDF field. It is used by Peachtree for internal reasons.

SalesQtyThisYrPer1

Float

Quantity sold of this stock item in Period 1 of the first open fiscal year.

SalesQtyThisYrPer2

Float

Quantity sold of this stock item in Period 2 of the first open fiscal year.

SalesQtyThisYrPer3

Float

Quantity sold of this stock item in Period 3 of the first open fiscal year.

SalesQtyThisYrPer4

Float

Quantity sold of this stock item in Period 4 of the first open fiscal year.

SalesQtyThisYrPer5

Float

Quantity sold of this stock item in Period 5 of the first open fiscal year.

SalesQtyThisYrPer6

Float

Quantity sold of this stock item in Period 6 of the first open fiscal year.

SalesQtyThisYrPer7

Float

Quantity sold of this stock item in Period 7 of the first open fiscal year.

SalesQtyThisYrPer8

Float

Quantity sold of this stock item in Period 8 of the first open fiscal year.

SalesQtyThisYrPer9

Float

Quantity sold of this stock item in Period 9 of the first open fiscal year.

SalesQtyThisYrPer10

Float

Quantity sold of this stock item in Period 10 of the first open fiscal year.

SalesQtyThisYrPer11

Float

Quantity sold of this stock item in Period 11 of the first open fiscal year.

SalesQtyThisYrPer12

Float

Quantity sold of this stock item in Period 12 of the first open fiscal year.

SalesQtyThisYrPer13

Float

Quantity sold of this stock item in Period 13 of the first open fiscal year.

Note: Period 13 is not used by some companies.

ItemDontUse65

Float

Do not select or use this DDF field. It is used by Peachtree for internal reasons.

SalesQtyNextYrPer1

Float

Quantity sold of this stock item in Period 1 of the second open fiscal year.

SalesQtyNextYrPer2

Float

Quantity sold of this stock item in Period 2 of the second open fiscal year.

SalesQtyNextYrPer3

Float

Quantity sold of this stock item in Period 3 of the second open fiscal year.

SalesQtyNextYrPer4

Float

Quantity sold of this stock item in Period 4 of the second open fiscal year.

SalesQtyNextYrPer5

Float

Quantity sold of this stock item in Period 5 of the second open fiscal year.

SalesQtyNextYrPer6

Float

Quantity sold of this stock item in Period 6 of the second open fiscal year.

SalesQtyNextYrPer7

Float

Quantity sold of this stock item in Period 7 of the second open fiscal year.

SalesQtyNextYrPer8

Float

Quantity sold of this stock item in Period 8 of the second open fiscal year.

SalesQtyNextYrPer9

Float

Quantity sold of this stock item in Period 9 of the second open fiscal year.

SalesQtyNextYrPer10

Float

Quantity sold of this stock item in Period 10 of the second open fiscal year.

SalesQtyNextYrPer11

Float

Quantity sold of this stock item in Period 11 of the second open fiscal year.

SalesQtyNextYrPer12

Float

Quantity sold of this stock item in Period 12 of the second open fiscal year.

SalesQtyNextYrPer13

Float

Quantity sold of this stock item in Period 13 of the second open fiscal year.

Note: Period 13 is not used by some companies.

ItemDontUse66

Float

Do not select or use this DDF field. It is used by Peachtree for internal reasons.

ItemDontUse67

Float

Do not select or use this DDF field. It is used by Peachtree for internal reasons.

ItemDontUse68

Float

Do not select or use this DDF field. It is used by Peachtree for internal reasons.

ItemDontUse69

Float

Do not select or use this DDF field. It is used by Peachtree for internal reasons.

InvAcctRecordNumber

Integer

4

The G/L inventory account used when this stock item is purchased or sold. This field can link to the CHART.DAT file.

Note: If this item is a non-stock labor, or service item, this field will display default Salary/Wages G/L account rather than an inventory account. Description only, activity, and charge items do not use this field.
Activity and charge items are available only in Peachtree Complete Accounting.

COGSAcctRecordNumber

Integer

4

The G/L cost of sales account used when this item is sold. This field can link to the CHART.DAT file.

Note: Description only, activity, and charge items do not use this field.
Activity and charge items are available only in Peachtree Complete Accounting.

VendorRecordNumber

Integer

This preferred vendor ID entered on the General tab of the Maintain Inventory items window. This field can link to VendorRecordNumber in VENDOR.DAT.

ItemUnused6

ZString

Do not select or use this DDF field. It is used by Peachtree for internal reasons.

ReorderPoint

Float

Minimum stock level quantity entered on the General tab of the Maintain Inventory Items window for this stock or assembly item.

Note: This field is not available for other types of inventory items (non-stock, service, labor, and so on).

OrderQty

Float

Reorder quantity amount entered on the General tab of the Maintain Inventory Items window for this stock or assembly item.

Note: This field is not available for other types of inventory items (non-stock, service, labor, and so on).

Note

ZString

250

Internal note entered for this item. Notes are entered by clicking the Note toolbar button in the Maintain Inventory Items window.

NumberComponent

Integer

Identifies the number of components this stock item contains.

If NumberComponents > 0, this item is an assembly item.

Note: This field is not relevant for other types of inventory items (non-stock, service, labor, and so on).

DontUseComp0

ZString

Do not select or use this DDF field. It is used by Peachtree for internal reasons.

DontUseComp1

ZString

Do not select or use this DDF field. It is used by Peachtree for internal reasons.

DontUseComp2

ZString

Do not select or use this DDF field. It is used by Peachtree for internal reasons.

DontUseComp3

ZString

Do not select or use this DDF field. It is used by Peachtree for internal reasons.

DontUseComp4

ZString

Do not select or use this DDF field. It is used by Peachtree for internal reasons.

DontUseComp5

ZString

Do not select or use this DDF field. It is used by Peachtree for internal reasons.

DontUseComp6

ZString

Do not select or use this DDF field. It is used by Peachtree for internal reasons.

DontUseComp7

ZString

Do not select or use this DDF field. It is used by Peachtree for internal reasons.

DontUseComp8

ZString

Do not select or use this DDF field. It is used by Peachtree for internal reasons.

DontUseComp9

ZString

Do not select or use this DDF field. It is used by Peachtree for internal reasons.

DontUseComp10

ZString

Do not select or use this DDF field. It is used by Peachtree for internal reasons.

DontUseComp11

ZString

Do not select or use this DDF field. It is used by Peachtree for internal reasons.

DontUseComp12

ZString

Do not select or use this DDF field. It is used by Peachtree for internal reasons.

DontUseComp13

ZString

Do not select or use this DDF field. It is used by Peachtree for internal reasons.

DontUseComp14

ZString

Do not select or use this DDF field. It is used by Peachtree for internal reasons.

DontUseComp15

ZString

Do not select or use this DDF field. It is used by Peachtree for internal reasons.

DontUseComp16

ZString

Do not select or use this DDF field. It is used by Peachtree for internal reasons.

DontUseComp17

ZString

Do not select or use this DDF field. It is used by Peachtree for internal reasons.

DontUseComp18

ZString

Do not select or use this DDF field. It is used by Peachtree for internal reasons.

DontUseComp19

ZString

Do not select or use this DDF field. It is used by Peachtree for internal reasons.

DontUseComp20

ZString

Do not select or use this DDF field. It is used by Peachtree for internal reasons.

DontUseComp21

ZString

Do not select or use this DDF field. It is used by Peachtree for internal reasons.

DontUseComp22

ZString

Do not select or use this DDF field. It is used by Peachtree for internal reasons.

DontUseComp23

ZString

Do not select or use this DDF field. It is used by Peachtree for internal reasons.

DontUseComp24

ZString

Do not select or use this DDF field. It is used by Peachtree for internal reasons.

DontUseComp25

ZString

Do not select or use this DDF field. It is used by Peachtree for internal reasons.

DontUseComp26

ZString

Do not select or use this DDF field. It is used by Peachtree for internal reasons.

DontUseComp27

ZString

Do not select or use this DDF field. It is used by Peachtree for internal reasons.

DontUseComp28

ZString

Do not select or use this DDF field. It is used by Peachtree for internal reasons.

DontUseComp29

ZString

Do not select or use this DDF field. It is used by Peachtree for internal reasons.

DontUseComp30

ZString

Do not select or use this DDF field. It is used by Peachtree for internal reasons.

DontUseComp31

ZString

Do not select or use this DDF field. It is used by Peachtree for internal reasons.

DontUseComp32

ZString

Do not select or use this DDF field. It is used by Peachtree for internal reasons.

DontUseComp33

ZString

Do not select or use this DDF field. It is used by Peachtree for internal reasons.

DontUseComp34

ZString

Do not select or use this DDF field. It is used by Peachtree for internal reasons.

DontUseComp35

ZString

Do not select or use this DDF field. It is used by Peachtree for internal reasons.

DontUseComp36

ZString

Do not select or use this DDF field. It is used by Peachtree for internal reasons.

DontUseComp37

ZString

Do not select or use this DDF field. It is used by Peachtree for internal reasons.

DontUseComp38

ZString

Do not select or use this DDF field. It is used by Peachtree for internal reasons.

DontUseComp39

ZString

Do not select or use this DDF field. It is used by Peachtree for internal reasons.

DontUseComp40

ZString

Do not select or use this DDF field. It is used by Peachtree for internal reasons.

DontUseComp41

ZString

Do not select or use this DDF field. It is used by Peachtree for internal reasons.

DontUseComp42

ZString

Do not select or use this DDF field. It is used by Peachtree for internal reasons.

DontUseComp43

ZString

Do not select or use this DDF field. It is used by Peachtree for internal reasons.

DontUseComp44

ZString

Do not select or use this DDF field. It is used by Peachtree for internal reasons.

DontUseComp45

ZString

Do not select or use this DDF field. It is used by Peachtree for internal reasons.

DontUseComp46

ZString

Do not select or use this DDF field. It is used by Peachtree for internal reasons.

DontUseComp47

ZString

Do not select or use this DDF field. It is used by Peachtree for internal reasons.

DontUseComp48

ZString

Do not select or use this DDF field. It is used by Peachtree for internal reasons.

DontUseComp49

ZString

Do not select or use this DDF field. It is used by Peachtree for internal reasons.

DontUseComp50

ZString

Do not select or use this DDF field. It is used by Peachtree for internal reasons.

DontUseComp51

ZString

Do not select or use this DDF field. It is used by Peachtree for internal reasons.

DontUseComp52

ZString

Do not select or use this DDF field. It is used by Peachtree for internal reasons.

DontUseComp53

ZString

Do not select or use this DDF field. It is used by Peachtree for internal reasons.

DontUseComp54

ZString

Do not select or use this DDF field. It is used by Peachtree for internal reasons.

DontUseComp55

ZString

Do not select or use this DDF field. It is used by Peachtree for internal reasons.

DontUseComp56

ZString

Do not select or use this DDF field. It is used by Peachtree for internal reasons.

DontUseComp57

ZString

Do not select or use this DDF field. It is used by Peachtree for internal reasons.

DontUseComp58

ZString

Do not select or use this DDF field. It is used by Peachtree for internal reasons.

DontUseComp59

ZString

Do not select or use this DDF field. It is used by Peachtree for internal reasons.

DontUseComp60

ZString

Do not select or use this DDF field. It is used by Peachtree for internal reasons.

DontUseComp61

ZString

Do not select or use this DDF field. It is used by Peachtree for internal reasons.

DontUseComp62

ZString

Do not select or use this DDF field. It is used by Peachtree for internal reasons.

DontUseComp63

ZString

Do not select or use this DDF field. It is used by Peachtree for internal reasons.

DontUseComp64

ZString

Do not select or use this DDF field. It is used by Peachtree for internal reasons.

DontUseComp65

ZString

Do not select or use this DDF field. It is used by Peachtree for internal reasons.

DontUseComp66

ZString

Do not select or use this DDF field. It is used by Peachtree for internal reasons.

DontUseComp67

ZString

Do not select or use this DDF field. It is used by Peachtree for internal reasons.

DontUseComp68

ZString

Do not select or use this DDF field. It is used by Peachtree for internal reasons.

DontUseComp69

ZString

Do not select or use this DDF field. It is used by Peachtree for internal reasons.

DontUseComp70

ZString

Do not select or use this DDF field. It is used by Peachtree for internal reasons.

DontUseComp71

ZString

Do not select or use this DDF field. It is used by Peachtree for internal reasons.

DontUseComp72

ZString

Do not select or use this DDF field. It is used by Peachtree for internal reasons.

DontUseComp73

ZString

Do not select or use this DDF field. It is used by Peachtree for internal reasons.

DontUseComp74

ZString

Do not select or use this DDF field. It is used by Peachtree for internal reasons.

DontUseComp75

ZString

Do not select or use this DDF field. It is used by Peachtree for internal reasons.

DontUseComp76

ZString

Do not select or use this DDF field. It is used by Peachtree for internal reasons.

DontUseComp77

ZString

Do not select or use this DDF field. It is used by Peachtree for internal reasons.

DontUseComp78

ZString

Do not select or use this DDF field. It is used by Peachtree for internal reasons.

DontUseComp79

ZString

Do not select or use this DDF field. It is used by Peachtree for internal reasons.

DontUseComp80

ZString

Do not select or use this DDF field. It is used by Peachtree for internal reasons.

DontUseComp81

ZString

Do not select or use this DDF field. It is used by Peachtree for internal reasons.

DontUseComp82

ZString

Do not select or use this DDF field. It is used by Peachtree for internal reasons.

DontUseComp83

ZString

Do not select or use this DDF field. It is used by Peachtree for internal reasons.

DontUseComp84

ZString

Do not select or use this DDF field. It is used by Peachtree for internal reasons.

DontUseComp85

ZString

Do not select or use this DDF field. It is used by Peachtree for internal reasons.

DontUseComp86

ZString

Do not select or use this DDF field. It is used by Peachtree for internal reasons.

DontUseComp87

ZString

Do not select or use this DDF field. It is used by Peachtree for internal reasons.

DontUseComp88

ZString

Do not select or use this DDF field. It is used by Peachtree for internal reasons.

DontUseComp89

ZString

Do not select or use this DDF field. It is used by Peachtree for internal reasons.

DontUseComp88

ZString

Do not select or use this DDF field. It is used by Peachtree for internal reasons.

DontUseComp89

ZString

Do not select or use this DDF field. It is used by Peachtree for internal reasons.

DontUseComp90

ZString

Do not select or use this DDF field. It is used by Peachtree for internal reasons.

DontUseComp91

ZString

Do not select or use this DDF field. It is used by Peachtree for internal reasons.

DontUseComp92

ZString

Do not select or use this DDF field. It is used by Peachtree for internal reasons.

DontUseComp93

ZString

Do not select or use this DDF field. It is used by Peachtree for internal reasons.

DontUseComp94

ZString

Do not select or use this DDF field. It is used by Peachtree for internal reasons.

DontUseComp95

ZString

Do not select or use this DDF field. It is used by Peachtree for internal reasons.

DontUseComp96

ZString

Do not select or use this DDF field. It is used by Peachtree for internal reasons.

DontUseComp97

ZString

Do not select or use this DDF field. It is used by Peachtree for internal reasons.

DontUseComp98

ZString

Do not select or use this DDF field. It is used by Peachtree for internal reasons.

DontUseComp99

ZString

Do not select or use this DDF field. It is used by Peachtree for internal reasons.

CustomField1

ZString

40

Data entered in first inventory item custom field.

About Inventory Item Custom Fields: Custom field data is entered on the Custom Fields tab of the Maintain Inventory Items window. Labels for inventory item custom fields are set up on the Custom Fields tab of the Inventory Items Defaults window.

Note: To get the custom field names, you must use a custom formula. To learn more, click Click for your information .

CustomField2

ZString

40

Data entered in second inventory item custom field.

CustomField3

ZString

40

Data entered in third inventory item custom field.

CustomField4

ZString

40

Data entered in fourth inventory item custom field.

CustomField5

ZString

40

Data entered in fifth inventory item custom field.

CostMethod

Integer

Identifies the costing method for the selected stock or assembly item. Valid values include:

0 == Average Cost

1 == FIFO

2 == LIFO

Note: This field is not relevant for other types of inventory items (non-stock, service, labor, and so on).

PriceLevel0Name

ZString

14

The name for price level 0 set up on the Price Levels tab of the Inventory Item Defaults window.

Note: You can set up ten price level names in Peachtree Complete Accounting and Peachtree Premium Accounting, but only five in Peachtree Accounting.

PriceLevel1Name

ZString

14

The name for price level 1.

PriceLevel2Name

ZString

14

The name for price level 2.

PriceLevel3Name

ZString

14

The name for price level 3.

PriceLevel4Name

ZString

14

The name for price level 4.

PriceLevel5Name

ZString

14

The name for price level 5.

PriceLevel6Name

ZString

14

The name for price level 6.

PriceLevel7Name

ZString

14

The name for price level 7

PriceLevel8Name

ZString

14

The name for price level 8

PriceLevel9Name

ZString

14

The name for price level 9

PriceLevel0Amount

Float

Item price for price level 0.

About Price Levels: Each inventory item has five unit price levels, which are entered on the General tab of the Maintain Inventory Items window. Which price is used is determined by the default unit price level selected in the customer record.
Activity items (available only in Peachtree Complete Accounting) refer to these fields in the Peachtree application as billing rate levels. All other item types refer to these field as sales price levels.

PriceLevel1Amount

Float

Item price for price level 1.

PriceLevel2Amount

Float

Item price for price level 2.

PriceLevel3Amount

Float

Item price for price level 3.

PriceLevel4Amount

Float

Item price for price level 4.

PriceLevel5Amount

Float

Item price for price level 5.

PriceLevel6Amount

Float

Item price for price level 6.

PriceLevel7Amount

Float

Item price for price level 7.

PriceLevel8Amount

Float

Item price for price level 8.

PriceLevel9Amount

Float

Item price for price level 9.

Location

ZString

10

Item location entered on the General tab of the Maintain Inventory Items window.

HasCommission

Logical

True => The Subject to Commission option is selected for this item on the General tab of the Maintain Inventory Items window.

PrintComponents

Logical

The Print Components on Invoice option on the Bill of Materials tab of the Maintain Inventory Items window.

True => The whole component list of the selected assembly item prints on the invoice.

False => Only the assembly item description prints on the invoice.

Note: This field is relevant only for assembly items.

LaborCost

Float

Identifies the last unit cost for the item that appears on the General tab of the Maintain Inventory Items window.

For stock or assembly items, you can enter a default cost that is used for cost of sales UNTIL the first purchase is recorded for this item. After that point in time, this field is no longer used for stock or assembly items. However, the Maintain Inventory Items window displays the “last” purchase cost for stock and assembly items, which you cannot change.

For non-stock, service, and labor items, this field represents the actual cost of sale cost amount.

Note: Description only, activity, and charge items do not use this field.
Activity and charge items are available only in Peachtree Complete Accounting.

PrimaryAttribName

ZString

20

Name of the primary attribute for the master stock item.

PrimaryAttribID1

ZString

4

IDs for the first 20 primary attributes of the master stock item.

PrimaryAttribDesc1

ZString

20

Descriptions for the first 20 primary attributes of the master stock item.

SecondaryAttribName

ZString

20

Name of the secondary attribute for the master stock item.

SecondaryAttribID1

ZString

4

IDs for the first 20 secondary attributes of the master stock item.

SecondaryAttribDesc1

ZString

20

Descriptions for the first 20 secondary attributes of the master stock item.

MasterItemID

ZString

4

Item ID of the master stock item.

SSPrimaryAttribID

ZString

20

ID of the substock item's primary attribute.

SSPrimaryAttribDesc

ZString

20

Description of the substock item's primary attribute.

SSecondAttribID

ZString

4

ID of the substock item's secondary attribute.

UPC_SKU

ZString

20

UPC/SKU code for the master stock item.

Weight

Float

The weight of the item in a consistent unit of measure (for example, grams, ounces, pounds).

EmpRecordNumber

Integer

4

The ID of the employee designated as buyer for the item.

BeginBalance

Float

Beginning balance for the item.

QtyOnHand

Float

Quantity on hand - the number of items currently in stock.

QtyonSO

Float

Quantity on SO's - the number of items committed on outstanding sales orders (Peachtree Accounting and Peachtree Complete only).

QtyonPO

Float

Quantity on PO's - the number of items committed on outstanding purchase orders.

LastCost

Float

Last Unit Cost - The last unit cost amount associated with the item.

What Do You Want to Do Next?

  • See a list of Crystal Reports data (.DAT) files

  • Read the Crystal Reports for Peachtree overview

  • Read about standard Crystal reports

  • Read the overview to designing Crystal reports


Raise History Fields (DDF)

The following Data Dictionary File (DDF) field information is intended to assist those who design reports in Crystal Reports for Peachtree.

Filename: RAISEHST.DAT

RAISEHST.DAT is the employee raise history file. If you are using Peachtree Accounting or Peachtree Complete, the information below is entered or displayed in the General tab of the Maintain Employees/Sales Reps window. If you are using Peachtree Premium, most of the information below is entered or displayed in Peachtree's Raise History window.

  • To add Peachtree raise history fields to your Crystal reports, select the RAISEHST.DAT subset of the FILE.DDF data dictionary file.

Note: The Raise History window is only available in Peachtree Premium Accounting.

Fields

The following table shows the fields available in the RAISEHST.DAT file and includes the type and size in number of bytes of each field.

Field Name | Type | Size | Comment
EmployeeRecordNumber | Integer | 4 | Employee ID entered in the Maintain Employees/Sales Reps window.
RaiseDate | Date | 4 | Date of the employee's raise. In Peachtree Accounting and Peachtree Complete, this information is entered in the Last Raise Date field on the General tab of the Maintain Employees/Sales Reps window. In Peachtree Premium, this information is entered in the Raise Date field of the Raise History window.
Rate | Binary | 2 | Hourly or salary pay level entered in the Applicable Rate field in the Raise History window. Note: This field is only available in Peachtree Premium.
BaseAmount | Float | 8 | Base amount of pay, as displayed in the Base Amount field in the Raise History window. Note: This field is only available in Peachtree Premium.
RaiseAmount | Float | 8 | Raise amount, as displayed in the Raise Amount field in the Raise History table. Note: This field is only available in Peachtree Premium.
RaisePercent | Float | 8 | Raise percentage, as displayed in the Raise Percentage field in the Raise History window. Note: This field is only available in Peachtree Premium.
NewAmount | Float | 8 | Total of the base amount, plus the raise amount. This information appears in the New Amount field in the Raise History window. Note: This field is only available in Peachtree Premium.
RaiseNote | ZString | 255 | Text entered through the use of the Note button in the Raise History window. Note: This field is only available in Peachtree Premium.
What Do You Want to Do Next?

  • See a list of Crystal Reports data (.DAT) files

  • Read the Crystal Reports for Peachtree overview

  • Read about standard Crystal reports

  • Read the overview to designing Crystal reports


Sales Tax Authority Fields (DDF)

The following Data Dictionary File (DDF) field information is intended to assist those who design reports in Crystal Reports for Peachtree.

Filename: TAXAUTH.DAT

The TAXAUTH.DAT file contains default information about the sales tax authorities maintained for your company's sales transactions.

  • To add Peachtree sales tax authority fields to your Crystal reports, select TAXAUTH.DAT subset of the FILE.DDF data dictionary file.

Fields

The following table shows the fields available in the TAXAUTH.DAT file and includes the type and size in number of bytes of each field.

Field Name | Type | Size | Comment
ID | ZString | 8 | Tax authority ID.
Description | ZString | 30 | Description of the tax authority.
Rate1 | Float | 8 | Single sales tax rate.
Rate2 | Float | 8 | Tax rate based on a formula.
UsesFormula | Logical | 1 | Setting of the Formula option in Maintain Sales Tax Authorities. True => Uses a formula to calculate sales tax. False => Does not use a formula to calculate sales tax.
RateChangeAt | Float | 8 | Dollar amount entered in the up to box of Maintain Sales Tax Authorities. This is the dollar amount of sales over which sales taxes are calculated by formula.
TaxBasis | Integer | 4 |
GLAcntNumber | Integer | 4 | Number of the sales tax payable G/L account.
VendorRecordNumber | Integer | 4 |
GUID | Binary | 16 | GUID (General Universal ID) used for linking Sales Tax Authorities table.


Sales Tax Code Fields (DDF)

The following Data Dictionary File (DDF) field information is intended to assist those who design reports in Crystal Reports for Peachtree.

Filename: TAXCODE.DAT

The TAXCODE.DAT file contains default information about the sales tax codes maintained for your company's sales transactions.

  • To add Peachtree sales tax code fields to your Crystal reports, select TAXCODE.DAT subset of the FILE.DDF data dictionary file.

Fields

The following table shows the fields available in the TAXCODE.DAT file and includes the type and size in number of bytes of each field.

Field Name | Type | Size | Comment
ID | ZString | 8 | Tax code ID.
Description | ZString | 30 | Description of the tax code.
TaxAuthority1 | ZString | 8 | First tax authority.
TaxAuthority2 | ZString | 8 | Second tax authority.
TaxAuthority3 | ZString | 8 | Third tax authority.
TaxAuthority4 | ZString | 8 | Fourth tax authority.
TaxAuthority5 | ZString | 8 | Fifth tax authority.
TaxFreight | Logical | 1 | Setting of Tax Freight check box in Maintain Sales Tax Authorities. True => Sales tax must be charged for freight. False => No sales tax required for freight charges.
GUID | Binary | 16 | GUID (General Universal ID) used for linking Sales Tax Codes table.


Time and Expense Ticket Fields (DDF)

The following Data Dictionary File (DDF) field information is intended to assist those who design reports in Crystal Reports for Peachtree.

Filename: TICKET.DAT

The TICKET.DAT file contains default information about the your company's use of time and expense tickets (available only in Peachtree Complete and Peachtree Premium Accounting).

  • To add Peachtree time/expense ticket fields to your Crystal reports, select TICKET.DAT subset of the FILE.DDF data dictionary file.

Fields

The following table shows the fields available in the TICKET.DAT file and includes the type and size in number of bytes of each field.

Field Name | Type | Size | Comment
TicketNumber | ZString | 20 | Time ticket number.
Period | Integer | 2 | This is an internal Peachtree field that designates the number of the period.
TicketType | Integer | 2 | Type of ticket. Valid values are: 0=Time 1=Expense
TicketDate | Date | 4 | Date the time/expense ticket was entered.
EmpVendSel | Integer | 2 | Designates whether the ticket is for an employee or vendor. Valid values are: 0=Employee 1=Vendor
EmpVendRecordNumber | Integer | 4 | Record number of the employee or vendor tracked by the ticket.
ActLineItemIdent | Integer | 4 | Designates whether this is an activity or charge item. Valid values are: Time=Activity Item Exp=Charge Item
CustJobAdmSel | Integer | 2 | Designates whether this ticket covers customer, job, or administrative costs. Valid values are: 1=Customer 2=Job 3=Administrative
CustomerIdent | Integer | 4 | Customer ID.
ProjectID | Integer | 4 | Job ID.
PhaseID | Integer | 4 | Job phase ID.
CostID | Integer | 4 | Cost code ID.
PayLevel | Integer | 4 | Pay level name taken from the employee record.
TimedDuration | Logical | 1 | Setting of the Timed Duration option in Time Tickets. True > Clock Entry False > Manual Entry
StartHour | Integer | 2 | Start time (in hours).
StartMinute | Integer | 2 | Start time (in minutes).
StartSecond | Integer | 2 | Start time (in seconds).
StartAMPM | Integer | 2 | Start time, either AM or PM. Valid values are: 1=AM 2=PM
EndHour | Integer | 2 | End time (in hours).
EndMinute | Integer | 2 | End time (in minutes).
EndSecond | Integer | 2 | End time (in seconds).
EndAMPM | Integer | 2 | End time, either AM or PM. Valid values are: 1=AM 2=PM
BreakDurationHrs | Integer | 2 | Break time (in hours).
BreakDurationMins | Integer | 2 | Break time (in minutes).
BreakDurationSecs | Integer | 2 | Break time (in seconds).
DurationHours | Integer | 2 | Total activity time (in hours).
DurationMinutes | Integer | 2 | Total activity time (in minutes).
DurationSeconds | Integer | 2 | Total activity time (in seconds).
BillType | Integer | 2 | Billing type for the activity. Valid values are: 1=Employee 2=Activity Rate 3=Override Rate 4= Flat Fee
BillRateUnitPrice | Float | 8 | Billing rate corresponding to the chosen billing type.
BillStatus | Integer | 2 | Whether or not the activity is billable in current state. Valid values are: 1=Billable 2=Non-Billable 3=No Charge 4=Hold
BillAmount | Float | 8 | Total billable amount for applying ticket/expense to invoice.
CharMemo1 | ZString | 254 | Internal memo 1 about the expense.
CharMemo2 | ZString | 254 | Internal memo 2 about the expense.
CharMemo3 | ZString | 254 | Internal memo 3 about the expense.
CharMemo4 | ZString | 254 | Internal memo 4 about the expense.
CharMemo5 | ZString | 254 | Internal memo 5 about the expense.
CharMemo6 | ZString | 254 | Internal memo 6 about the expense.
CharMemo7 | ZString | 254 | Internal memo 7 about the expense.
CharMemo8 | ZString | 254 | Internal memo 8 about the expense.
EmpReimbrsable | Logical | 1 | Setting of the Reimbursable to Employee check box. True > Reimbursable False > Not Reimbursable
AlreadyUsedInPayroll | Logical | 1 | Indicates whether ticket has been applied to employee paychecks. True > Applied in Payroll False > Not Applied
AlreadyUsedInSales | Logical | 1 | Indicates whether ticket has been applied to invoice in Sales/Invoicing. True > Applied in Sales False > Not Applied
InternalMemo1 | ZString | 160 | Description for internal memo attached to ticket.
DurationUnitQty | Float | 8 | Unit duration (hours.minutes) of the time ticket.
What Do You Want to Do Next?

  • See a list of Crystal Reports data (.DAT) files

  • Read the Crystal Reports for Peachtree overview

  • Read about standard Crystal reports

  • Read the overview to designing Crystal reports


Vendor Fields (DDF)

The following Data Dictionary File (DDF) field information is intended to assist those who design reports in Crystal Reports for Peachtree.

Filename: VENDOR.DAT

VENDOR.DAT is the vendor file. It contains a row (record) for each vendor. Most of the information below is entered or displayed in Peachtree's Maintain Vendors window.

  • To add Peachtree vendor fields to your Crystal reports, select the VENDOR.DAT subset of the FILE.DDF data dictionary file.

Indexes and Their Uses

VENDOR.DAT has six keys, as follows:

0 = By VendorID. This field is unique, but it can change. Use this key when sorting reports by VendorID. Do not use this key to link vendors to other tables.

1 = By (Vendor) Name.

2 = Unused (Do not select).

3 = By VendorIsInactive + VendorID.

4 = By VendorIsInactive + (Vendor) Name.

5 = By VendorRecordNumber. Use this key to link vendors with other tables.

Fields

The following table shows the fields available in the VENDOR.DAT file and includes the type and size in number of bytes of each field.

Field Name

Type

Size

Comment

VendorRecordNumber

Integer

This (internal) vendor field is used for linking purposes to other Peachtree data tables. For more information, see Indexes and Their Uses above.

This field is unique in the table and never changes.

VendorID

ZString

20

Vendor ID entered in the Maintain Vendors window. This record ID is unique, but it can change (if Peachtree's Change ID feature is used).

GUID

Integer

4

GUID (General Universal ID) used for linking the Vendors table.

VendorName

ZString

39

Vendor name entered in the Maintain Vendors window.

Address1

ZString

30

Address line 1 (street address) entered on the General tab of the Maintain Vendors window.

Address2

ZString

30

Address line 2 (street address) entered on the General tab of the Maintain Vendors window.

City

ZString

20

City for vendor address.

State

ZString

2

2-character state abbreviation for vendor address.

ZIP

ZString

12

ZIP code for vendor address.

Country

ZString

15

Country for vendor address.

VendorType

ZString

8

Vendor type entered on the General tab of the Maintain Vendors window.

Contact

ZString

20

Contact name entered on the General tab of the Maintain Vendors window.

PhoneNumber

ZString

20

Telephone 1 entered on the General tab of the Maintain Vendors window.

FAXNumber

ZString

20

FAX number entered on the General tab of the Maintain Vendors window.

FederalEIN

ZString

20

Tax ID # entered on the Purchases Defaults tab of the Maintain Vendors window.

This is important if the vendor is a 1099 vendor.

Unused_1

ZString

20

Do not select or use this DDF field. It is used by Peachtree for internal reasons.

Unused_2

Logical

Do not select or use this DDF field. It is used by Peachtree for internal reasons.

UseStdTerms

Logical

The Use Standard Terms option on the Purchases Defaults tab of the Maintain Vendors window.

TRUE => use the standard sales payment terms set up in the Vendor Defaults window (not currently available in the DDF table for GENERAL.DAT_AP).

FALSE => use payment terms set up for the specific vendor record (see below).

Unused_3

ZString

Do not select or use this DDF field. It is used by Peachtree for internal reasons.

GLAcntNumber

Integer

4

Default G/L purchase (expense) account for all transactions entered in Purchases, Payments, and Write Checks windows that do not reference inventory items

Tip: Use this field as a key into the CHART.DAT file.

UnusedSalesTaxID

ZString

Do not select or use this DDF field. It is used by Peachtree for internal reasons.

Balance

Float

The current balance due to this vendor.

Note: This balance includes all unpaid invoices, including those entered in the future.

VendorSince

Date

The Vendor Since date entered or displayed on the History Tab of the Maintain Vendors window.

PurchasesUnused

Float

Do not select or use this DDF field. It is used by Peachtree for internal reasons.

PurchaseLastYrPer1

Float

Total purchases recorded for this vendor in Period 1 of the last closed fiscal year.

PurchaseLastYrPer2

Float

Total purchases recorded for this vendor in Period 2 of the last closed fiscal year.

PurchaseLastYrPer3

Float

Total purchases recorded for this vendor in Period 3 of the last closed fiscal year.

PurchaseLastYrPer4

Float

Total purchases recorded for this vendor in Period 4 of the last closed fiscal year.

PurchaseLastYrPer5

Float

Total purchases recorded for this vendor in Period 5 of the last closed fiscal year.

PurchaseLastYrPer6

Float

Total purchases recorded for this vendor in Period 6 of the last closed fiscal year.

PurchaseLastYrPer7

Float

Total purchases recorded for this vendor in Period 7 of the last closed fiscal year.

PurchaseLastYrPer8

Float

Total purchases recorded for this vendor in Period 8 of the last closed fiscal year.

PurchaseLastYrPer9

Float

Total purchases recorded for this vendor in Period 9 of the last closed fiscal year.

PurchaseLastYrPer10

Float

Total purchases recorded for this vendor in Period 10 of the last closed fiscal year.

PurchaseLastYrPer11

Float

Total purchases recorded for this vendor in Period 11 of the last closed fiscal year.

PurchaseLastYrPer12

Float

Total purchases recorded for this vendor in Period 12 of the last closed fiscal year.

PurchaseLastYrPer13

Float

Total purchases recorded for this vendor in Period 13 of the last closed fiscal year.

Note: Period 13 is not used by some companies.

Unused1

Float

Do not select or use this DDF field. It is used by Peachtree for internal reasons.

PurchaseThisYrPer1

Float

Total purchases recorded for this vendor in Period 1 of the first open fiscal year.

PurchaseThisYrPer2

Float

Total purchases recorded for this vendor in Period 2 of the first open fiscal year.

PurchaseThisYrPer3

Float

Total purchases recorded for this vendor in Period 3 of the first open fiscal year.

PurchaseThisYrPer4

Float

Total purchases recorded for this vendor in Period 4 of the first open fiscal year.

PurchaseThisYrPer5

Float

Total purchases recorded for this vendor in Period 5 of the first open fiscal year.

PurchaseThisYrPer6

Float

Total purchases recorded for this vendor in Period 6 of the first open fiscal year.

PurchaseThisYrPer7

Float

Total purchases recorded for this vendor in Period 7 of the first open fiscal year.

PurchaseThisYrPer8

Float

Total purchases recorded for this vendor in Period 8 of the first open fiscal year.

PurchaseThisYrPer9

Float

Total purchases recorded for this vendor in Period 9 of the first open fiscal year.

PurchaseThisYrPer10

Float

Total purchases recorded for this vendor in Period 10 of the first open fiscal year.

PurchaseThisYrPer11

Float

Total purchases recorded for this vendor in Period 11 of the first open fiscal year.

PurchaseThisYrPer12

Float

Total purchases recorded for this vendor in Period 12 of the first open fiscal year.

PurchaseThisYrPer13

Float

Total purchases recorded for this vendor in Period 13 of the first open fiscal year.

Note: Period 13 is not used by some companies.

Unused2

Float

Do not select or use this DDF field. It is used by Peachtree for internal reasons.

PurchaseNextYrPer1

Float

Total purchases recorded for this vendor in Period 1 of the second open fiscal year.

PurchaseNextYrPer2

Float

Total purchases recorded for this vendor in Period 2 of the second open fiscal year.

PurchaseNextYrPer3

Float

Total purchases recorded for this vendor in Period 3 of the second open fiscal year.

PurchaseNextYrPer4

Float

Total purchases recorded for this vendor in Period 4 of the second open fiscal year.

PurchaseNextYrPer5

Float

Total purchases recorded for this vendor in Period 5 of the second open fiscal year.

PurchaseNextYrPer6

Float

Total purchases recorded for this vendor in Period 6 of the second open fiscal year.

PurchaseNextYrPer7

Float

Total purchases recorded for this vendor in Period 7 of the second open fiscal year.

PurchaseNextYrPer8

Float

Total purchases recorded for this vendor in Period 8 of the second open fiscal year.

PurchaseNextYrPer9

Float

Total purchases recorded for this vendor in Period 9 of the second open fiscal year.

PurchaseNextYrPer10

Float

Total purchases recorded for this vendor in Period 10 of the second open fiscal year.

PurchaseNextYrPer11

Float

Total purchases recorded for this vendor in Period 11 of the second open fiscal year.

PurchaseNextYrPer12

Float

Total purchases recorded for this vendor in Period 12 of the second open fiscal year.

PurchaseNextYrPer13

Float

Total purchases recorded for this vendor in Period 13 of the second open fiscal year.

Note: Period 13 is not used by some companies.

PmntUnused

Float

Do not select or use this DDF field. It is used by Peachtree for internal reasons.

PmntLastYrPer1

Float

Total payments made to this vendor in Period 1 of the last closed fiscal year.

PmntLastYrPer2

Float

Total payments made to this vendor in Period 2 of the last closed fiscal year.

PmntLastYrPer3

Float

Total payments made to this vendor in Period 3 of the last closed fiscal year.

PmntLastYrPer4

Float

Total payments made to this vendor in Period 4 of the last closed fiscal year.

PmntLastYrPer5

Float

Total payments made to this vendor in Period 5 of the last closed fiscal year.

PmntLastYrPer6

Float

Total payments made to this vendor in Period 6 of the last closed fiscal year.

PmntLastYrPer7

Float

Total payments made to this vendor in Period 7 of the last closed fiscal year.

PmntLastYrPer8

Float

Total payments made to this vendor in Period 8 of the last closed fiscal year.

PmntLastYrPer9

Float

Total payments made to this vendor in Period 9 of the last closed fiscal year.

PmntLastYrPer10

Float

Total payments made to this vendor in Period 10 of the last closed fiscal year.

PmntLastYrPer11

Float

Total payments made to this vendor in Period 11 of the last closed fiscal year.

PmntLastYrPer12

Float

Total payments made to this vendor in Period 12 of the last closed fiscal year.

PmntLastYrPer13

Float

Total payments made to this vendor in Period 13 of the last closed fiscal year.

Note: Period 13 is not used by some companies.

PmntUnused1

Float

Do not select or use this DDF field. It is used by Peachtree for internal reasons.

PmntThisYrPer1

Float

Total payments made to this vendor in Period 1 of the first open fiscal year.

PmntThisYrPer2

Float

Total payments made to this vendor in Period 2 of the first open fiscal year.

PmntThisYrPer3

Float

Total payments made to this vendor in Period 3 of the first open fiscal year.

PmntThisYrPer4

Float

Total payments made to this vendor in Period 4 of the first open fiscal year.

PmntThisYrPer5

Float

Total payments made to this vendor in Period 5 of the first open fiscal year.

PmntThisYrPer6

Float

Total payments made to this vendor in Period 6 of the first open fiscal year.

PmntThisYrPer7

Float

Total payments made to this vendor in Period 7 of the first open fiscal year.

PmntThisYrPer8

Float

Total payments made to this vendor in Period 8 of the first open fiscal year.

PmntThisYrPer9

Float

Total payments made to this vendor in Period 9 of the first open fiscal year.

PmntThisYrPer10

Float

Total payments made to this vendor in Period 10 of the first open fiscal year.

PmntThisYrPer11

Float

Total payments made to this vendor in Period 11 of the first open fiscal year.

PmntThisYrPer12

Float

Total payments made to this vendor in Period 12 of the first open fiscal year.

PmntThisYrPer13

Float

Total payments made to this vendor in Period 13 of the first open fiscal year.

Note: Period 13 is not used by some companies.

PmntThisYrUnused

Float

Do not select or use this DDF field. It is used by Peachtree for internal reasons.

PmntNextYrPer1

Float

Total payments made to this vendor in Period 1 of the second open fiscal year.

PmntNextYrPer2

Float

Total payments made to this vendor in Period 2 of the second open fiscal year.

PmntNextYrPer3

Float

Total payments made to this vendor in Period 3 of the second open fiscal year.

PmntNextYrPer4

Float

Total payments made to this vendor in Period 4 of the second open fiscal year.

PmntNextYrPer5

Float

Total payments made to this vendor in Period 5 of the second open fiscal year.

PmntNextYrPer6

Float

Total payments made to this vendor in Period 6 of the second open fiscal year.

PmntNextYrPer7

Float

Total payments made to this vendor in Period 7 of the second open fiscal year.

PmntNextYrPer8

Float

Total payments made to this vendor in Period 8 of the second open fiscal year.

PmntNextYrPer9

Float

Total payments made to this vendor in Period 9 of the second open fiscal year.

PmntNextYrPer10

Float

Total payments made to this vendor in Period 10 of the second open fiscal year.

PmntNextYrPer11

Float

Total payments made to this vendor in Period 11 of the second open fiscal year.

PmntNextYrPer12

Float

Total payments made to this vendor in Period 12 of the second open fiscal year.

PmntNextYrPer13

Float

Total payments made to this vendor in Period 13 of the second open fiscal year.

Note: Period 13 is not used by some companies.

Typeof1099

Integer

1099 Type option selected on the General tab of the Maintain Vendors window. Valid values are:

0 = None

1 = Interest

2 = Misc (Non employee compensation

3 = Rent (Currently not available or supported)

4 = Dividends (Currently not available or supported)

LastInvoiceDate

Date

Last purchase invoice date recorded for this vendor.

LastInvoiceAmount

Float

Last purchase invoice amount recorded for this vendor.

LastPaymentDate

Date

Last payment date for this vendor.

LastPaymentAmount

Float

Last payment amount paid to this vendor.

DueDays

Integer

Number of days before invoice balance is due.

About Vendor Payment Terms: These are set up on the Purchases Defaults tab of the Maintain Vendors window. Terms fields listed below are used if the Use Standard Terms option is not selected (UseStdTerms => False).

DiscountDays

Integer

Number of days early payment discount is available.

DiscountPercent

Float

Discount percentage offered if paid early (within DiscountDays)

CreditLimitNotUsed

Float

Credit limit your company has with this vendor

UnusedCharge

Logical

Do not select or use this DDF field. It is used by Peachtree for internal reasons.

TermsCOD

Logical

True => Cash on delivery payment term option is selected.

TermsPrepay

Logical

True => Prepayment required term option is selected.

TermsDaysIsActual

Logical

1 => Due on Day of Month payment term option is selected (DueDays is actual day of (next) month that invoice is due)

0 => Due in # Days payment term option is selected (DueDays is number of days before invoice is due).

TermsDueAtMonthEnd

Logical

True => Due at end of month payment term option is selected.

TermsUnused

ZString

Do not select or use this DDF field. It is used by Peachtree for internal reasons.

VendorIsInactive

Logical

The Inactive check box in the Maintain Vendors window. Valid choices include:

True = if the vendor record is inactive.

False = if the vendor record is active.

CustomField1

ZString

40

Data entered in first vendor custom field.

About Vendor Custom Fields: Custom field data is entered on the Custom Fields tab of the Maintain Vendors window. Labels for vendor custom fields are set up on the Custom Fields tab of the Vendor Defaults window.

Note: To get the custom field names, you must use a custom formula. To learn more, click Click for your information .

CustomField2

ZString

40

Data entered in second vendor custom field.

CustomField3

ZString

40

Data entered in third vendor custom field.

CustomField4

ZString

40

Data entered in fourth vendor custom field.

CustomField5

ZString

40

Data entered in fifth vendor custom field.

PhoneNumber2

ZString

20

Telephone 2 entered on the General tab of the Maintain Vendors window.

ShipViaCode

Integer

Identifies the number of default Ship Via option selected for this vendor on the Purchase Defaults tab of the Maintain Vendors window. Valid options are 1 to 10.

Ship (via) methods are set up in the Inventory Defaults window.

UnusedCheck

Integer

Do not select or use this DDF field. It is used by Peachtree for internal reasons.

OurAccountWithThem

ZString

25

The Account # entered on the General tab of the Maintain Vendors window.

It is the account number that this vendor uses to identify your company.

Email

ZString

64

E-mail address for this vendor.

WebAddress

ZString

251

Web site address (URL) for this vendor.

About the Web Address fields: Peachtree allows Web address URLs to be up to 254 characters. If the URL entered in Peachtree is longer than 251 characters (Crystal Reports' maximum field length), the remaining characters will be present in WEBAddress2 (below).

WebAddress2

ZString

3

Continuation of Web site address (URL) for this vebdor (if applicable).

GLActNumber

Integer

4

Default purchase account associated with the vendor and selected on the Purchase Defaults tab of the Maintain Vendors window.

EmpRecordNumber

Integer

4

Default purchase rep ID associated with the vendor and selected on the Purchase Defaults tab of the Maintain Vendors window.

What Do You Want to Do Next?

  • See a list of Crystal Reports data (.DAT) files

  • Read the Crystal Reports for Peachtree overview

  • Read about standard Crystal reports

  • Read the overview to designing Crystal reports